(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    707206,      16279]
NotebookOptionsPosition[    705050,      16224]
NotebookOutlinePosition[    705413,      16240]
CellTagsIndexPosition[    705370,      16237]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "SU3BMB", " ", "is", " ", "the", " ", "Program", " ", "for", " ", "Large", 
    " ", "Scale", " ", "Calculations", " ", "of", " ", "the", " ", 
    "Orthonormal"}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"SU", 
     RowBox[{"(", "3", ")"}], " ", "Bargmann"}], "-", 
    RowBox[{"Moshinsky", " ", 
     RowBox[{"(", "BM", ")"}], " ", "Basis"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"A", ".", "Deveikis"}], " ", "et", " ", "al", " ", "Version", " ",
     "from", " ", "28", " ", "February", " ", "2020"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Mathematica", " ", "10.1", " ", "to", " ", "Mathematica", " ", "12.0"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "submitted", " ", "to", " ", "CPC", " ", "Program", " ", "Library", " ", 
    "03", " ", "March", " ", "2020"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"needAppend", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"inputFile", "=", "\"\<input.txt\>\""}], ";"}], "\n", 
   RowBox[{
    RowBox[{"outputFile", "=", "\"\<output.txt\>\""}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.7617155856234035`*^9, 3.761715596311466*^9}, {
   3.7617157440988607`*^9, 3.761715808977273*^9}, {3.761716558704206*^9, 
   3.761716560501196*^9}, {3.761716652787275*^9, 3.761716658834483*^9}, {
   3.761733229831915*^9, 3.7617332520362043`*^9}, {3.7823573644992533`*^9, 
   3.7823573789396167`*^9}, {3.791625891999253*^9, 3.7916259419661407`*^9}, {
   3.791893829030551*^9, 3.791893847298183*^9}, {3.791893947419159*^9, 
   3.79189395386197*^9}, {3.791897892563291*^9, 3.791897894279294*^9}, 
   3.792234681902129*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AlphamaxK", "[", 
   RowBox[{"\[Mu]_", ",", "L_", ",", "\[Lambda]_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "AlphaminK", " ", "returns", " ", "the", " ", "maximum", 
    " ", "sequence", " ", "number", " ", "of", " ", "the", " ", "existing", 
    " ", "BM", " ", "state"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]"}], 
    ",", " ", "\[Lambda]", ",", " ", 
    RowBox[{
    "and", " ", "L", " ", "in", " ", "the", " ", "list", " ", "of", " ", 
     "the", " ", "maximum", " ", "possible"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "number", " ", "of", " ", "BM", " ", "states", " ", "for", " ", "given", 
    " ", "value", " ", "of", " ", "\[Mu]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "Lmax", ",", "\[Alpha]max", ",", "\[Alpha]maxK", ",", "\[Beta]", ",", 
      "nn", ",", "\[Alpha]"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", 
        RowBox[{"\[Mu]", "+", "\[Lambda]", "-", "L"}], "]"}], ",", 
       RowBox[{"\[Beta]", "=", "0"}], ",", 
       RowBox[{"\[Beta]", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"nn", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "=", "0"}], ",", 
       RowBox[{"\[Alpha]", "\[LessEqual]", "\[Alpha]max"}], ",", 
       RowBox[{"\[Alpha]", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmax", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "\[Alpha]"}], "+", "\[Lambda]", "-", 
          "\[Beta]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"L", "\[LessEqual]", "Lmax"}], ",", 
          RowBox[{"nn", "=", 
           RowBox[{"nn", "+", "1"}]}], ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"nn", "==", "0"}], ",", 
         RowBox[{
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<AlphamaxK: Lmax<L=\>\"", ",", "L", ",", "\"\< Lmax=\>\"", ",",
             "Lmax"}], "]"}], ";", 
          RowBox[{"Quit", "[", "]"}]}]}], "]"}], ";"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"nn", "==", "0"}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"-", "1"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", "\[Mu]", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"OddQ", "[", 
           RowBox[{"\[Lambda]", "-", "L"}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"nn", "\[Equal]", 
              RowBox[{"(", 
               RowBox[{"\[Alpha]max", "+", "1"}], ")"}]}], ",", 
             RowBox[{"nn", "=", "\[Alpha]max"}]}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"nn", "-", "1"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "\[Alpha]maxK", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.753845606919159*^9, 3.7538456152476997`*^9}, {
   3.753845661031356*^9, 3.7538457606772223`*^9}, 3.7538459744837723`*^9, 
   3.754721880167426*^9, {3.757386359339219*^9, 3.7573864222175255`*^9}, 
   3.760710471322443*^9, {3.7607165325900774`*^9, 3.760716551169157*^9}, {
   3.760716582155182*^9, 3.7607166032500167`*^9}, {3.760927241355352*^9, 
   3.760927267919242*^9}, {3.7823181171875477`*^9, 3.7823181699873075`*^9}, {
   3.7823182148205175`*^9, 3.782318244907179*^9}, {3.782318281054923*^9, 
   3.782318294663557*^9}, {3.782318571272908*^9, 3.7823185908464375`*^9}, 
   3.7823186618479185`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lmincalc", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_", ",", "\[Alpha]_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Lmincalc", " ", "returns", " ", "the", " ", "minimum", 
    " ", "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum", 
    " ", "of"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "the", " ", "existing", " ", "BM", " ", "state", " ", "for", " ", "given",
      " ", "values", " ", "of", " ", "\[Mu]"}], ",", " ", "\[Lambda]", ",", 
    " ", 
    RowBox[{"and", " ", "\[Alpha]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "BM", " ", "state", " ", "in", " ", "the", " ", "list", 
     " ", "of"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "the", " ", "maximum", " ", "possible", " ", "number", " ", "of", " ", 
    "BM", " ", "states", " ", "for", " ", "given", " ", "value", " ", "of", 
    " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Lmin", ",", "\[Alpha]max"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "==", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Mu]", "==", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
            RowBox[{"Lmin", "=", "0"}], ",", 
            RowBox[{"Lmin", "=", "1"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Lmin", "=", "\[Mu]"}]}], "\[IndentingNewLine]", "]"}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Lmin", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "==", "\[Alpha]max"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"EvenQ", "[", "\[Mu]", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
            RowBox[{"Lmin", "=", "0"}], ",", 
            RowBox[{"Lmin", "=", "1"}]}], "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{"Lmin", "=", "1"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Lmin", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Lmin", "=", 
      RowBox[{"\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "Lmin", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.761717765986452*^9, 3.7617177870188065`*^9}, {
   3.7617178452406206`*^9, 3.7617178468032246`*^9}, {3.761717896680832*^9, 
   3.761717938604929*^9}, 3.7617179877168636`*^9, {3.761718230151488*^9, 
   3.761718301358363*^9}, {3.7617184410063343`*^9, 3.7617184841336093`*^9}, 
   3.761719487702011*^9, {3.761720052512964*^9, 3.76172005684134*^9}, {
   3.7617201116410975`*^9, 3.7617201280482106`*^9}, {3.7617201678940353`*^9, 
   3.7617201963799105`*^9}, 3.761720287728461*^9, 3.761725073073907*^9, 
   3.761726571356675*^9, {3.761727604270404*^9, 3.7617276103957243`*^9}, {
   3.76175134805618*^9, 3.7617513528533077`*^9}, {3.7617515147055683`*^9, 
   3.761751589053229*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lmaxcalc", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_", ",", "\[Alpha]_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Lmaxcalc", " ", "returns", " ", "the", " ", "maximum", 
    " ", "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum", 
    " ", "of"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "the", " ", "existing", " ", "BM", " ", "state", " ", "for", " ", "given",
      " ", "values", " ", "of", " ", "\[Mu]"}], ",", " ", "\[Lambda]", ",", 
    " ", 
    RowBox[{"and", " ", "\[Alpha]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "BM", " ", "state", " ", "in", " ", "the", " ", "list", 
     " ", "of"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "the", " ", "maximum", " ", "possible", " ", "number", " ", "of", " ", 
    "BM", " ", "states", " ", "for", " ", "given", " ", "value", " ", "of", 
    " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Lmax", ",", "\[Alpha]max"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Mu]", "==", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmax", "=", "\[Lambda]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Lmax", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "==", "\[Alpha]max"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"EvenQ", "[", "\[Mu]", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "Lmax", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Lmax", "=", 
      RowBox[{"\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]"}], "+", "\[Lambda]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "Lmax", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.763038484710927*^9, 3.7630384978834743`*^9}, {
   3.763122025971324*^9, 3.763122141493043*^9}, {3.763122173572847*^9, 
   3.7631222218722672`*^9}, 3.763122297907503*^9, {3.7631225118875027`*^9, 
   3.7631225198097987`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lstepcalc", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_", ",", "\[Alpha]_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Lstepcalc", " ", "returns", " ", "the", " ", "step", " ",
     "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum", " ",
     "of"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "the", " ", "existing", " ", "BM", " ", "state", " ", "for", " ", "given",
      " ", "values", " ", "of", " ", "\[Mu]"}], ",", " ", "\[Lambda]", ",", 
    " ", 
    RowBox[{"and", " ", "\[Alpha]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "BM", " ", "state", " ", "in", " ", "the", " ", "list", 
     " ", "of"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "the", " ", "maximum", " ", "possible", " ", "number", " ", "of", " ", 
    "BM", " ", "states", " ", "for", " ", "given", " ", "value", " ", "of", 
    " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Lstep", ",", "\[Alpha]max"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Mu]", "==", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Lstep", "]"}], ";"}]}], "\[IndentingNewLine]",
       "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "==", "\[Alpha]max"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"EvenQ", "[", "\[Mu]", "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "Lstep", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Lstep", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "Lstep", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.763038484710927*^9, 3.7630384978834743`*^9}, {
  3.763122025971324*^9, 3.763122141493043*^9}, {3.763122173572847*^9, 
  3.7631222218722672`*^9}, {3.763122310845683*^9, 3.7631223766616435`*^9}, {
  3.763122536545074*^9, 3.7631225450298953`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"AlphaminK", "[", 
   RowBox[{"\[Mu]_", ",", "L_", ",", "\[Lambda]_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "AlphaminK", " ", "returns", " ", "the", " ", "minimum", 
    " ", "sequence", " ", "number", " ", "of", " ", "the", " ", "existing", 
    " ", "BM", " ", "state"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]"}], 
    ",", " ", "\[Lambda]", ",", " ", 
    RowBox[{
    "and", " ", "L", " ", "in", " ", "the", " ", "list", " ", "of", " ", 
     "the", " ", "maximum", " ", "possible"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "number", " ", "of", " ", "BM", " ", "states", " ", "for", " ", "given", 
    " ", "value", " ", "of", " ", "\[Mu]"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Lmin", ",", "\[Alpha]", ",", "\[Alpha]maxK"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "=", "0"}], ",", 
       RowBox[{"\[Alpha]", "\[LessEqual]", "\[Alpha]maxK"}], ",", 
       RowBox[{"\[Alpha]", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmin", "=", 
         RowBox[{"Lmincalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "\[Alpha]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"Lmin", "\[LessEqual]", "L"}], ",", 
          RowBox[{"Return", "[", "\[Alpha]", "]"}]}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "0", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.761718605624386*^9, 3.7617186109527683`*^9}, {
   3.7617186435951114`*^9, 3.761718652783118*^9}, {3.7617187357405853`*^9, 
   3.7617187393970284`*^9}, 3.761718802103446*^9, {3.7617188391522746`*^9, 
   3.7617188671849947`*^9}, 3.761718988832018*^9, {3.761719108463334*^9, 
   3.761719113276066*^9}, {3.761719149231079*^9, 3.7617191827484674`*^9}, {
   3.7617192426110015`*^9, 3.7617192879883823`*^9}, {3.761719325365346*^9, 
   3.76171936960205*^9}, {3.7617195398610244`*^9, 3.761719567956236*^9}, 
   3.761719612114826*^9, {3.7617196469291363`*^9, 3.7617196491167707`*^9}, 
   3.7617197455905724`*^9, {3.7617276143490353`*^9, 3.7617276220057106`*^9}, {
   3.7617516376339116`*^9, 3.761751756249548*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"daugiklis\[Lambda]L", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Alpha]_", ",", "\[Alpha]1_", ",", "\[Beta]_", ",", 
    "\[CapitalDelta]_", ",", "L_", ",", "\[Lambda]_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "daugiklis\[Lambda]L", " ", "is", " ", "the", " ", 
    "auxiliary", " ", "function", " ", "of", " ", "the", " ", "function", " ", 
    RowBox[{"overlapIntegral", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "function", " ", "daugiklis\[Lambda]L", " ", "returns", " ", 
    "the", " ", "part", " ", "of", " ", "the", " ", "formula", " ", "of", " ",
     "the", " ", "overlap"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"integral", " ", "<", 
     SubscriptBox["u", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["u", "\[Alpha]1"], ">", " ", 
     RowBox[{
     "of", " ", "the", " ", "BM", " ", "states", " ", "which", " ", "is", " ",
       "calculated", " ", "for", " ", "given", " ", "values", " ", "of"}]}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", ",", " ", "\[Lambda]", ",", " ", "L", ",", " ", 
    RowBox[{"\[Alpha]", " ", "and", " ", 
     RowBox[{"\[Alpha]1", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]1", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"\[Beta]", "     ", "-", " ", 
     RowBox[{"0", " ", "if", " ", "\[Mu]"}], "+", "\[Lambda]", "-", 
     RowBox[{"L", " ", "even"}]}], ";", " ", 
    RowBox[{
     RowBox[{"1", " ", "if", " ", "\[Mu]"}], "+", "\[Lambda]", "-", 
     RowBox[{"L", " ", "odd"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "     ", "-", " ", 
     RowBox[{"0", " ", "if", " ", "\[Lambda]"}], "-", 
     RowBox[{"L", " ", "even"}]}], ";", " ", 
    RowBox[{
     RowBox[{"1", " ", "if", " ", "\[Lambda]"}], "-", 
     RowBox[{"L", " ", "odd"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"d1d2", ",", "d3", ",", "d4", ",", "d5", ",", "d6", ",", "ats"}],
      "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"d1d2", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Lambda]", "+", "L", "+", "\[CapitalDelta]", "+", "1"}], 
         ")"}], "!!"}], "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "*", "L"}], "+", "1"}], ")"}], "!!"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d3", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]", "+", "2"}], ")"}], "^", "\[Beta]"}]}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"d4", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"L", "-", "\[Mu]", "+", 
         RowBox[{"2", "*", "\[Alpha]"}]}], ")"}], "!"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d5", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Lambda]", "-", "L", "+", "\[Mu]", "-", 
         RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]"}], ")"}], "!!"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"d6", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Mu]", "-", 
         RowBox[{"2", "*", "\[Alpha]1"}], "-", "\[Beta]", "+", 
         "\[CapitalDelta]", "-", "1"}], ")"}], "!!"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"d1d2", "*", "d3", "*", "d4", "*", "d5", "*", "d6"}]}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.761748435214304*^9, 3.761748436386221*^9}, {
   3.761751842519684*^9, 3.7617518460667458`*^9}, {3.761751890912854*^9, 
   3.7617519052573833`*^9}, 3.7617920254988585`*^9, {3.761792090955428*^9, 
   3.7617920935649385`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"suma\[Lambda]L", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Alpha]_", ",", "\[Alpha]1_", ",", "l_", ",", "\[Beta]_", 
    ",", "\[CapitalDelta]_", ",", "L_", ",", "\[Lambda]_", ",", "z_"}], "]"}],
   ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "suma\[Lambda]L", " ", "is", " ", "the", " ", "auxiliary",
     " ", "function", " ", "of", " ", "the", " ", "function", " ", 
    RowBox[{"overlapIntegral", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "function", " ", "suma\[Lambda]L", " ", "returns", " ", "the", 
    " ", "part", " ", "of", " ", "the", " ", "formula", " ", "of", " ", "the",
     " ", "overlap"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"integral", " ", "<", 
     SubscriptBox["u", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["u", "\[Alpha]1"], ">", " ", 
     RowBox[{
     "of", " ", "the", " ", "BM", " ", "states", " ", "which", " ", "is", " ",
       "calculated", " ", "for", " ", "given", " ", "values", " ", "of"}]}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", ",", " ", "\[Lambda]", ",", " ", "L", ",", " ", 
    RowBox[{"\[Alpha]", " ", "and", " ", 
     RowBox[{"\[Alpha]1", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]1", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"l", "     ", "-", " ", 
      RowBox[{
      "value", " ", "of", " ", "the", " ", "summation", " ", "index", " ", 
       "in", " ", "the", " ", "formula", " ", "for", " ", "calculation", " ", 
       "of"}]}], " ", "<", 
     SubscriptBox["u", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["u", "\[Alpha]1"], ">"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"\[Beta]", "     ", "-", " ", 
     RowBox[{"0", " ", "if", " ", "\[Mu]"}], "+", "\[Lambda]", "-", 
     RowBox[{"L", " ", "even"}]}], ";", " ", 
    RowBox[{
     RowBox[{"1", " ", "if", " ", "\[Mu]"}], "+", "\[Lambda]", "-", 
     RowBox[{"L", " ", "odd"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"\[CapitalDelta]", "     ", "-", " ", 
     RowBox[{"0", " ", "if", " ", "\[Lambda]"}], "-", 
     RowBox[{"L", " ", "even"}]}], ";", " ", 
    RowBox[{
     RowBox[{"1", " ", "if", " ", "\[Lambda]"}], "-", 
     RowBox[{"L", " ", "odd"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"z", "     ", "-", " ", 
      RowBox[{
      "value", " ", "of", " ", "the", " ", "summation", " ", "index", " ", 
       "in", " ", "the", " ", "formula", " ", "for", " ", "calculation", " ", 
       "of"}]}], " ", "<", 
     SubscriptBox["u", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["u", "\[Alpha]1"], ">"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "d7", ",", "d8", ",", "d10", ",", "d11", ",", "d12", ",", "d13", ",", 
      "d14", ",", "d15", ",", "d16", ",", "d17", ",", "d181", ",", "d18", ",",
       "d19", ",", "d20", ",", "s", ",", "v", ",", "sk", ",", "ats"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"d7", "=", 
      RowBox[{"Binomial", "[", 
       RowBox[{"\[Alpha]1", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"l", "-", "\[Beta]", "-", "\[CapitalDelta]"}], ")"}], "/", 
         "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"d8", "=", 
      RowBox[{"Binomial", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Mu]", "-", 
           RowBox[{"2", "*", "\[Alpha]"}], "-", "\[CapitalDelta]", "-", 
           "\[Beta]"}], ")"}], "/", "2"}], ",", "z"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d10", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Mu]", "+", 
            RowBox[{"2", "*", "\[Alpha]"}], "-", "\[CapitalDelta]", "-", 
            "\[Beta]"}], ")"}], "/", "2"}], "+", "z"}], ")"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"s", "=", 
      RowBox[{"L", "+", "l"}]}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", "0"}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"v", "=", "L"}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", "0"}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sk", "=", 
      RowBox[{"s", "-", "v"}]}], ";", " ", "\[IndentingNewLine]", 
     RowBox[{"d11", "=", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"s", "-", "i"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "sk"}], "}"}]}], "]"}]}], ";", " ", 
     RowBox[{"d11", "=", 
      RowBox[{"d11", "/", "v"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"d12", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]", "-", "l"}], ")"}], "!!"}], "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]", "-", "l", "-", 
          RowBox[{"2", "*", "z"}]}], ")"}], "!!"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d13", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]", "+", "\[Beta]", "+", "\[CapitalDelta]"}], ")"}], 
        "!!"}], "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "\[Alpha]1"}], "+", "l"}], ")"}], "!!"}]}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"d14", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"l", "-", "\[CapitalDelta]", "+", "\[Beta]", "-", "1"}], 
        ")"}], "!!"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"d15", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Mu]", "-", "\[CapitalDelta]", "-", "\[Beta]", "-", 
         RowBox[{"2", "*", "z"}]}], ")"}], "!!"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"s", "=", 
      RowBox[{"\[Lambda]", "-", "L", "+", "\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]1"}], "-", "\[Beta]"}]}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", "0"}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{"\[Lambda]", "-", "L", "+", "\[CapitalDelta]", "+", 
       RowBox[{"2", "*", "z"}]}]}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", "0"}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sk", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"s", "-", "v"}], ")"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d16", "=", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"s", "-", 
         RowBox[{"2", "*", "i"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "sk"}], "}"}]}], "]"}]}], ";", " ", 
     RowBox[{"d16", "=", 
      RowBox[{"d16", "/", "v"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"s", "=", 
      RowBox[{"\[Lambda]", "+", "L", "-", "\[CapitalDelta]", "+", "2"}]}], 
     ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", "0"}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{"\[Lambda]", "+", "L", "-", "\[Mu]", "+", 
       RowBox[{"2", "*", "\[Alpha]"}], "+", "\[Beta]", "+", 
       RowBox[{"2", "*", "z"}], "+", "2"}]}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", "0"}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sk", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"s", "-", "v"}], ")"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d17", "=", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"s", "-", 
         RowBox[{"2", "*", "i"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "sk"}], "}"}]}], "]"}]}], ";", " ", 
     RowBox[{"d17", "=", 
      RowBox[{"d17", "/", "v"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"s", "=", 
      RowBox[{
      "\[Lambda]", "+", "\[Mu]", "+", "L", "+", "\[Beta]", "+", "2"}]}], ";", 
     " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", "0"}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{"\[Lambda]", "+", "L", "+", "l", "+", "\[Beta]", "+", 
       RowBox[{"2", "*", "z"}], "+", "2"}]}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", "0"}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sk", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"s", "-", "v"}], ")"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d181", "=", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"s", "-", 
         RowBox[{"2", "*", "i"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "sk"}], "}"}]}], "]"}]}], ";", " ", 
     RowBox[{"d181", "=", 
      RowBox[{"d181", "/", "v"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"s", "=", 
      RowBox[{"\[Lambda]", "+", "\[Beta]", "+", 
       RowBox[{"2", "*", "z"}], "+", "1"}]}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", "0"}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{"\[Lambda]", "+", "\[Beta]", "+", "1"}]}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", "0"}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sk", "=", 
      RowBox[{"s", "-", "v"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"d18", "=", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"s", "-", "i"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "sk"}], "}"}]}], "]"}]}], ";", " ", 
     RowBox[{"d18", "=", 
      RowBox[{"d18", "/", "v"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"s", "=", 
      RowBox[{
      "\[Lambda]", "+", "\[Mu]", "-", "l", "-", "L", "+", 
       "\[CapitalDelta]"}]}], ";", "  ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", "0"}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{"\[Lambda]", "-", "L", "+", "\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]1"}], "-", "\[Beta]"}]}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", "0"}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sk", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"s", "-", "v"}], ")"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d19", "=", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"s", "-", 
         RowBox[{"2", "*", "i"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "sk"}], "}"}]}], "]"}]}], ";", " ", 
     RowBox[{"d19", "=", 
      RowBox[{"d19", "/", "v"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"s", "=", 
      RowBox[{"\[Lambda]", "+", "L", "+", "\[CapitalDelta]", "+", "1", "+", 
       RowBox[{"2", "*", "z"}]}]}], ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"s", "\[Equal]", "0"}], ",", 
       RowBox[{"s", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"v", "=", 
      RowBox[{"\[Lambda]", "+", "L", "+", "\[CapitalDelta]", "+", "1"}]}], 
     ";", " ", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", 
        RowBox[{"-", "1"}]}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"v", "\[Equal]", "0"}], ",", 
       RowBox[{"v", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sk", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"s", "-", "v"}], ")"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"d20", "=", 
      RowBox[{"Product", "[", 
       RowBox[{
        RowBox[{"s", "-", 
         RowBox[{"2", "*", "i"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "sk"}], "}"}]}], "]"}]}], ";", " ", 
     "\[IndentingNewLine]", 
     RowBox[{"d20", "=", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"d20", "/", "v"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{
      "d7", "*", "d8", "*", "d10", "*", "d11", "*", "d12", "*", "d13", "*", 
       "d14", "*", "d15", "*", "d16", "*", "d17", "*", "d181", "*", "d18", 
       "*", "d19", "*", "d20"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"Factor", "[", "ats", "]"}]}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7515509161482697`*^9, 3.7515509297271085`*^9}, {
   3.7515509617287893`*^9, 3.7515509971369224`*^9}, {3.751551042483036*^9, 
   3.7515510498896985`*^9}, {3.7515512094918184`*^9, 3.751551245212452*^9}, {
   3.751551509429473*^9, 3.7515516705004435`*^9}, {3.751551706283597*^9, 
   3.7515517132058167`*^9}, {3.75155178891292*^9, 3.75155187571436*^9}, {
   3.7515519065753574`*^9, 3.7515520039711065`*^9}, {3.7515520447701273`*^9, 
   3.7515520793657*^9}, {3.7515521111642447`*^9, 3.751552207294304*^9}, {
   3.7515523405825605`*^9, 3.751552347442296*^9}, {3.7515523791470895`*^9, 
   3.751552403773383*^9}, {3.7515525162636795`*^9, 3.7515526069872017`*^9}, {
   3.7617483974935474`*^9, 3.761748398821746*^9}, {3.7617492303517623`*^9, 
   3.7617493012461166`*^9}, {3.7617493434827113`*^9, 3.761749350389324*^9}, {
   3.7617494351125326`*^9, 3.761749481239957*^9}, {3.7617495579471183`*^9, 
   3.761749580651439*^9}, {3.7617519201643925`*^9, 3.761751923602098*^9}, 
   3.7617920175453267`*^9, {3.7617921113002462`*^9, 3.7617921136909995`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"overlapIntegral", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Alpha]_", ",", "\[Alpha]1_", ",", "L_", ",", 
    "\[Lambda]_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Function", " ", "overlapIntegral", " ", "returns", " ", "the", " ", 
      "value", " ", "of", " ", "the", " ", "overlap", " ", "integral"}], " ", 
     "<", 
     SubscriptBox["u", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["u", "\[Alpha]1"], ">"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "of", " ", "the", " ", "BM", " ", "states", " ", "which", " ", "is", " ", 
     "calculated", " ", "for", " ", "given", " ", "values", " ", "of", " ", 
     "\[Mu]"}], ",", " ", "\[Lambda]", ",", " ", "L", ",", " ", 
    RowBox[{"\[Alpha]", " ", "and", " ", 
     RowBox[{"\[Alpha]1", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]1", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\[CapitalDelta]", ",", "\[Beta]", ",", "ats", ",", "\[Lambda]L", ",", 
      "sz", ",", "z", ",", "l", ",", "sL"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", 
        RowBox[{"\[Lambda]", "-", "L"}], "]"}], ",", 
       RowBox[{"\[Lambda]L", "=", "2"}], ",", 
       RowBox[{"\[Lambda]L", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", "\[Lambda]L", "]"}], ",", 
       RowBox[{"\[CapitalDelta]", "=", "0"}], ",", 
       RowBox[{"\[CapitalDelta]", "=", "1"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", 
        RowBox[{"\[Mu]", "+", "\[CapitalDelta]"}], "]"}], ",", 
       RowBox[{"\[Beta]", "=", "0"}], ",", 
       RowBox[{"\[Beta]", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "\[Alpha]"}], "-", "\[CapitalDelta]", "-", 
          "\[Beta]"}], ")"}], "<", "0"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"OddQ", "[", 
        RowBox[{"\[Mu]", "-", 
         RowBox[{"2", "*", "\[Alpha]"}], "-", "\[CapitalDelta]", "-", 
         "\[Beta]"}], "]"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sz", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"z", "=", "0"}], ",", 
       RowBox[{"z", "<=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Mu]", "-", 
           RowBox[{"2", "*", "\[Alpha]"}], "-", "\[CapitalDelta]", "-", 
           "\[Beta]"}], ")"}], "/", "2"}]}], ",", 
       RowBox[{"z", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"z", "<", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"L", "-", "\[Lambda]", "-", "\[CapitalDelta]"}], ")"}], 
            "/", "2"}]}], ",", 
          RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"sz", "=", 
         RowBox[{"Append", "[", 
          RowBox[{"sz", ",", "z"}], "]"}]}]}]}], "\[IndentingNewLine]", "]"}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", "sz", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"sL", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"l", "=", 
        RowBox[{"\[Beta]", "+", "\[CapitalDelta]"}]}], ",", 
       RowBox[{"l", "<=", 
        RowBox[{
         RowBox[{"2", "*", "\[Alpha]1"}], "+", "\[CapitalDelta]", "+", 
         "\[Beta]"}]}], ",", 
       RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"OddQ", "[", 
           RowBox[{"\[Mu]", "-", "l"}], "]"}], ",", 
          RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"OddQ", "[", 
           RowBox[{"l", "-", "\[CapitalDelta]", "-", "\[Beta]"}], "]"}], ",", 
          RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"sL", "=", 
         RowBox[{"Append", "[", 
          RowBox[{"sL", ",", "l"}], "]"}]}]}]}], "\[IndentingNewLine]", "]"}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Length", "[", "sL", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ats", "=", 
          RowBox[{"ats", "+", 
           RowBox[{"suma\[Lambda]L", "[", 
            RowBox[{
            "\[Mu]", ",", "\[Alpha]", ",", "\[Alpha]1", ",", "l", ",", 
             "\[Beta]", ",", "\[CapitalDelta]", ",", "L", ",", "\[Lambda]", 
             ",", "z"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"z", ",", "sz"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{"l", ",", "sL"}], "}"}]}], "\[IndentingNewLine]", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"FullSimplify", "[", "ats", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"ats", "*", 
       RowBox[{"daugiklis\[Lambda]L", "[", 
        RowBox[{
        "\[Mu]", ",", "\[Alpha]", ",", "\[Alpha]1", ",", "\[Beta]", ",", 
         "\[CapitalDelta]", ",", "L", ",", "\[Lambda]"}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"Factor", "[", "ats", "]"}]}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.751037461734105*^9, 3.751037673120222*^9}, {
   3.75125680409959*^9, 3.7512568098342667`*^9}, {3.751511167092146*^9, 
   3.7515111749050317`*^9}, {3.751550742200712*^9, 3.751550771921933*^9}, {
   3.7515508086738667`*^9, 3.751550820877633*^9}, 3.751551758942592*^9, 
   3.751552633941744*^9, {3.761748364991838*^9, 3.761748366304407*^9}, 
   3.761748526564069*^9, {3.7617485898017607`*^9, 3.7617486008492126`*^9}, {
   3.7617519572757196`*^9, 3.7617519604633875`*^9}, {3.761791861215642*^9, 
   3.761791867856618*^9}, {3.7804505241125574`*^9, 3.7804505422020884`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"overlapIntegralM", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "L_", ",", "\[Alpha]_", ",", 
    "\[Alpha]1_", ",", "prec_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "overlapIntegralM", " ", "returns", " ", "the", " ", 
    "value", " ", "of", " ", "the", " ", "renormalized", " ", "overlap", " ", 
    "integral"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["u", "\[Alpha]"]}], "|", 
     RowBox[{
      SubscriptBox["u", "\[Alpha]1"], ">", " ", 
      RowBox[{
      "of", " ", "the", " ", "BM", " ", "states", " ", "which", " ", "is", 
       " ", "calculated", " ", "for", " ", "given", " ", "values", " ", "of", 
       " ", "\[Mu]"}]}]}], ",", " ", "\[Lambda]", ",", " ", "L", ",", " ", 
    RowBox[{"\[Alpha]", " ", "and", " ", 
     RowBox[{"\[Alpha]1", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]1", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "u\[Alpha]u\[Alpha]1", ",", "u\[Alpha]u\[Alpha]", ",", 
      "u\[Alpha]1u\[Alpha]1"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"u\[Alpha]u\[Alpha]1", "=", 
      RowBox[{"overlapIntegral", "[", 
       RowBox[{
       "\[Mu]", ",", "\[Alpha]", ",", "\[Alpha]1", ",", "L", ",", 
        "\[Lambda]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"u\[Alpha]u\[Alpha]1", "===", "0"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Return", "[", "0", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"u\[Alpha]u\[Alpha]1", "=", 
      RowBox[{"N", "[", 
       RowBox[{"u\[Alpha]u\[Alpha]1", ",", "prec"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"u\[Alpha]u\[Alpha]", "=", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"overlapIntegral", "[", 
          RowBox[{
          "\[Mu]", ",", "\[Alpha]", ",", "\[Alpha]", ",", "L", ",", 
           "\[Lambda]"}], "]"}], ",", "prec"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"u\[Alpha]1u\[Alpha]1", "=", 
      RowBox[{"Sqrt", "[", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{"overlapIntegral", "[", 
          RowBox[{
          "\[Mu]", ",", "\[Alpha]1", ",", "\[Alpha]1", ",", "L", ",", 
           "\[Lambda]"}], "]"}], ",", "prec"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"u\[Alpha]u\[Alpha]1", "=", 
      RowBox[{
       RowBox[{"u\[Alpha]u\[Alpha]1", "/", "u\[Alpha]u\[Alpha]"}], "/", 
       "u\[Alpha]1u\[Alpha]1"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "u\[Alpha]u\[Alpha]1", "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.751037461734105*^9, 3.751037673120222*^9}, {
   3.75125680409959*^9, 3.7512568098342667`*^9}, {3.751511167092146*^9, 
   3.7515111749050317`*^9}, {3.751550742200712*^9, 3.751550771921933*^9}, {
   3.7515508086738667`*^9, 3.751550820877633*^9}, 3.751551758942592*^9, 
   3.751552633941744*^9, {3.761748364991838*^9, 3.761748366304407*^9}, 
   3.761748526564069*^9, {3.7617485898017607`*^9, 3.7617486008492126`*^9}, {
   3.7617519572757196`*^9, 3.7617519604633875`*^9}, {3.761791861215642*^9, 
   3.761791867856618*^9}, 3.763730541989702*^9, 3.7637306102432876`*^9, {
   3.7637306493703456`*^9, 3.7637307099829135`*^9}, {3.7637307602355566`*^9, 
   3.7637308012533393`*^9}, {3.7637308730852633`*^9, 3.763730891961236*^9}, {
   3.7637309701372166`*^9, 3.7637311728978863`*^9}, {3.7637312052902145`*^9, 
   3.763731272793787*^9}, {3.763733262555169*^9, 3.7637333348714514`*^9}, {
   3.763733365591814*^9, 3.7637334179539433`*^9}, {3.7823187983626785`*^9, 
   3.782318830292672*^9}, 3.7823189134944854`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Umatrix", "[", 
   RowBox[{"\[Mu]_", ",", "L_", ",", "\[Lambda]_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Umatrix", " ", "returns", " ", "the", " ", "matrix", " ",
     "which", " ", "entries", " ", "are", " ", "the", " ", "overlap", " ", 
    "integrals"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["u", "\[Alpha]"]}], "|", 
     RowBox[{
      SubscriptBox["u", 
       RowBox[{"\[Alpha]", "'"}]], ">", " ", 
      RowBox[{
      "calculated", " ", "for", " ", "given", " ", "values", " ", "of", " ", 
       "\[Mu]"}]}]}], ",", " ", "\[Lambda]", ",", " ", 
    RowBox[{"and", " ", 
     RowBox[{"L", ".", " ", "The"}], " ", "dimension", " ", "of", " ", "the", 
     " ", "matrix"}]}], " ", "*)"}], 
  RowBox[{"(*", " ", 
   RowBox[{
   "is", " ", "equal", " ", "to", " ", "the", " ", "maximum", " ", "possible",
     " ", "number", " ", "of", " ", "BM", " ", "states", " ", "for", " ", 
    "given", " ", "value", " ", "of", " ", 
    RowBox[{"\[Mu]", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{"value", " ", "of", " ", "angular", " ", "momentum"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "U", ",", "a1", ",", "a2", ",", "\[Alpha]max", ",", "\[Alpha]maxK", ",", 
      "\[Alpha]minK", ",", "\[Alpha]", ",", "\[Alpha]1", ",", 
      "u\[Alpha]u\[Alpha]", ",", "u\[Alpha]u\[Alpha]1"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"U", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"\[Alpha]", ",", "0", ",", "\[Alpha]max", ",", "1"}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"\[Alpha]1", ",", "0", ",", "\[Alpha]max", ",", "1"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]max", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"u\[Alpha]u\[Alpha]", "=", 
         RowBox[{"overlapIntegral", "[", 
          RowBox[{"\[Mu]", ",", "0", ",", "0", ",", "L", ",", "\[Lambda]"}], 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"U", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], "=", "u\[Alpha]u\[Alpha]"}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "U", "]"}]}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]minK", "=", 
      RowBox[{"AlphaminK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "=", "0"}], ",", 
       RowBox[{"\[Alpha]", "\[LessEqual]", "\[Alpha]maxK"}], ",", 
       RowBox[{"\[Alpha]", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"\[Alpha]1", "=", "\[Alpha]"}], ",", 
          RowBox[{"\[Alpha]1", "\[LessEqual]", "\[Alpha]maxK"}], ",", 
          RowBox[{"\[Alpha]1", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"a1", "=", "\[Alpha]"}], ";", 
           RowBox[{"a2", "=", "\[Alpha]1"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"\[Alpha]", "<", "\[Alpha]1"}], ",", 
             RowBox[{
              RowBox[{"a1", "=", "\[Alpha]1"}], ";", 
              RowBox[{"a2", "=", "\[Alpha]"}], ";"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"\[Alpha]", "<", "\[Alpha]minK"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"u\[Alpha]u\[Alpha]1", "=", "0"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"u\[Alpha]u\[Alpha]1", "=", 
               RowBox[{"overlapIntegral", "[", 
                RowBox[{
                "\[Mu]", ",", "a1", ",", "a2", ",", "L", ",", "\[Lambda]"}], 
                "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"\[Alpha]", "+", "1"}], ",", 
               RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}], "=", 
            "u\[Alpha]u\[Alpha]1"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"\[Alpha]1", "+", "1"}], ",", 
               RowBox[{"\[Alpha]", "+", "1"}]}], "]"}], "]"}], "=", 
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"\[Alpha]", "+", "1"}], ",", 
               RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "U", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7536765360124187`*^9, 3.753676613467037*^9}, 
   3.753677375210463*^9, {3.753677436791828*^9, 3.753677513827133*^9}, {
   3.753677589393628*^9, 3.7536776100197134`*^9}, 3.753677713993909*^9, {
   3.753677744479912*^9, 3.753677762637092*^9}, {3.7536777978264666`*^9, 
   3.7536778451570826`*^9}, {3.7536779259581804`*^9, 3.753677945756096*^9}, {
   3.753677983992483*^9, 3.7536780132752776`*^9}, {3.7536780669343705`*^9, 
   3.7536780876854625`*^9}, {3.753678224239497*^9, 3.7536782561943026`*^9}, {
   3.7536782941181736`*^9, 3.7536783035249195`*^9}, 3.7538453364049077`*^9, 
   3.7538453676096983`*^9, 3.75384541789357*^9, 3.753845486959725*^9, 
   3.753845520273977*^9, {3.7538457851941614`*^9, 3.753845812195557*^9}, {
   3.753846032986822*^9, 3.753846056784958*^9}, 3.7538461113815966`*^9, {
   3.7538461846198235`*^9, 3.7538462026051188`*^9}, {3.753846267874202*^9, 
   3.7538462717962837`*^9}, {3.753846402084386*^9, 3.753846407975297*^9}, {
   3.7538467811199474`*^9, 3.753846782401244*^9}, 3.7599868246241975`*^9, {
   3.7599868638762417`*^9, 3.7599868796583185`*^9}, {3.7601957742451344`*^9, 
   3.760195781198647*^9}, {3.761724400585432*^9, 3.7617244309151363`*^9}, {
   3.7617245721881866`*^9, 3.7617245855170135`*^9}, {3.7617246321444635`*^9, 
   3.7617247287745485`*^9}, {3.761724800997117*^9, 3.761724817076088*^9}, {
   3.7617248571719265`*^9, 3.761724873110285*^9}, {3.7617249363323593`*^9, 
   3.7617249890069857`*^9}, {3.761725027259017*^9, 3.7617250430254726`*^9}, {
   3.7617250936218596`*^9, 3.7617251586877837`*^9}, {3.761727390102865*^9, 
   3.761727411197728*^9}, {3.761740535638201*^9, 3.7617405575768604`*^9}, {
   3.7617486219128447`*^9, 3.761748657399067*^9}, {3.7617519720108943`*^9, 
   3.761751974886045*^9}, {3.761791867872242*^9, 3.761791867872242*^9}, {
   3.7830023678403015`*^9, 3.7830023682777405`*^9}, {3.7893854938201065`*^9, 
   3.789385510959569*^9}, {3.7893865148224325`*^9, 3.789386522117595*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"UmatrixM", "[", 
   RowBox[{"\[Mu]_", ",", "L_", ",", "\[Lambda]_", ",", "prec_"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Umatrix", " ", "returns", " ", "the", " ", "matrix", " ",
     "which", " ", "entries", " ", "are", " ", "the", " ", "renormalized", 
    " ", "overlap"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"integrals", " ", "<", 
      SubscriptBox["u", "\[Alpha]"]}], "|", 
     RowBox[{
      SubscriptBox["u", 
       RowBox[{"\[Alpha]", "'"}]], ">", " ", 
      RowBox[{
      "calculated", " ", "for", " ", "given", " ", "values", " ", "of", " ", 
       "\[Mu]"}]}]}], ",", " ", "\[Lambda]", ",", " ", 
    RowBox[{"and", " ", 
     RowBox[{"L", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "dimension", " ", "of", " ", "the", " ", "matrix", " ", "is", 
    " ", "equal", " ", "to", " ", "the", " ", "maximum", " ", "possible", " ",
     "number", " ", "of", " ", "BM", " ", "states"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"for", " ", "given", " ", "value", " ", "of", " ", 
    RowBox[{"\[Mu]", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "U", ",", "a1", ",", "a2", ",", "\[Alpha]max", ",", "\[Alpha]maxK", ",", 
      "\[Alpha]minK", ",", "\[Alpha]", ",", "\[Alpha]1", ",", 
      "u\[Alpha]u\[Alpha]", ",", "u\[Alpha]u\[Alpha]1"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"U", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"\[Alpha]", ",", "0", ",", "\[Alpha]max", ",", "1"}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"\[Alpha]1", ",", "0", ",", "\[Alpha]max", ",", "1"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]max", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"u\[Alpha]u\[Alpha]", "=", 
         RowBox[{"overlapIntegralM", "[", 
          RowBox[{
          "\[Mu]", ",", "\[Lambda]", ",", "L", ",", "0", ",", "0", ",", 
           "prec"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"U", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}], "=", "u\[Alpha]u\[Alpha]"}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "U", "]"}]}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]minK", "=", 
      RowBox[{"AlphaminK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "=", "0"}], ",", 
       RowBox[{"\[Alpha]", "\[LessEqual]", "\[Alpha]maxK"}], ",", 
       RowBox[{"\[Alpha]", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"\[Alpha]1", "=", "\[Alpha]"}], ",", 
          RowBox[{"\[Alpha]1", "\[LessEqual]", "\[Alpha]maxK"}], ",", 
          RowBox[{"\[Alpha]1", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"a1", "=", "\[Alpha]"}], ";", 
           RowBox[{"a2", "=", "\[Alpha]1"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"\[Alpha]", "<", "\[Alpha]1"}], ",", 
             RowBox[{
              RowBox[{"a1", "=", "\[Alpha]1"}], ";", 
              RowBox[{"a2", "=", "\[Alpha]"}], ";"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"\[Alpha]", "<", "\[Alpha]minK"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"u\[Alpha]u\[Alpha]1", "=", "0"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"u\[Alpha]u\[Alpha]1", "=", 
               RowBox[{"overlapIntegralM", "[", 
                RowBox[{
                "\[Mu]", ",", "\[Lambda]", ",", "L", ",", "a1", ",", "a2", 
                 ",", "prec"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{
              RowBox[{"U", "[", 
               RowBox[{"[", 
                RowBox[{
                 RowBox[{"\[Alpha]", "+", "1"}], ",", 
                 RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}], "=", 
              RowBox[{"N", "[", 
               RowBox[{"u\[Alpha]u\[Alpha]1", ",", "prec"}], "]"}]}], ";"}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"\[Alpha]", "+", "1"}], ",", 
               RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}], "=", 
            "u\[Alpha]u\[Alpha]1"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"\[Alpha]1", "+", "1"}], ",", 
               RowBox[{"\[Alpha]", "+", "1"}]}], "]"}], "]"}], "=", 
            RowBox[{"U", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"\[Alpha]", "+", "1"}], ",", 
               RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "U", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7536765360124187`*^9, 3.753676613467037*^9}, 
   3.753677375210463*^9, {3.753677436791828*^9, 3.753677513827133*^9}, {
   3.753677589393628*^9, 3.7536776100197134`*^9}, 3.753677713993909*^9, {
   3.753677744479912*^9, 3.753677762637092*^9}, {3.7536777978264666`*^9, 
   3.7536778451570826`*^9}, {3.7536779259581804`*^9, 3.753677945756096*^9}, {
   3.753677983992483*^9, 3.7536780132752776`*^9}, {3.7536780669343705`*^9, 
   3.7536780876854625`*^9}, {3.753678224239497*^9, 3.7536782561943026`*^9}, {
   3.7536782941181736`*^9, 3.7536783035249195`*^9}, 3.7538453364049077`*^9, 
   3.7538453676096983`*^9, 3.75384541789357*^9, 3.753845486959725*^9, 
   3.753845520273977*^9, {3.7538457851941614`*^9, 3.753845812195557*^9}, {
   3.753846032986822*^9, 3.753846056784958*^9}, 3.7538461113815966`*^9, {
   3.7538461846198235`*^9, 3.7538462026051188`*^9}, {3.753846267874202*^9, 
   3.7538462717962837`*^9}, {3.753846402084386*^9, 3.753846407975297*^9}, {
   3.7538467811199474`*^9, 3.753846782401244*^9}, 3.7599868246241975`*^9, {
   3.7599868638762417`*^9, 3.7599868796583185`*^9}, {3.7601957742451344`*^9, 
   3.760195781198647*^9}, {3.761724400585432*^9, 3.7617244309151363`*^9}, {
   3.7617245721881866`*^9, 3.7617245855170135`*^9}, {3.7617246321444635`*^9, 
   3.7617247287745485`*^9}, {3.761724800997117*^9, 3.761724817076088*^9}, {
   3.7617248571719265`*^9, 3.761724873110285*^9}, {3.7617249363323593`*^9, 
   3.7617249890069857`*^9}, {3.761725027259017*^9, 3.7617250430254726`*^9}, {
   3.7617250936218596`*^9, 3.7617251586877837`*^9}, {3.761727390102865*^9, 
   3.761727411197728*^9}, {3.761740535638201*^9, 3.7617405575768604`*^9}, {
   3.7617486219128447`*^9, 3.761748657399067*^9}, {3.7617519720108943`*^9, 
   3.761751974886045*^9}, {3.761791867872242*^9, 3.761791867872242*^9}, {
   3.763731427083131*^9, 3.763731427317518*^9}, {3.7637317278489685`*^9, 
   3.7637318013528137`*^9}, {3.7637318567932343`*^9, 3.7637319375943565`*^9}, 
   3.7637320236301317`*^9, 3.764426566742848*^9, {3.782319125087925*^9, 
   3.782319127368636*^9}, {3.782319164703602*^9, 3.782319229175357*^9}, {
   3.782319322950158*^9, 3.7823193366344385`*^9}, 3.7897034989000273`*^9, {
   3.7918955331275454`*^9, 3.7918955407091584`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"vidurk", "[", 
   RowBox[{
   "\[Alpha]_", ",", "\[Alpha]max_", ",", "asis_", ",", "fs_", ",", 
    "psipsi_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "vidurk", " ", "returns", " ", "the", " ", "list", " ", 
    "of", " ", "normalization", " ", "integrals", " ", "of", " ", 
    "orthogonalized"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "BM", " ", "states", " ", "with", " ", "added", " ", "normalization", 
      " ", "integral"}], " ", "<", 
     SubscriptBox["\[Psi]", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["\[Psi]", "\[Alpha]"], ">", " ", 
     RowBox[{"calculated", " ", "for", " ", "given", " ", "value", " ", 
      RowBox[{"\[Alpha]", "."}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"The", " ", "list", " ", "of"}], " ", "<", 
      SubscriptBox["\[Psi]", "\[Alpha]"]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", "\[Alpha]"], ">", " ", 
      RowBox[{"is", " ", "formed", " ", "in", " ", "the", " ", "order"}], " ",
       "<", 
      SubscriptBox["\[Psi]", 
       SubscriptBox["\[Alpha]", "max"]]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", 
       SubscriptBox["\[Alpha]", "max"]], ">"}]}], ",", " ", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Psi]", 
       RowBox[{
        SubscriptBox["\[Alpha]", "max"], "-", "1"}]]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", 
       RowBox[{
        SubscriptBox["\[Alpha]", "max"], "-", "1"}]], ">"}]}], ",", "...", 
    ",", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Psi]", "0"]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", "0"], ">"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]max", "  ", "-", " ", 
    RowBox[{
    "maximum", " ", "possible", " ", "number", " ", "of", " ", "BM", " ", 
     "states", " ", "for", " ", "given", " ", "value", " ", "of", " ", 
     "\[Mu]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"fs", "    ", "-", " ", 
    RowBox[{
    "the", " ", "list", " ", "of", " ", "the", " ", "previously", " ", 
     "calculated", " ", "quanities", " ", "f", " ", "up", " ", "to"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{"the", " ", "of", " ", "quantity", " ", 
     SubsuperscriptBox["f", 
      RowBox[{"\[Alpha]", ",", "\[Alpha]1"}], 
      RowBox[{"(", "n", ")"}]], " ", "with", " ", "given", " ", "values", " ",
      "of", " ", "\[Alpha]"}], ",", " ", "\[Alpha]1", ",", " ", 
    RowBox[{"and", " ", 
     RowBox[{"n", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"asis", "  ", "-", " ", 
      RowBox[{
      "the", " ", "list", " ", "of", " ", "the", " ", "normalization", " ", 
       "integrals"}]}], " ", "<", 
     SubscriptBox["u", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["u", "\[Alpha]"], ">", " ", 
     RowBox[{"of", " ", "the", " ", "BM", " ", 
      RowBox[{"states", "."}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"The", " ", "list", " ", "of"}], " ", "<", 
      SubscriptBox["u", "\[Alpha]"]}], "|", 
     RowBox[{
      SubscriptBox["u", "\[Alpha]"], ">", " ", 
      RowBox[{"is", " ", "formed", " ", "in", " ", "the", " ", "order"}], " ",
       "<", 
      SubscriptBox["u", "0"]}], "|", 
     RowBox[{
      SubscriptBox["u", "0"], ">"}]}], ",", " ", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["u", "1"]}], "|", 
     RowBox[{
      SubscriptBox["u", "1"], ">"}]}], ",", "...", ",", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["u", 
       SubscriptBox["\[Alpha]", "max"]]}], "|", 
     RowBox[{
      SubscriptBox["u", 
       SubscriptBox["\[Alpha]", "max"]], ">"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"psipsi", "-", " ", 
      RowBox[{
      "the", " ", "list", " ", "of", " ", "the", " ", "normalization", " ", 
       "integrals"}]}], " ", "<", 
     SubscriptBox["\[Psi]", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["\[Psi]", "\[Alpha]"], ">", " ", 
     RowBox[{"of", " ", "orthogonalized"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{
     RowBox[{"BM", " ", 
      RowBox[{"states", ".", " ", "The"}], " ", "list", " ", "of"}], " ", "<", 
     SubscriptBox["\[Psi]", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["\[Psi]", "\[Alpha]"], ">", " ", 
     RowBox[{"is", " ", "formed", " ", "in", " ", "the", " ", "order"}]}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Psi]", 
       SubscriptBox["\[Alpha]", "max"]]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", 
       SubscriptBox["\[Alpha]", "max"]], ">"}]}], ",", " ", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Psi]", 
       RowBox[{
        SubscriptBox["\[Alpha]", "max"], "-", "1"}]]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", 
       RowBox[{
        SubscriptBox["\[Alpha]", "max"], "-", "1"}]], ">"}]}], ",", "...", 
    ",", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Psi]", "0"]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", "0"], ">"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"al", ",", "ale", ",", "i1", ",", "ats", ",", "npsipsi"}], "}"}],
     ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"npsipsi", "=", "psipsi"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"asis", "[", 
       RowBox[{"[", 
        RowBox[{"\[Alpha]", "+", "1"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ale", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"al", "=", "\[Alpha]max"}], ",", 
       RowBox[{"al", "\[GreaterEqual]", 
        RowBox[{"\[Alpha]", "+", "1"}]}], ",", 
       RowBox[{"al", "--"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ale", "=", 
         RowBox[{"ale", "+", "1"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"i1", "=", 
         RowBox[{"kelintaf", "[", 
          RowBox[{"\[Alpha]", ",", "al", ",", 
           RowBox[{"\[Alpha]max", "-", "al"}], ",", "\[Alpha]max"}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"psipsi", "[", 
            RowBox[{"[", "ale", "]"}], "]"}], "=!=", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ats", "=", 
            RowBox[{"ats", "-", 
             RowBox[{
              RowBox[{"fs", "[", 
               RowBox[{"[", "i1", "]"}], "]"}], "*", 
              RowBox[{
               RowBox[{"fs", "[", 
                RowBox[{"[", "i1", "]"}], "]"}], "/", 
               RowBox[{"psipsi", "[", 
                RowBox[{"[", "ale", "]"}], "]"}]}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"npsipsi", "=", 
      RowBox[{"Append", "[", 
       RowBox[{"npsipsi", ",", "ats"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "npsipsi", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7498988366694202`*^9, 3.7498988384507637`*^9}, {
   3.7498988775778227`*^9, 3.749898896719454*^9}, {3.7499008498608418`*^9, 
   3.7499008617833185`*^9}, 3.7499008988790197`*^9, {3.749900932193297*^9, 
   3.749901026073235*^9}, 3.749901075700844*^9, {3.7499016880611773`*^9, 
   3.7499017301727667`*^9}, {3.7499017723624616`*^9, 
   3.7499017877539215`*^9}, {3.7499021564139357`*^9, 
   3.7499021643831053`*^9}, {3.750072057595481*^9, 3.7500721329744263`*^9}, {
   3.7500728547467833`*^9, 3.750072863950393*^9}, {3.750072897030237*^9, 
   3.750072900249177*^9}, {3.7500732213914413`*^9, 3.750073229516869*^9}, {
   3.7500732651281195`*^9, 3.750073267737629*^9}, {3.750073334788006*^9, 
   3.7500733371787815`*^9}, 3.7500733932910824`*^9, {3.7500734331994567`*^9, 
   3.7500734359964805`*^9}, {3.7500739513833604`*^9, 3.750074012152181*^9}, {
   3.7500740434507275`*^9, 3.7500740563889093`*^9}, {3.7500741047820787`*^9, 
   3.750074107891621*^9}, {3.750074183333085*^9, 3.7500741968337727`*^9}, 
   3.750074674702655*^9, {3.750074717533032*^9, 3.750074726205364*^9}, {
   3.7500747670044093`*^9, 3.7500747958184047`*^9}, {3.750074936935197*^9, 
   3.750074938466527*^9}, {3.7500750342528152`*^9, 3.750075068692132*^9}, {
   3.750075375943019*^9, 3.7500754172889433`*^9}, 3.7500758467177553`*^9, {
   3.7500759378944516`*^9, 3.750075967802251*^9}, 3.7500761819102964`*^9, {
   3.7500765924641995`*^9, 3.750076594479931*^9}, {3.7500785427386494`*^9, 
   3.750078557333145*^9}, {3.750085175575351*^9, 3.750085180481863*^9}, {
   3.7500852656113195`*^9, 3.7500852922221117`*^9}, 3.7500855823623734`*^9, {
   3.7500858155933886`*^9, 3.750085853392252*^9}, {3.750085994430896*^9, 
   3.750085998118614*^9}, 3.7500865361937704`*^9, {3.7502146268474064`*^9, 
   3.750214633160234*^9}, {3.750214671334118*^9, 3.7502147463693275`*^9}, {
   3.7502149118311415`*^9, 3.750214931925953*^9}, {3.750215187393195*^9, 
   3.750215318415735*^9}, {3.750215403107668*^9, 3.7502154354062386`*^9}, {
   3.7502160299531374`*^9, 3.7502160330470505`*^9}, {3.75021789303852*^9, 
   3.7502179264621534`*^9}, {3.7502180927834005`*^9, 3.750218147942556*^9}, {
   3.750218183444419*^9, 3.750218238728578*^9}, 3.7502183006068068`*^9, 
   3.7502183586098824`*^9, 3.7502188263063316`*^9, {3.750219372835083*^9, 
   3.7502193807261195`*^9}, {3.7502195336404123`*^9, 
   3.7502195492975082`*^9}, {3.7502206697783175`*^9, 
   3.7502206960765505`*^9}, {3.7502216493302336`*^9, 
   3.7502216962545757`*^9}, {3.7507313203363523`*^9, 
   3.7507313203988557`*^9}, {3.750906039032606*^9, 3.7509060422046723`*^9}, 
   3.750906111661427*^9, {3.7512557555720925`*^9, 3.751255773151142*^9}, {
   3.752119761958454*^9, 3.752119782756424*^9}, {3.7524638228589087`*^9, 
   3.752463826562205*^9}, {3.752463895081456*^9, 3.7524639370992928`*^9}, {
   3.7532415918102865`*^9, 3.753241632828045*^9}, {3.7532416795648794`*^9, 
   3.7532417401774426`*^9}, 3.75445527617722*^9, 3.7544553096244345`*^9, {
   3.754463096952942*^9, 3.754463107112561*^9}, 3.754469178250717*^9, {
   3.7544692588967824`*^9, 3.7544692915298824`*^9}, {3.7547218956143355`*^9, 
   3.7547219211361804`*^9}, {3.761732727086696*^9, 3.7617327458845835`*^9}, {
   3.7617327859491744`*^9, 3.7617328009030805`*^9}, {3.761732857062286*^9, 
   3.761732933738191*^9}, {3.7617329670524445`*^9, 3.761733045947219*^9}, {
   3.761733111185025*^9, 3.7617331575624666`*^9}, {3.7617333161801844`*^9, 
   3.761733323571198*^9}, {3.761734299216263*^9, 3.7617343529847164`*^9}, {
   3.7617351711214924`*^9, 3.761735215842597*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kelintaf", "[", 
   RowBox[{"\[Alpha]_", ",", "\[Alpha]1_", ",", "n_", ",", "\[Alpha]max_"}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "kelintaf", " ", "returns", " ", "the", " ", "sequence", 
    " ", "number", " ", "in", " ", "the", " ", "linear", " ", "storage"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"of", " ", "the", " ", "quantity", " ", 
     SubsuperscriptBox["f", 
      RowBox[{"\[Alpha]", ",", "\[Alpha]1"}], 
      RowBox[{"(", "n", ")"}]], " ", "for", " ", "given", " ", "values", " ", 
     "of", " ", "\[Alpha]"}], ",", " ", "\[Alpha]1", ",", " ", 
    RowBox[{"and", " ", "n"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]1", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"n", "     ", "-", " ", 
    RowBox[{
    "the", " ", "number", " ", "of", " ", "iteration", " ", "step", " ", "in",
      " ", "calculations", " ", "of", " ", "the", " ", 
     SubsuperscriptBox["f", 
      RowBox[{"\[Alpha]", ",", "\[Alpha]1"}], 
      RowBox[{"(", "n", ")"}]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]max", "  ", "-", " ", 
    RowBox[{
    "maximum", " ", "possible", " ", "number", " ", "of", " ", "BM", " ", 
     "states", " ", "for", " ", "given", " ", "value", " ", "of", " ", 
     "\[Mu]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"pt", ",", "pe", ",", "ats"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"pt", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "*", "n"}], "+", 
         RowBox[{"6", "*", " ", "\[Alpha]max", "*", "n"}], "+", 
         RowBox[{"3", " ", "*", "\[Alpha]max", "*", "\[Alpha]max", "*", "n"}],
          "-", 
         RowBox[{"3", " ", "*", 
          RowBox[{"(", 
           RowBox[{"1", "+", "\[Alpha]max"}], ")"}], "*", "n", " ", "*", 
          "n"}], "+", 
         RowBox[{"n", "*", "n", "*", "n"}]}], ")"}], "/", "6"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"pe", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Alpha]max", "-", "n"}], ")"}], "*", "\[Alpha]"}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"\[Alpha]", "-", 
          RowBox[{"\[Alpha]", "*", "\[Alpha]"}]}], ")"}], "/", "2"}]}]}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"pt", "+", "pe", "+", "\[Alpha]1", "-", "\[Alpha]"}]}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.7498009302132826`*^9, 3.749801047469426*^9}, {
   3.749801233135441*^9, 3.7498012708718*^9}, {3.749801361876612*^9, 
   3.7498013643923693`*^9}, {3.7498014090517626`*^9, 3.7498014266620646`*^9}, 
   3.749801465836025*^9, {3.750076517804002*^9, 3.750076521319832*^9}, {
   3.7502169872402782`*^9, 3.750217026898614*^9}, {3.7507312941162243`*^9, 
   3.7507313203207273`*^9}, {3.761725631868944*^9, 3.761725721811174*^9}, {
   3.761725811128372*^9, 3.761725833629533*^9}, {3.7617258911794558`*^9, 
   3.761725950449023*^9}, {3.7617260510168095`*^9, 3.7617260680020804`*^9}, {
   3.7617261093167725`*^9, 3.7617262042592444`*^9}, 3.7617262411205807`*^9, {
   3.7617263077334595`*^9, 3.7617263355786543`*^9}, {3.7617263750963573`*^9, 
   3.761726520916525*^9}, {3.7617265856386766`*^9, 3.7617265887169666`*^9}, {
   3.7617266396883974`*^9, 3.7617266495014353`*^9}, {3.7617267002384725`*^9, 
   3.7617267176768723`*^9}, {3.7617268522933283`*^9, 3.7617269108432865`*^9}, 
   3.7617269784718637`*^9, {3.761727038318735*^9, 3.761727039428174*^9}, {
   3.761727096118651*^9, 3.7617270997282405`*^9}, 3.761727200889812*^9, {
   3.761727244423352*^9, 3.761727378195987*^9}, 3.7617276735240464`*^9, {
   3.7617277056976132`*^9, 3.7617277109322405`*^9}, {3.7617331643596992`*^9, 
   3.7617331685942965`*^9}, {3.761733469063221*^9, 3.761733478376235*^9}, {
   3.7617335122217393`*^9, 3.7617335273788123`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"reiksmef", "[", 
   RowBox[{
   "\[Alpha]_", ",", "\[Alpha]1_", ",", "\[Alpha]max_", ",", "n_", ",", "fs_",
     ",", "asis_", ",", "psipsi_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "reiksmef", " ", "returns", " ", "the", " ", "valiue", 
    " ", "of", " ", "the", " ", "quantity", " ", 
    SubsuperscriptBox["f", 
     RowBox[{"\[Alpha]", ",", "\[Alpha]1"}], 
     RowBox[{"(", "n", ")"}]]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"for", " ", "given", " ", "values", " ", "of", " ", "\[Alpha]"}], 
    ",", " ", "\[Alpha]1", ",", " ", 
    RowBox[{"and", " ", 
     RowBox[{"n", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]1", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"n", "     ", "-", " ", 
    RowBox[{
    "the", " ", "number", " ", "of", " ", "iteration", " ", "step", " ", "in",
      " ", "calculations", " ", "of", " ", "the", " ", 
     SubsuperscriptBox["f", 
      RowBox[{"\[Alpha]", ",", "\[Alpha]1"}], 
      RowBox[{"(", "n", ")"}]]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]max", "  ", "-", " ", 
    RowBox[{
    "maximum", " ", "possible", " ", "number", " ", "of", " ", "BM", " ", 
     "states", " ", "for", " ", "given", " ", "value", " ", "of", " ", 
     "\[Mu]"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"fs", "    ", "-", " ", 
    RowBox[{
    "the", " ", "list", " ", "of", " ", "the", " ", "previously", " ", 
     "calculated", " ", "quanities", " ", "f", " ", "up", " ", "to"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{"the", " ", "of", " ", "quantity", " ", 
     SubsuperscriptBox["f", 
      RowBox[{"\[Alpha]", ",", "\[Alpha]1"}], 
      RowBox[{"(", "n", ")"}]], " ", "with", " ", "given", " ", "values", " ",
      "of", " ", "\[Alpha]"}], ",", " ", "\[Alpha]1", ",", " ", 
    RowBox[{"and", " ", 
     RowBox[{"n", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"asis", "  ", "-", " ", 
      RowBox[{
      "the", " ", "list", " ", "of", " ", "the", " ", "normalization", " ", 
       "integrals"}]}], " ", "<", 
     SubscriptBox["u", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["u", "\[Alpha]"], ">", " ", 
     RowBox[{"of", " ", "the", " ", "BM", " ", 
      RowBox[{"states", "."}]}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"The", " ", "list", " ", "of"}], " ", "<", 
      SubscriptBox["u", "\[Alpha]"]}], "|", 
     RowBox[{
      SubscriptBox["u", "\[Alpha]"], ">", " ", 
      RowBox[{"is", " ", "formed", " ", "in", " ", "the", " ", "order"}], " ",
       "<", 
      SubscriptBox["u", "0"]}], "|", 
     RowBox[{
      SubscriptBox["u", "0"], ">"}]}], ",", " ", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["u", "1"]}], "|", 
     RowBox[{
      SubscriptBox["u", "1"], ">"}]}], ",", "...", ",", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["u", 
       SubscriptBox["\[Alpha]", "max"]]}], "|", 
     RowBox[{
      SubscriptBox["u", 
       SubscriptBox["\[Alpha]", "max"]], ">"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"psipsi", "-", " ", 
      RowBox[{
      "the", " ", "list", " ", "of", " ", "the", " ", "normalization", " ", 
       "integrals"}]}], " ", "<", 
     SubscriptBox["\[Psi]", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["\[Psi]", "\[Alpha]"], ">", " ", 
     RowBox[{"of", " ", "orthogonalized"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{
     RowBox[{"BM", " ", 
      RowBox[{"states", ".", " ", "The"}], " ", "list", " ", "of"}], " ", "<", 
     SubscriptBox["\[Psi]", "\[Alpha]"]}], "|", 
    RowBox[{
     SubscriptBox["\[Psi]", "\[Alpha]"], ">", " ", 
     RowBox[{"is", " ", "formed", " ", "in", " ", "the", " ", "order"}]}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Psi]", 
       SubscriptBox["\[Alpha]", "max"]]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", 
       SubscriptBox["\[Alpha]", "max"]], ">"}]}], ",", " ", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Psi]", 
       RowBox[{
        SubscriptBox["\[Alpha]", "max"], "-", "1"}]]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", 
       RowBox[{
        SubscriptBox["\[Alpha]", "max"], "-", "1"}]], ">"}]}], ",", "...", 
    ",", 
    RowBox[{
     RowBox[{"<", 
      SubscriptBox["\[Psi]", "0"]}], "|", 
     RowBox[{
      SubscriptBox["\[Psi]", "0"], ">"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"i1", ",", "i2", ",", "i3", ",", "ats"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ats", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"i1", "=", 
      RowBox[{"kelintaf", "[", 
       RowBox[{"\[Alpha]", ",", "\[Alpha]1", ",", 
        RowBox[{"n", "-", "1"}], ",", "\[Alpha]max"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"i2", "=", 
      RowBox[{"kelintaf", "[", 
       RowBox[{"\[Alpha]1", ",", 
        RowBox[{"\[Alpha]max", "-", "n", "+", "1"}], ",", 
        RowBox[{"n", "-", "1"}], ",", "\[Alpha]max"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"i3", "=", 
      RowBox[{"kelintaf", "[", 
       RowBox[{"\[Alpha]", ",", 
        RowBox[{"\[Alpha]max", "-", "n", "+", "1"}], ",", 
        RowBox[{"n", "-", "1"}], ",", "\[Alpha]max"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ats", "=", 
         RowBox[{"-", 
          RowBox[{"fs", "[", 
           RowBox[{"[", "i1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", "psipsi", "]"}], "=!=", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ats", "=", 
            RowBox[{"ats", "+", 
             RowBox[{
              RowBox[{"fs", "[", 
               RowBox[{"[", "i2", "]"}], "]"}], "*", 
              RowBox[{
               RowBox[{"fs", "[", 
                RowBox[{"[", "i3", "]"}], "]"}], "/", 
               RowBox[{"Last", "[", "psipsi", "]"}]}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"n", ">", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ats", "=", 
         RowBox[{"fs", "[", 
          RowBox[{"[", "i1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Last", "[", "psipsi", "]"}], "=!=", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ats", "=", 
            RowBox[{"ats", "+", 
             RowBox[{
              RowBox[{"fs", "[", 
               RowBox[{"[", "i2", "]"}], "]"}], "*", 
              RowBox[{
               RowBox[{"fs", "[", 
                RowBox[{"[", "i3", "]"}], "]"}], "/", 
               RowBox[{"Last", "[", "psipsi", "]"}]}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "ats", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7498009302132826`*^9, 3.749801047469426*^9}, {
   3.749801233135441*^9, 3.7498012708718*^9}, {3.749801361876612*^9, 
   3.7498013643923693`*^9}, {3.7498014090517626`*^9, 3.7498014266620646`*^9}, 
   3.749801465836025*^9, {3.7498077780619493`*^9, 3.749807791625184*^9}, {
   3.7498079056624327`*^9, 3.7498079072406206`*^9}, {3.7498079575245357`*^9, 
   3.749807960368415*^9}, {3.749807995635914*^9, 3.7498080631238403`*^9}, {
   3.7498082446177397`*^9, 3.749808380359275*^9}, {3.749808831789268*^9, 
   3.7498088469463153`*^9}, {3.7498088772447834`*^9, 3.749808923122197*^9}, {
   3.7498092035588226`*^9, 3.749809266484009*^9}, {3.749809358910743*^9, 
   3.7498093623327975`*^9}, {3.749809442102619*^9, 3.749809477307593*^9}, {
   3.7498100415048523`*^9, 3.7498100600214486`*^9}, {3.7498100928200245`*^9, 
   3.7498101001954117`*^9}, {3.750078874037326*^9, 3.750078885647312*^9}, {
   3.7500843308433986`*^9, 3.7500843815023365`*^9}, {3.7500844363489733`*^9, 
   3.7500844998679123`*^9}, {3.750084531666465*^9, 3.7500845417295136`*^9}, 
   3.75017195879062*^9, 3.750172100782463*^9, 3.750172367687149*^9, 
   3.7501724434879866`*^9, {3.7501732282480383`*^9, 3.7501732352640314`*^9}, {
   3.750222126667839*^9, 3.750222164466682*^9}, {3.750222194796424*^9, 
   3.7502222750349927`*^9}, {3.7503062146514997`*^9, 3.75030625220035*^9}, {
   3.7503077546868477`*^9, 3.750307816127568*^9}, 3.750307886224992*^9, {
   3.7503081743031635`*^9, 3.750308201929638*^9}, 3.7503083316551905`*^9, 
   3.7503399696175227`*^9, {3.750340019245139*^9, 3.7503400354022355`*^9}, {
   3.7503409914583435`*^9, 3.750341000411915*^9}, {3.7503431082260427`*^9, 
   3.750343116445223*^9}, {3.7503435920796375`*^9, 3.7503436396133633`*^9}, 
   3.750343676505929*^9, {3.750652722618211*^9, 3.750652790887431*^9}, 
   3.750653535040593*^9, {3.7507313203988557`*^9, 3.750731320414481*^9}, {
   3.75307410952776*^9, 3.753074191110181*^9}, {3.7532399555211*^9, 
   3.7532399610057645`*^9}, {3.7532400399630165`*^9, 3.753240075464909*^9}, {
   3.7532401613444247`*^9, 3.753240164032067*^9}, {3.7532402097688475`*^9, 
   3.75324034082259*^9}, 3.753241583387953*^9, 3.753241768022656*^9, {
   3.7547222103935966`*^9, 3.754722246559893*^9}, {3.761733330493434*^9, 
   3.7617333485725317`*^9}, {3.7617333807929783`*^9, 
   3.7617334182168207`*^9}, {3.7617335680059237`*^9, 3.761733576693886*^9}, {
   3.7617336195398855`*^9, 3.761733632634328*^9}, {3.761733671214504*^9, 
   3.7617336831057315`*^9}, 3.7617337150605354`*^9, {3.7617337581878076`*^9, 
   3.761733880100469*^9}, {3.761734006779002*^9, 3.7617340171701784`*^9}, {
   3.7617342214934206`*^9, 3.761734232947151*^9}, 3.7617344440676303`*^9, {
   3.7617345660115414`*^9, 3.761734663922946*^9}, {3.7617347005967493`*^9, 
   3.7617347883044825`*^9}, {3.761734818509198*^9, 3.7617349073732505`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Amatrix", "[", 
   RowBox[{"\[Mu]_", ",", "L_", ",", "\[Lambda]_", ",", "prec_"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Amatrix", " ", "returns", " ", "the", " ", "matrix", " ",
     "of", " ", "the", " ", "BM", " ", "basis", " ", "orthonormalization"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"coefficients", ".", " ", "The"}], " ", "dimension", " ", "of", 
    " ", "the", " ", "matrix", " ", "is", " ", "equal", " ", "to", " ", "the",
     " ", "maximum", " ", "possible"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "number", " ", "of", " ", "BM", " ", "states", " ", "for", " ", "given", 
    " ", "value", " ", "of", " ", 
    RowBox[{"\[Mu]", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "a1", ",", "a2", ",", "\[Alpha]max", ",", "\[Alpha]maxK", ",", 
      "\[Alpha]minK", ",", "K", ",", "Lmintotal", ",", "n", ",", "\[Alpha]", 
      ",", "\[Alpha]1", ",", "Lmin", ",", "\[Alpha]11", ",", 
      "u\[Alpha]u\[Alpha]", ",", "u\[Alpha]u\[Alpha]1", ",", "fr", ",", "ats",
       ",", "asis", ",", "psipsi", ",", "fs", ",", "A", ",", "i1"}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"A", "=", 
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"\[Alpha]", ",", "0", ",", "\[Alpha]max", ",", "1"}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"\[Alpha]1", ",", "0", ",", "\[Alpha]max", ",", "1"}], 
         "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]max", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"u\[Alpha]u\[Alpha]", "=", 
         RowBox[{"overlapIntegral", "[", 
          RowBox[{"\[Mu]", ",", "0", ",", "0", ",", "L", ",", "\[Lambda]"}], 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"u\[Alpha]u\[Alpha]", "=!=", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"u\[Alpha]u\[Alpha]", "=", 
            RowBox[{"overlapIntegralM", "[", 
             RowBox[{
             "\[Mu]", ",", "\[Lambda]", ",", "L", ",", "0", ",", "0", ",", 
              "prec"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"A", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}], "=", 
            RowBox[{"N", "[", 
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"Sqrt", "[", "u\[Alpha]u\[Alpha]", "]"}]}], ",", 
              "prec"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "A", "]"}]}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]minK", "=", 
      RowBox[{"AlphaminK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"K", "=", 
      RowBox[{"\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]maxK"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"K", "==", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
         RowBox[{"Lmintotal", "=", "0"}], ",", 
         RowBox[{"Lmintotal", "=", "1"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmintotal", "=", "K"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]maxK", "<", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
        "Print", "[", 
         "\"\<Amatrix: BM states not exists: L > \!\(\*SubscriptBox[\(L\), \
\(max\)]\)\>\"", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"L", "<", "Lmintotal"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
        "Print", "[", 
         "\"\<Amatrix: BM states not exists: L < \!\(\*SubscriptBox[\(L\), \
\(min\)]\)\>\"", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"asis", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "=", "0"}], ",", 
       RowBox[{"\[Alpha]", "\[LessEqual]", "\[Alpha]max"}], ",", 
       RowBox[{"\[Alpha]", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Alpha]", "<", "\[Alpha]minK"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"u\[Alpha]u\[Alpha]", "=", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"u\[Alpha]u\[Alpha]", "=", 
            RowBox[{"overlapIntegralM", "[", 
             RowBox[{
             "\[Mu]", ",", "\[Lambda]", ",", "L", ",", "\[Alpha]", ",", 
              "\[Alpha]", ",", "prec"}], "]"}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"asis", "=", 
         RowBox[{"Append", "[", 
          RowBox[{"asis", ",", "u\[Alpha]u\[Alpha]"}], "]"}]}]}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"psipsi", "=", 
      RowBox[{"{", "}"}]}], ";", 
     RowBox[{"fs", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"n", "=", "0"}], ",", 
       RowBox[{"n", "<", "\[Alpha]max"}], ",", 
       RowBox[{"n", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"\[Alpha]", "=", "0"}], ",", 
          RowBox[{"\[Alpha]", "<", "\[Alpha]max"}], ",", 
          RowBox[{"\[Alpha]", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"\[Alpha]1", "=", 
              RowBox[{"\[Alpha]", "+", "1"}]}], ",", 
             RowBox[{"\[Alpha]1", "\[LessEqual]", 
              RowBox[{"\[Alpha]max", "-", "n"}]}], ",", 
             RowBox[{"\[Alpha]1", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"n", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"a1", "=", "\[Alpha]"}], ";", 
                 RowBox[{"a2", "=", "\[Alpha]1"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"\[Alpha]", "<", "\[Alpha]1"}], ",", 
                   RowBox[{
                    RowBox[{"a1", "=", "\[Alpha]1"}], ";", 
                    RowBox[{"a2", "=", "\[Alpha]"}], ";"}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"\[Alpha]", "<", "\[Alpha]minK"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{"u\[Alpha]u\[Alpha]1", "=", "0"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"u\[Alpha]u\[Alpha]1", "=", 
                    RowBox[{"overlapIntegralM", "[", 
                    RowBox[{
                    "\[Mu]", ",", "\[Lambda]", ",", "L", ",", "a1", ",", "a2",
                     ",", "prec"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", 
                  "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"fs", "=", 
                  RowBox[{"Append", "[", 
                   RowBox[{"fs", ",", "u\[Alpha]u\[Alpha]1"}], "]"}]}], 
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"n", "!=", "0"}], ",", 
                RowBox[{
                 RowBox[{"fr", "=", 
                  RowBox[{"reiksmef", "[", 
                   RowBox[{
                   "\[Alpha]", ",", "\[Alpha]1", ",", "\[Alpha]max", ",", "n",
                     ",", "fs", ",", "asis", ",", "psipsi"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"fs", "=", 
                  RowBox[{"Append", "[", 
                   RowBox[{"fs", ",", "fr"}], "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"psipsi", "=", 
         RowBox[{"vidurk", "[", 
          RowBox[{
           RowBox[{"\[Alpha]max", "-", "n"}], ",", "\[Alpha]max", ",", "asis",
            ",", "fs", ",", "psipsi"}], "]"}]}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"psipsi", "=", 
      RowBox[{"vidurk", "[", 
       RowBox[{
       "0", ",", "\[Alpha]max", ",", "asis", ",", "fs", ",", "psipsi"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "=", "\[Alpha]maxK"}], ",", 
       RowBox[{"\[Alpha]", ">=", "0"}], ",", 
       RowBox[{"\[Alpha]", "--"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Alpha]", "<", "\[Alpha]minK"}], ",", 
          RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"\[Alpha]1", "=", "\[Alpha]"}], ",", 
          RowBox[{"\[Alpha]1", "\[LessEqual]", "\[Alpha]maxK"}], ",", 
          RowBox[{"\[Alpha]1", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Alpha]", "\[Equal]", "\[Alpha]maxK"}], "&&", 
              RowBox[{"\[Alpha]1", "\[Equal]", "\[Alpha]maxK"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"psipsi", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Length", "[", "psipsi", "]"}], "-", "\[Alpha]"}],
                    "]"}], "]"}], "===", "0"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"A", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"\[Alpha]", "+", "1"}], ",", 
                    RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}], "=", 
                  RowBox[{"N", "[", 
                   RowBox[{"0", ",", "prec"}], "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"psipsi", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"Length", "[", "psipsi", "]"}], "-", "\[Alpha]"}],
                    "]"}], "]"}], "=!=", "0"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"A", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"\[Alpha]", "+", "1"}], ",", 
                    RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}], "=", 
                  RowBox[{"N", "[", 
                   RowBox[{
                    RowBox[{"1", "/", 
                    RowBox[{"Sqrt", "[", 
                    RowBox[{"psipsi", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Length", "[", "psipsi", "]"}], "-", "\[Alpha]"}],
                     "]"}], "]"}], "]"}]}], ",", "prec"}], "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Alpha]", "\[Equal]", "\[Alpha]1"}], "&&", 
              RowBox[{"\[Alpha]", "\[NotEqual]", "\[Alpha]maxK"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"A", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"\[Alpha]", "+", "1"}], ",", 
                  RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}], "=", 
               RowBox[{"N", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "1"}], "/", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"psipsi", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Length", "[", "psipsi", "]"}], "-", "\[Alpha]"}],
                     "]"}], "]"}], "]"}]}], ",", "prec"}], "]"}]}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Alpha]", "\[NotEqual]", "\[Alpha]1"}], "&&", 
              RowBox[{"\[Alpha]1", "\[NotEqual]", "\[Alpha]maxK"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"ats", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"\[Alpha]11", "=", "\[Alpha]"}], ",", 
                RowBox[{"\[Alpha]11", "\[LessEqual]", 
                 RowBox[{"\[Alpha]1", "-", "1"}]}], ",", 
                RowBox[{"\[Alpha]11", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"i1", "=", 
                  RowBox[{"kelintaf", "[", 
                   RowBox[{"\[Alpha]11", ",", "\[Alpha]1", ",", 
                    RowBox[{"\[Alpha]max", "-", "\[Alpha]1"}], ",", 
                    "\[Alpha]max"}], "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"ats", "=", 
                  RowBox[{"ats", "+", 
                   RowBox[{
                    RowBox[{"A", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"\[Alpha]", "+", "1"}], ",", 
                    RowBox[{"\[Alpha]11", "+", "1"}]}], "]"}], "]"}], "*", 
                    RowBox[{"fs", "[", 
                    RowBox[{"[", "i1", "]"}], "]"}]}]}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"A", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"\[Alpha]", "+", "1"}], ",", 
                  RowBox[{"\[Alpha]1", "+", "1"}]}], "]"}], "]"}], "=", 
               RowBox[{"N", "[", 
                RowBox[{
                 RowBox[{"ats", "/", 
                  RowBox[{"psipsi", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"Length", "[", "psipsi", "]"}], "-", 
                    "\[Alpha]1"}], "]"}], "]"}]}], ",", "prec"}], "]"}]}], 
              ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"\[Alpha]", "\[NotEqual]", "\[Alpha]1"}], "&&", 
              RowBox[{"\[Alpha]1", "\[Equal]", "\[Alpha]maxK"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"ats", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"\[Alpha]11", "=", "\[Alpha]"}], ",", 
                RowBox[{"\[Alpha]11", "\[LessEqual]", 
                 RowBox[{"\[Alpha]max", "-", "1"}]}], ",", 
                RowBox[{"\[Alpha]11", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"i1", "=", 
                  RowBox[{"kelintaf", "[", 
                   RowBox[{
                   "\[Alpha]11", ",", "\[Alpha]1", ",", "0", ",", 
                    "\[Alpha]max"}], "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"ats", "=", 
                  RowBox[{"ats", "+", 
                   RowBox[{
                    RowBox[{"A", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"\[Alpha]", "+", "1"}], ",", 
                    RowBox[{"\[Alpha]11", "+", "1"}]}], "]"}], "]"}], "*", 
                    RowBox[{"fs", "[", 
                    RowBox[{"[", "i1", "]"}], "]"}]}]}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"A", "[", 
                RowBox[{"[", 
                 RowBox[{
                  RowBox[{"\[Alpha]", "+", "1"}], ",", 
                  RowBox[{"\[Alpha]maxK", "+", "1"}]}], "]"}], "]"}], "=", 
               RowBox[{"N", "[", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "ats"}], "/", 
                  RowBox[{"psipsi", "[", 
                   RowBox[{"[", 
                    RowBox[{"\[Alpha]max", "-", "\[Alpha]1", "+", "1"}], 
                    "]"}], "]"}]}], ",", "prec"}], "]"}]}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "A", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7506535512601986`*^9, 3.7506535702612*^9}, {
   3.7506536107320786`*^9, 3.7506537233161254`*^9}, {3.7506537536146135`*^9, 
   3.750653762427558*^9}, {3.750653795304307*^9, 3.750653796929373*^9}, {
   3.7507311882666836`*^9, 3.7507311980640755`*^9}, {3.750731320430107*^9, 
   3.750731320914508*^9}, {3.7507334171671314`*^9, 3.7507334450435796`*^9}, {
   3.750733481201727*^9, 3.7507335472364526`*^9}, {3.7507336084584246`*^9, 
   3.7507336115992146`*^9}, {3.750733642804*^9, 3.7507336514919376`*^9}, 
   3.750733681790406*^9, {3.750820522770006*^9, 3.7508205587093973`*^9}, {
   3.75082060377427*^9, 3.7508206336664677`*^9}, {3.7508207092954407`*^9, 
   3.7508207139675612`*^9}, {3.7508214965087204`*^9, 3.750821500352677*^9}, {
   3.750821539104717*^9, 3.7508215428861837`*^9}, {3.7508215953108177`*^9, 
   3.7508216393287334`*^9}, {3.75082169200338*^9, 3.75082169537856*^9}, {
   3.750821981456102*^9, 3.750822013270274*^9}, {3.7508222018583193`*^9, 
   3.750822216515366*^9}, {3.750822247720107*^9, 3.750822252564122*^9}, {
   3.750822419859147*^9, 3.750822424359384*^9}, {3.7508225055667753`*^9, 
   3.7508225115358496`*^9}, {3.7508225663981*^9, 3.7508225681950707`*^9}, {
   3.750822628370109*^9, 3.7508226394956956`*^9}, {3.75082289035264*^9, 
   3.7508229060253425`*^9}, {3.750823183242385*^9, 3.7508232706532288`*^9}, 
   3.750823473164682*^9, 3.750823527026909*^9, {3.7508236181254263`*^9, 
   3.750823629438521*^9}, {3.750824230564213*^9, 3.7508242367989173`*^9}, {
   3.7508244393408175`*^9, 3.7508244775147038`*^9}, {3.7508245285330124`*^9, 
   3.75082454209622*^9}, {3.7508246252105846`*^9, 3.7508246890108156`*^9}, {
   3.750824737028966*^9, 3.75082474165421*^9}, {3.750824791453703*^9, 
   3.750824829674488*^9}, {3.750825633608094*^9, 3.7508256684536767`*^9}, {
   3.750906277249117*^9, 3.7509062815930977`*^9}, {3.750906323064029*^9, 
   3.7509063274392567`*^9}, {3.7509063798638887`*^9, 
   3.7509063924895525`*^9}, {3.7509065125583696`*^9, 
   3.7509065184336767`*^9}, {3.7509066477530036`*^9, 3.750906654300198*^9}, 
   3.7509066854893403`*^9, {3.7509067977921257`*^9, 3.7509069015007052`*^9}, 
   3.750906969629283*^9, {3.751256522741041*^9, 3.7512565617899704`*^9}, {
   3.7512566553417664`*^9, 3.7512566655298023`*^9}, {3.751257000016783*^9, 
   3.751257139305361*^9}, {3.751257294533084*^9, 3.751257302299117*^9}, {
   3.7512573382228813`*^9, 3.7512573390197983`*^9}, {3.7512573983979216`*^9, 
   3.7512574156644545`*^9}, {3.7512574989188333`*^9, 
   3.7512575322487116`*^9}, {3.751257589673607*^9, 3.7512576164562654`*^9}, 
   3.751511220626186*^9, {3.751511283613899*^9, 3.7515113325226974`*^9}, {
   3.751511413605091*^9, 3.751511431777921*^9}, {3.7515114848588376`*^9, 
   3.751511516876145*^9}, {3.7515115646599054`*^9, 3.751511682666112*^9}, {
   3.751511715464717*^9, 3.7515117930625486`*^9}, {3.7515118240954304`*^9, 
   3.7515118241891875`*^9}, {3.75151200413617*^9, 3.7515120944533954`*^9}, {
   3.751512223007037*^9, 3.751512229741767*^9}, {3.7515126080585346`*^9, 
   3.7515126476387672`*^9}, {3.751512728596125*^9, 3.751512829413927*^9}, {
   3.751512882901116*^9, 3.751512977296706*^9}, {3.7515484412571707`*^9, 
   3.75154845821119*^9}, {3.75154852307397*^9, 3.751548620766608*^9}, {
   3.7515486586748543`*^9, 3.7515487024740353`*^9}, 3.751548734022565*^9, {
   3.7515487974009004`*^9, 3.751548800026039*^9}, {3.751548849841157*^9, 
   3.751548851622505*^9}, {3.7515488822961397`*^9, 3.7515488933123646`*^9}, {
   3.751548937924063*^9, 3.751549021131563*^9}, {3.7515556834489822`*^9, 
   3.7515556938557796`*^9}, {3.751853469478521*^9, 3.751853473916258*^9}, {
   3.7521192947776327`*^9, 3.752119309137763*^9}, {3.7521195994186525`*^9, 
   3.7521196506557274`*^9}, {3.7521212049718237`*^9, 3.752121266591071*^9}, {
   3.752121336376011*^9, 3.752121350782999*^9}, {3.7521537911125097`*^9, 
   3.752153814848138*^9}, 3.752153929807538*^9, {3.7521578339368277`*^9, 
   3.75215784518742*^9}, {3.752462680859664*^9, 3.752462721846199*^9}, 
   3.75246321090409*^9, {3.7524652422772903`*^9, 3.752465246277525*^9}, {
   3.752470050073868*^9, 3.75247011220216*^9}, {3.752721084820956*^9, 
   3.752721093477661*^9}, {3.7527211388237963`*^9, 3.752721145652279*^9}, {
   3.7527238121836805`*^9, 3.7527238523576727`*^9}, {3.7530685798428917`*^9, 
   3.7530686361896105`*^9}, {3.7530748009078746`*^9, 3.753074897287944*^9}, {
   3.753074930430312*^9, 3.7530749590286264`*^9}, {3.7532395063568277`*^9, 
   3.7532395179043183`*^9}, {3.753239926316414*^9, 3.7532399369575996`*^9}, 
   3.7532417820546494`*^9, 3.753242057787902*^9, {3.753596635300089*^9, 
   3.753596641644174*^9}, {3.7535966724270477`*^9, 3.7535966884903927`*^9}, {
   3.7536020113748636`*^9, 3.7536020125780573`*^9}, {3.753602057439787*^9, 
   3.7536021166772776`*^9}, 3.753602157507557*^9, {3.7536078786659913`*^9, 
   3.753607900807774*^9}, {3.753675594321619*^9, 3.753675659262508*^9}, 
   3.7536757437356997`*^9, {3.753680460747757*^9, 3.753680463326015*^9}, 
   3.753848507429471*^9, 3.753848546228386*^9, 3.753848586808646*^9, {
   3.753848705080492*^9, 3.7538487317693944`*^9}, 3.7538487926475973`*^9, {
   3.7538488880588655`*^9, 3.7538489104819193`*^9}, {3.753848983048237*^9, 
   3.75384904367645*^9}, {3.7538490846629558`*^9, 3.7538490873662276`*^9}, 
   3.7538500173526387`*^9, {3.7538500881063585`*^9, 3.7538501244676466`*^9}, {
   3.7538501652822933`*^9, 3.7538501874240823`*^9}, {3.754364866865218*^9, 
   3.7543648805598173`*^9}, {3.754365221205532*^9, 3.7543652272220325`*^9}, {
   3.7543652896938095`*^9, 3.754365289850069*^9}, {3.7543658520463743`*^9, 
   3.754365860278399*^9}, {3.7543662753672495`*^9, 3.7543662853540635`*^9}, {
   3.754454490937071*^9, 3.75445449301752*^9}, {3.754454524607607*^9, 
   3.7544545566782*^9}, {3.754454818180955*^9, 3.754454822796276*^9}, 
   3.7544548714007177`*^9, {3.754462747236415*^9, 3.7544627772055407`*^9}, 
   3.754463123293484*^9, {3.754463276030323*^9, 3.7544632848069763`*^9}, {
   3.7544639566459026`*^9, 3.7544639609434147`*^9}, 3.754469482849596*^9, {
   3.754469588388752*^9, 3.754469591994521*^9}, {3.754470067430313*^9, 
   3.754470089552744*^9}, 3.754488192419314*^9, 3.7544890412888746`*^9, {
   3.7544890932583942`*^9, 3.754489096142912*^9}, {3.754489222279442*^9, 
   3.754489239462329*^9}, {3.754489398572294*^9, 3.754489440461115*^9}, {
   3.7544896312519207`*^9, 3.754489636236825*^9}, 3.754489709722348*^9, 
   3.754489810754874*^9, {3.754489846152661*^9, 3.754489874296628*^9}, {
   3.7544899054863005`*^9, 3.754489958088503*^9}, {3.7547219376020193`*^9, 
   3.754721987406324*^9}, {3.754722031089755*^9, 3.7547222037886868`*^9}, {
   3.755274848885977*^9, 3.7552748787313156`*^9}, {3.7552749233117676`*^9, 
   3.7552749427346635`*^9}, {3.755274984252467*^9, 3.755274995174918*^9}, {
   3.7552752775647707`*^9, 3.7552753028473487`*^9}, {3.7553553384841604`*^9, 
   3.7553553500316477`*^9}, {3.755355735673237*^9, 3.755355762690285*^9}, {
   3.7553559577786436`*^9, 3.755355970951213*^9}, 3.7601967640784426`*^9, {
   3.7601969872151785`*^9, 3.760196994559314*^9}, {3.7601971035181723`*^9, 
   3.7601971610368214`*^9}, {3.76019724979149*^9, 3.7601972803556004`*^9}, {
   3.760197433473048*^9, 3.7601974456455445`*^9}, {3.7601975232433715`*^9, 
   3.7601975867779675`*^9}, 3.7601977116751566`*^9, 3.760197797851571*^9, 
   3.760197888715722*^9, {3.760197954453555*^9, 3.760197984064488*^9}, 
   3.7604537191262846`*^9, {3.7604579274674225`*^9, 3.7604579353272104`*^9}, {
   3.760499028078814*^9, 3.7604990335634804`*^9}, {3.7604991063173027`*^9, 
   3.76049911044252*^9}, {3.760503444939426*^9, 3.7605034582129936`*^9}, {
   3.7617415424811516`*^9, 3.76174154598131*^9}, {3.761741593442724*^9, 
   3.7617417793119*^9}, {3.761748688916351*^9, 3.761748731324828*^9}, {
   3.7617519944651756`*^9, 3.7617519975278606`*^9}, {3.761791867887869*^9, 
   3.761791867903495*^9}, 3.763732170590985*^9, 3.7637322975820403`*^9, {
   3.763732345287673*^9, 3.763732348959744*^9}, {3.763732442886554*^9, 
   3.7637324660596523`*^9}, {3.7637326394281454`*^9, 
   3.7637326528507266`*^9}, {3.763732687790065*^9, 3.763732712291353*^9}, {
   3.763732758137515*^9, 3.763732776513481*^9}, {3.7637328687058325`*^9, 
   3.7637329383188686`*^9}, {3.763732993087372*^9, 3.7637330054005175`*^9}, {
   3.7637330662948275`*^9, 3.763733082186288*^9}, {3.7637334983644276`*^9, 
   3.7637335444762297`*^9}, 3.7799359256067*^9, {3.7804504491742163`*^9, 
   3.7804504501426773`*^9}, {3.782357456864447*^9, 3.782357494293461*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TestOrthonormalization", "[", 
   RowBox[{
   "\[Mu]_", ",", "L_", ",", "\[Lambda]_", ",", "prec_", ",", "testON_", ",", 
    "outPrec_", ",", "stream_", ",", "outputMode_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "TestOrthonormalization", " ", "tests", " ", "if", " ", 
    "the", " ", "BM", " ", "basis", " ", "is", " ", "orthonormalized"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]"}], 
    ",", " ", "\[Lambda]", ",", " ", 
    RowBox[{"and", " ", 
     RowBox[{"L", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "          ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "          ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "          ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "       ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"testON", "     ", "-", " ", 
    RowBox[{"test", " ", 
     RowBox[{"case", ":"}]}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "              ", 
   RowBox[{"1", " ", "-", " ", 
    RowBox[{
    "verdict", " ", "if", " ", "BM", " ", "basis", " ", "is", " ", 
     "orthonormalized"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "              ", 
   RowBox[{"2", " ", "-", " ", 
    RowBox[{
    "output", " ", "of", " ", "the", " ", "matrix", " ", "A", "*", "U", "*", 
     RowBox[{"A", "^", "T"}], " ", "and", " ", "verdict"}]}], " ", "*)"}], 
  " ", "\[IndentingNewLine]", 
  RowBox[{"(*", "               ", 
   RowBox[{"if", " ", "BM", " ", "basis", " ", "is", " ", "orthonormalized"}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "       ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"outPrec", "    ", "-", " ", 
    RowBox[{
    "output", " ", "precision", " ", "of", " ", "numerical", " ", 
     "calculations"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"stream", "     ", "-", " ", 
    RowBox[{
    "reference", " ", "to", " ", "the", " ", "output", " ", "stream"}]}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"outputMode", " ", "-", " ", 
    RowBox[{"output", " ", 
     RowBox[{"to", ":"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "              ", 
   RowBox[{
    RowBox[{"0", " ", "-", " ", "notebook"}], ",", " ", 
    RowBox[{"1", " ", "-", "  ", "file"}], ",", " ", 
    RowBox[{"2", " ", "-", " ", 
     RowBox[{"notebook", " ", "and", " ", "file"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "BB", ",", "UU", ",", "test", ",", "test2", ",", "i1", ",", "i2", ",", 
      "\[Alpha]maxK", ",", "\[Alpha]minK", ",", "testK", ",", "testN", ",", 
      "base", ",", "AA"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"base", "=", "9.5"}], ";", " ", 
     RowBox[{"(*", 
      RowBox[{
      "base", " ", "for", " ", "evaluation", " ", "of", " ", "the", " ", 
       "accuracy", " ", "of", " ", "the", " ", "orthonormalization"}], "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
         RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{
        "Print", "[", 
         "\"\<Input for test of BM basis orthonormalization:\>\"", "]"}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", ",",
           "\[Mu]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"AA", "=", 
      RowBox[{"Amatrix", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"test2", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i1", "=", "1"}], ",", 
       RowBox[{"i1", "\[LessEqual]", 
        RowBox[{"Length", "[", "AA", "]"}]}], ",", 
       RowBox[{"i1", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i2", "=", "1"}], ",", 
          RowBox[{"i2", "\[LessEqual]", 
           RowBox[{"Length", "[", "AA", "]"}]}], ",", 
          RowBox[{"i2", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"AA", "[", 
               RowBox[{"[", 
                RowBox[{"i1", ",", "i2"}], "]"}], "]"}], "===", 
              "Indeterminate"}], ","}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"Or", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"AA", "[", 
                 RowBox[{"[", 
                  RowBox[{"i1", ",", "i2"}], "]"}], "]"}], "===", 
                "Indeterminate"}], ",", 
               RowBox[{
                RowBox[{"AA", "[", 
                 RowBox[{"[", 
                  RowBox[{"i1", ",", "i2"}], "]"}], "]"}], "===", 
                "ComplexInfinity"}]}], "]"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"test2", "=", "1"}], ";", "\[IndentingNewLine]", 
              RowBox[{"Break", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"test2", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<Accuracy of calculations=\>\"", ",", "prec", ",", 
          "\"\< is insufficient, please increase precision.\>\""}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", "\"\<Calculations stops.\>\"", "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"BB", "=", 
      RowBox[{"Transpose", "[", "AA", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"UU", "=", 
      RowBox[{"UmatrixM", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"test", "=", 
      RowBox[{"Dot", "[", 
       RowBox[{"AA", ",", "UU", ",", "BB"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]minK", "=", 
      RowBox[{"AlphaminK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"testK", "=", 
      RowBox[{"Take", "[", 
       RowBox[{"test", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Alpha]minK", "+", "1"}], ",", 
          RowBox[{"\[Alpha]maxK", "+", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Alpha]minK", "+", "1"}], ",", 
          RowBox[{"\[Alpha]maxK", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"testN", "=", 
      RowBox[{"Norm", "[", 
       RowBox[{"testK", "-", 
        RowBox[{"IdentityMatrix", "[", 
         RowBox[{"\[Alpha]maxK", "-", "\[Alpha]minK", "+", "1"}], "]"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"testK", "=", 
      RowBox[{"SetPrecision", "[", 
       RowBox[{"testK", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
         RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
        "Print", "[", "\"\<Output of BM basis orthonormalization test:\>\"", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"testON", "\[Equal]", "2"}], ",", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<A*U*A^T=\>\"", ",", 
            RowBox[{"MatrixForm", "[", 
             RowBox[{"N", "[", 
              RowBox[{"testK", ",", "outPrec"}], "]"}], "]"}]}], "]"}]}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"10.", "^", 
               RowBox[{"-", "prec"}]}], ")"}], "-", "testN"}], "]"}], "<", 
           RowBox[{"base", "^", 
            RowBox[{"-", "prec"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Test: Basis is Orthonormalized\>\"", "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Test: Basis is Not Orthonormalized\>\"", "]"}]}],
          "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
         RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"WriteString", "[", 
         RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"WriteString", "[", 
         RowBox[{
         "stream", ",", 
          "\"\<Input for test of BM basis orthonormalization:\\n\>\""}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"WriteString", "[", 
         RowBox[{"stream", ",", 
          RowBox[{"\"\<lambda=\>\"", "<>", 
           RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", "\"\<, mu=\>\"",
            "<>", 
           RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", "\"\<, L=\>\"", "<>", 
           RowBox[{"ToString", "[", "L", "]"}], "<>", "\"\<\\n\\n\>\""}]}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"WriteString", "[", 
         RowBox[{
         "stream", ",", 
          "\"\<Output of BM basis orthonormalization test:\\n\>\""}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"testON", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"WriteString", "[", 
            RowBox[{"stream", ",", "\"\<A*U*A^T=\\n\>\""}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Export", "[", 
            RowBox[{"stream", ",", 
             RowBox[{"N", "[", 
              RowBox[{"testK", ",", "outPrec"}], "]"}], ",", 
             "\"\<Table\>\""}], "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"WriteString", "[", 
            RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"10.", "^", 
               RowBox[{"-", "prec"}]}], ")"}], "-", "testN"}], "]"}], "<", 
           RowBox[{"base", "^", 
            RowBox[{"-", "prec"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Test: Basis is Orthonormalized\\n\>\""}], 
           "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"WriteString", "[", 
            RowBox[{
            "stream", ",", "\"\<Test: Basis is Not Orthonormalized\\n\>\""}], 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"WriteString", "[", 
         RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Close", "[", "stream", "]"}], ";"}]}], "\[IndentingNewLine]",
       "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7498009302132826`*^9, 3.749801047469426*^9}, {
   3.749801233135441*^9, 3.7498012708718*^9}, {3.749801361876612*^9, 
   3.7498013643923693`*^9}, {3.7498014090517626`*^9, 3.7498014266620646`*^9}, 
   3.749801465836025*^9, {3.750076517804002*^9, 3.750076521319832*^9}, {
   3.7502169872402782`*^9, 3.750217026898614*^9}, {3.7507312941162243`*^9, 
   3.7507313203207273`*^9}, {3.761725631868944*^9, 3.761725721811174*^9}, {
   3.761725811128372*^9, 3.761725833629533*^9}, {3.7617258911794558`*^9, 
   3.761725950449023*^9}, {3.7617260510168095`*^9, 3.7617260680020804`*^9}, {
   3.7617261093167725`*^9, 3.7617262042592444`*^9}, 3.7617262411205807`*^9, {
   3.7617263077334595`*^9, 3.7617263355786543`*^9}, {3.7617263750963573`*^9, 
   3.761726520916525*^9}, {3.7617265856386766`*^9, 3.7617265887169666`*^9}, {
   3.7617266396883974`*^9, 3.7617266495014353`*^9}, {3.7617267002384725`*^9, 
   3.7617267176768723`*^9}, {3.7617268522933283`*^9, 3.7617269108432865`*^9}, 
   3.7617269784718637`*^9, {3.761727038318735*^9, 3.761727039428174*^9}, {
   3.761727096118651*^9, 3.7617270997282405`*^9}, 3.761727200889812*^9, {
   3.761727244423352*^9, 3.761727378195987*^9}, 3.7617276735240464`*^9, {
   3.7617277056976132`*^9, 3.7617277109322405`*^9}, {3.7617331643596992`*^9, 
   3.7617331685942965`*^9}, {3.761733469063221*^9, 3.761733478376235*^9}, {
   3.7617335122217393`*^9, 3.7617335273788123`*^9}, {3.7625811356917543`*^9, 
   3.762581245089178*^9}, {3.7625812785172596`*^9, 3.7625812877029195`*^9}, {
   3.762581336994583*^9, 3.7625813663721743`*^9}, {3.762581402698462*^9, 
   3.762581461616533*^9}, {3.762581507912678*^9, 3.7625816953758645`*^9}, {
   3.762581739151245*^9, 3.7625817432349405`*^9}, 3.7625818688152723`*^9, {
   3.7637326105985065`*^9, 3.763732617270729*^9}, 3.779936279699233*^9, {
   3.77993641635671*^9, 3.779936419965542*^9}, {3.779936450083147*^9, 
   3.7799364816538467`*^9}, {3.7799367833067737`*^9, 3.779936845932708*^9}, {
   3.779936878956148*^9, 3.7799368960302563`*^9}, {3.779936933055304*^9, 
   3.7799369385227804`*^9}, {3.779937097581719*^9, 3.77993712307572*^9}, 
   3.77993749986674*^9, {3.77993835956354*^9, 3.7799383809178925`*^9}, {
   3.779967747193279*^9, 3.779967788558592*^9}, {3.7801037667433634`*^9, 
   3.7801037811933146`*^9}, 3.780298456580716*^9, {3.7803254065611243`*^9, 
   3.7803254261502695`*^9}, {3.780325469001872*^9, 3.7803254782340755`*^9}, {
   3.7804506004227133`*^9, 3.780450602156732*^9}, {3.78235758500619*^9, 
   3.7823575969907384`*^9}, {3.782357627218003*^9, 3.782357717009376*^9}, {
   3.782357774780275*^9, 3.782357958614318*^9}, {3.7823579927313433`*^9, 
   3.782358001338789*^9}, {3.782358066260865*^9, 3.7823582099796596`*^9}, 
   3.7823582722462606`*^9, {3.782904182611992*^9, 3.7829042341732883`*^9}, {
   3.7829044642800703`*^9, 3.782904623008667*^9}, 3.782904778599617*^9, {
   3.7829048210765004`*^9, 3.7829048630350666`*^9}, {3.7829049055563087`*^9, 
   3.78290491978734*^9}, {3.7829049604808893`*^9, 3.7829050503373566`*^9}, 
   3.7829051487517147`*^9, {3.7829051792772436`*^9, 3.782905186369329*^9}, {
   3.782905244683728*^9, 3.782905270208974*^9}, {3.7829053399894295`*^9, 
   3.7829054135845566`*^9}, 3.782905455621225*^9, 3.7829055361026134`*^9, 
   3.7829055826720715`*^9, {3.7829056176635075`*^9, 3.782905643563662*^9}, {
   3.7829056818984094`*^9, 3.782905763771283*^9}, 3.782905799278552*^9, 
   3.782905865981609*^9, {3.78290592767288*^9, 3.7829060236034055`*^9}, 
   3.7829060885278487`*^9, {3.782991857794319*^9, 3.782991899021967*^9}, {
   3.7907482432382555`*^9, 3.7907482803700724`*^9}, 3.7907483345292745`*^9, {
   3.7907483660531454`*^9, 3.79074840642153*^9}, {3.7907484523951416`*^9, 
   3.790748457534286*^9}, {3.7907484953223*^9, 3.7907484987902126`*^9}, {
   3.790748545935418*^9, 3.790748688218283*^9}, {3.7907487869156313`*^9, 
   3.790748794007712*^9}, 3.790748824984812*^9, 3.7907489116833405`*^9, 
   3.790749067746977*^9, {3.790749105147146*^9, 3.7907492303209767`*^9}, {
   3.790749263000825*^9, 3.7907493732895527`*^9}, {3.790749416404768*^9, 
   3.7907494939346113`*^9}, 3.7907495819921303`*^9, {3.7907502399938397`*^9, 
   3.790750270908429*^9}, {3.7907503578896074`*^9, 3.7907503825244637`*^9}, 
   3.7910191301284575`*^9, 3.7918955555447845`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"acoef", "[", 
   RowBox[{
   "k_", ",", "s_", ",", "\[Mu]_", ",", "\[Alpha]_", ",", "L_", ",", 
    "\[Lambda]_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "acoef", " ", "is", " ", "the", " ", "auxiliary", " ", 
    "function", " ", "of", " ", "the", " ", "function", " ", 
    RowBox[{"qcoeff", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "function", " ", "acoef", " ", "returns", " ", "the", " ", 
    "coefficient", " ", 
    RowBox[{
     SubsuperscriptBox["a", "s", 
      RowBox[{"(", "k", ")"}]], "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"k", "     ", "-", " ", 
    RowBox[{
    "parameter", " ", "equal", " ", "to", " ", "the", " ", "difference", " ", 
     "of", " ", "the", " ", "values", " ", "of", " ", "the", " ", 
     "orbital"}]}], " ", "*)"}], 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{
    "angular", " ", "momenta", " ", "of", " ", "the", " ", "given", " ", 
     "ket"}], "-", 
    RowBox[{"BM", " ", "and", " ", "bra"}], "-", 
    RowBox[{
    "BM", " ", "states", " ", "in", " ", "the", " ", "function", " ", 
     "qcoeff"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"s", "     ", "-", " ", 
    RowBox[{
    "parameter", " ", "equal", " ", "to", " ", "the", " ", "summation", " ", 
     "index", " ", "in", " ", "the", " ", "function", " ", "qcoeff"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Alpha]", "     ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"ats", ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", 
        RowBox[{"\[Mu]", "+", "\[Lambda]", "-", "L"}], "]"}], ",", 
       RowBox[{"\[Beta]", "=", "0"}], ",", 
       RowBox[{"\[Beta]", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", "0"}], ")"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"ats", "=", 
         RowBox[{"6", "*", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "-", "L", "-", 
             RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]"}], ")"}], "/", 
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"L", "+", "2"}], ")"}], "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", "*", "L"}], "+", "3"}], ")"}]}], "]"}]}]}]}], 
        "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", 
          RowBox[{"-", "1"}]}], ")"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"ats", "=", 
         RowBox[{"12", "*", 
          RowBox[{"\[Alpha]", "/", 
           RowBox[{"Sqrt", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"L", "+", "2"}], ")"}], "*", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", "*", "L"}], "+", "3"}], ")"}]}], "]"}]}]}]}], 
        "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "2"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", "1"}], ")"}]}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", "0"}], ")"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"ats", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "6"}], "*", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", "*", "\[Alpha]", "*", "\[Beta]", "*", 
                RowBox[{"(", 
                 RowBox[{"L", "+", 
                  RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Mu]", "+", "1"}], 
                 ")"}]}], "+", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"\[Lambda]", "+", "\[Mu]", "-", "L", "-", 
                  RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]"}], ")"}], 
                "*", 
                RowBox[{"(", 
                 RowBox[{"\[Mu]", "-", 
                  RowBox[{"2", "*", "\[Alpha]"}]}], ")"}]}]}], ")"}], 
             "\[IndentingNewLine]", "/", 
             RowBox[{"(", 
              RowBox[{"L", "+", "2"}], ")"}]}], "/", 
            RowBox[{"Sqrt", "[", 
             RowBox[{"(", 
              RowBox[{"L", "+", "1"}], ")"}], "]"}]}]}], "-", 
          RowBox[{"6", "*", 
           RowBox[{"\[Beta]", "/", 
            RowBox[{"Sqrt", "[", 
             RowBox[{"(", 
              RowBox[{"L", "+", "1"}], ")"}], "]"}]}]}]}]}], "]"}]}], "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", 
          RowBox[{"-", "1"}]}], ")"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"ats", "=", 
         RowBox[{"12", "*", "\[Alpha]", "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"L", "-", "\[Mu]", "+", 
              RowBox[{"2", "*", "\[Alpha]"}]}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"L", "+", "2"}], ")"}]}], "/", 
           RowBox[{"Sqrt", "[", 
            RowBox[{"(", 
             RowBox[{"L", "+", "1"}], ")"}], "]"}]}]}]}], "]"}]}], "]"}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "1"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", "1"}], ")"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"ats", "=", 
         RowBox[{"6", "*", "\[Beta]", "*", 
          RowBox[{"(", 
           RowBox[{"\[Lambda]", "+", "\[Mu]", "-", "L", "-", 
            RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]"}], ")"}], "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", "-", 
              RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]"}], ")"}], 
            "\[IndentingNewLine]", "/", 
            RowBox[{"(", 
             RowBox[{"L", "+", "2"}], ")"}]}], "/", 
           RowBox[{"Sqrt", "[", 
            RowBox[{"(", 
             RowBox[{"L", "+", "1"}], ")"}], "]"}]}]}]}], "]"}]}], "]"}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", "0"}], ")"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"ats", "=", 
         RowBox[{
          RowBox[{"4", "*", "\[Alpha]", "*", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"L", "*", 
                RowBox[{"(", 
                 RowBox[{"L", "+", "1"}], ")"}]}], "-", 
               RowBox[{"3", "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"L", "+", 
                   RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Mu]", "+", 
                   "\[Beta]"}], ")"}], "^", "2"}]}]}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"L", "+", "1"}], ")"}]}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "*", "L"}], "+", "3"}], ")"}]}]}], 
          "\[IndentingNewLine]", "-", 
          RowBox[{"2", "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "-", "L", "-", 
             RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]"}], ")"}], "*", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"L", "*", 
                RowBox[{"(", 
                 RowBox[{"L", "+", "1"}], ")"}]}], "-", 
               RowBox[{"3", "*", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"\[Mu]", "-", 
                   RowBox[{"2", "*", "\[Alpha]"}]}], ")"}], "^", "2"}]}]}], 
              ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"L", "+", "1"}], ")"}]}], "/", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "*", "L"}], "+", "3"}], ")"}]}]}], 
          "\[IndentingNewLine]", "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"L", "-", 
             RowBox[{"2", "*", "\[Mu]"}], "+", 
             RowBox[{"4", "*", "\[Alpha]"}], "+", "\[Beta]"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"1", "+", 
             RowBox[{"3", "*", 
              RowBox[{"\[Beta]", "/", 
               RowBox[{"(", 
                RowBox[{"L", "+", "1"}], ")"}]}]}]}], ")"}]}]}]}], "]"}]}], 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", 
          RowBox[{"-", "1"}]}], ")"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"ats", "=", 
         RowBox[{"12", "*", "\[Alpha]", "*", 
          RowBox[{"(", 
           RowBox[{"L", "-", "\[Mu]", "+", 
            RowBox[{"2", "*", "\[Alpha]"}]}], ")"}], "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"L", "-", "\[Mu]", "+", 
              RowBox[{"2", "*", "\[Alpha]"}], "-", "1"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"L", "+", "1"}], ")"}]}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "*", "L"}], "+", "3"}], ")"}]}]}]}], "]"}]}], "]"}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "\[Equal]", "0"}], ")"}], "&&", 
        RowBox[{"(", 
         RowBox[{"s", "\[Equal]", "1"}], ")"}]}], ",", 
       RowBox[{"Return", "[", 
        RowBox[{"ats", "=", 
         RowBox[{
          RowBox[{"-", "6"}], "*", 
          RowBox[{"(", 
           RowBox[{"\[Lambda]", "+", "\[Mu]", "-", "L", "-", 
            RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]"}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"\[Mu]", "-", 
            RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]"}], ")"}], "*", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Mu]", "-", 
              RowBox[{"2", "*", "\[Alpha]"}], "-", "\[Beta]", "-", "1"}], 
             ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"L", "+", "1"}], ")"}]}], "/", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "*", "L"}], "+", "3"}], ")"}]}]}]}], "]"}]}], "]"}],
      ";"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{
  3.75527360422581*^9, {3.7553175485525007`*^9, 3.7553175921172967`*^9}, {
   3.7553176351976833`*^9, 3.755317636244618*^9}, {3.755317719311485*^9, 
   3.755317729749531*^9}, 3.7553177886120024`*^9, 3.7553178390834074`*^9, {
   3.755318057776828*^9, 3.7553180796061015`*^9}, {3.755318585920792*^9, 
   3.75531860850008*^9}, {3.755319873099834*^9, 3.7553198831316123`*^9}, {
   3.755319971026864*^9, 3.755319999700245*^9}, {3.782358308456477*^9, 
   3.7823583163009124`*^9}, {3.782358438819955*^9, 3.7823584442405553`*^9}, {
   3.782358481450593*^9, 3.78235848605884*^9}, {3.782358912543215*^9, 
   3.7823590278598433`*^9}, {3.7823590816774387`*^9, 3.7823591339932547`*^9}, 
   3.782359184590725*^9, {3.7823593264193034`*^9, 3.7823593999658685`*^9}, {
   3.7823594319739733`*^9, 3.782359526264287*^9}, {3.7823595676451626`*^9, 
   3.7823595681919146`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ainvkmatrix", "[", 
   RowBox[{"\[Mu]_", ",", "L_", ",", "\[Lambda]_", ",", "prec_"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Ainvkmatrix", " ", "returns", " ", "the", " ", "inverse",
     " ", "matrix", " ", "of", " ", "the", " ", "matrix", " ", "A"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "dimension", " ", "of", " ", "the", " ", "matrix", " ", "is", 
    " ", "equal", " ", "to", " ", "the", " ", "maximum", " ", "possible"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "number", " ", "of", " ", "BM", " ", "states", " ", "for", " ", "given", 
    " ", "value", " ", "of", " ", 
    RowBox[{"\[Mu]", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\[Lambda]L", ",", "\[Alpha]max", ",", "\[Alpha]maxK", ",", 
      "\[Alpha]minK", ",", "K", ",", "AB", ",", "AA", ",", "Lmintotal"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"EvenQ", "[", 
        RowBox[{"\[Lambda]", "-", "L"}], "]"}], ",", 
       RowBox[{"\[Lambda]L", "=", "2"}], ",", 
       RowBox[{"\[Lambda]L", "=", "1"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]minK", "=", 
      RowBox[{"AlphaminK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"K", "=", 
      RowBox[{"\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]maxK"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"K", "==", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
         RowBox[{"Lmintotal", "=", "0"}], ",", 
         RowBox[{"Lmintotal", "=", "1"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmintotal", "=", "K"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]maxK", "<", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
        "Print", "[", 
         "\"\<Ainvkmatrix: BM states not exists: L > \
\!\(\*SubscriptBox[\(L\), \(max\)]\)\>\"", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"L", "<", "Lmintotal"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
        "Print", "[", 
         "\"\<Ainvkmatrix: BM states not exists: L < \
\!\(\*SubscriptBox[\(L\), \(min\)]\)\>\"", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"AA", "=", 
      RowBox[{"Amatrix", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"AB", "=", 
      RowBox[{"Take", "[", 
       RowBox[{"AA", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Alpha]minK", "+", "1"}], ",", 
          RowBox[{"\[Alpha]maxK", "+", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Alpha]minK", "+", "1"}], ",", 
          RowBox[{"\[Alpha]maxK", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AB", "=", 
      RowBox[{"Inverse", "[", "AB", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"AA", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Alpha]max", "+", "1"}], ",", 
          RowBox[{"\[Alpha]max", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"AA", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{
          RowBox[{"\[Alpha]minK", "+", "1"}], ";;", 
          RowBox[{"\[Alpha]maxK", "+", "1"}]}], ",", 
         RowBox[{
          RowBox[{"\[Alpha]minK", "+", "1"}], ";;", 
          RowBox[{"\[Alpha]maxK", "+", "1"}]}]}], "]"}], "]"}], "=", "AB"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "AA", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7552529340540514`*^9, 3.755252983181633*^9}, {
   3.755262659029662*^9, 3.755262680108899*^9}, {3.7552627253769016`*^9, 
   3.755262728330182*^9}, {3.755262845039445*^9, 3.755262867337516*^9}, 
   3.755262900683*^9, {3.755262982624807*^9, 3.755262992000307*^9}, 
   3.7552630262833567`*^9, {3.755263071301371*^9, 3.7552631141004715`*^9}, 
   3.75526339605525*^9, {3.755263430635169*^9, 3.755263451808171*^9}, {
   3.7552720150773306`*^9, 3.7552720479071817`*^9}, 3.7552734768284864`*^9, {
   3.75535516280305*^9, 3.755355178788285*^9}, 3.7553559352618484`*^9, {
   3.755430522898955*^9, 3.7554305498065996`*^9}, {3.755430595074609*^9, 
   3.7554306767507763`*^9}, {3.7554307152059455`*^9, 
   3.7554307690525055`*^9}, {3.760198631832929*^9, 3.7601986706318483`*^9}, {
   3.760198724712839*^9, 3.760198776512438*^9}, {3.760199002352417*^9, 
   3.760199011399785*^9}, {3.7604538845256095`*^9, 3.7604538939636307`*^9}, {
   3.760453977780518*^9, 3.760454030455185*^9}, {3.7604551509308505`*^9, 
   3.7604551565717716`*^9}, {3.760455219856347*^9, 3.7604552504673347`*^9}, {
   3.760455370020516*^9, 3.760455374442602*^9}, {3.760457725113039*^9, 
   3.7604578029296436`*^9}, {3.760457840337862*^9, 3.760457868151825*^9}, {
   3.76049890096275*^9, 3.760498976607355*^9}, {3.7643331352732353`*^9, 
   3.7643331844164433`*^9}, {3.764556797297646*^9, 3.764556804969942*^9}, {
   3.780450674298062*^9, 3.7804506755946355`*^9}, {3.782359675716346*^9, 
   3.782359757152543*^9}, 3.789616173085037*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"qcoeff", "[", 
   RowBox[{"\[Mu]_", ",", "L_", ",", "\[Lambda]_", ",", "k_", ",", "prec_"}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "qcoeff", " ", "is", " ", "the", " ", "auxiliary", " ", 
    "function", " ", "for", " ", "calculation", " ", "of", " ", "reduced", 
    " ", "matrix"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"elements", " ", "of", " ", "the", " ", "quadrupole", " ", 
    RowBox[{"operator", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "function", " ", "qcoeff", " ", "returns", " ", "the", " ", 
    "coefficient", " ", 
    RowBox[{
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]], "."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"k", "     ", "-", " ", 
    RowBox[{
    "parameter", " ", "equal", " ", "to", " ", "the", " ", "difference", " ", 
     "of", " ", "the", " ", "values", " ", "of", " ", "the", " ", 
     "orbital"}]}], " ", "*)"}], 
  RowBox[{"(*", "         ", 
   RowBox[{
    RowBox[{
    "angular", " ", "momenta", " ", "of", " ", "the", " ", "given", " ", 
     "ket"}], "-", 
    RowBox[{"BM", " ", "and", " ", "bra"}], "-", 
    RowBox[{
    "BM", " ", "states", " ", "in", " ", "the", " ", "function", " ", 
     "qcoeff"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "i", ",", "j", ",", "s", ",", "\[Alpha]", ",", "\[Alpha]max", ",", 
      "\[Alpha]maxK", ",", "KK", ",", "Lmintotal", ",", "AA", ",", "Ainvk", 
      ",", "u\[Alpha]u\[Alpha]", ",", "u\[Alpha]su\[Alpha]s", ",", "ask", ",",
       "ask1", ",", "AiAlpha", ",", "AAlphasj", ",", "UUk", ",", "UU", ",", 
      "qmatrix"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"qmatrix", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\[Alpha]max", "+", "1"}], ",", 
          RowBox[{"\[Alpha]max", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]maxK", "<", "0"}], ",", 
       RowBox[{"Return", "[", "qmatrix", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"KK", "=", 
      RowBox[{"\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]maxK"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"KK", "==", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
         RowBox[{"Lmintotal", "=", "0"}], ",", 
         RowBox[{"Lmintotal", "=", "1"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmintotal", "=", "KK"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"L", "<", "Lmintotal"}], ",", 
       RowBox[{"Return", "[", "qmatrix", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", 
        RowBox[{"L", "+", "k"}], ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"\[Alpha]maxK", "<", "0"}], ",", 
       RowBox[{"Return", "[", "qmatrix", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"KK", "=", 
      RowBox[{"\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]maxK"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"KK", "==", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
         RowBox[{"Lmintotal", "=", "0"}], ",", 
         RowBox[{"Lmintotal", "=", "1"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmintotal", "=", "KK"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"L", "+", "k"}], "<", "Lmintotal"}], ",", 
       RowBox[{"Return", "[", "qmatrix", "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"AA", "=", 
      RowBox[{"Amatrix", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"Ainvk", "=", 
      RowBox[{"Ainvkmatrix", "[", 
       RowBox[{"\[Mu]", ",", 
        RowBox[{"L", "+", "k"}], ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"UU", "=", 
      RowBox[{"Umatrix", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"UUk", "=", 
      RowBox[{"Umatrix", "[", 
       RowBox[{"\[Mu]", ",", 
        RowBox[{"L", "+", "k"}], ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "0"}], ",", 
       RowBox[{"i", "\[LessEqual]", "\[Alpha]max"}], ",", 
       RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "0"}], ",", 
          RowBox[{"j", "\[LessEqual]", "\[Alpha]max"}], ",", 
          RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"qmatrix", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"i", "+", "1"}], ",", 
               RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "=", "0"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"\[Alpha]", "=", "0"}], ",", 
             RowBox[{"\[Alpha]", "<=", "\[Alpha]max"}], ",", 
             RowBox[{"\[Alpha]", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"s", "=", 
                 RowBox[{"-", "1"}]}], ",", 
                RowBox[{"s", "<=", "1"}], ",", 
                RowBox[{"s", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\[Alpha]", "+", "s"}], ")"}], "<", "0"}], ",", 
                   RowBox[{"Continue", "[", "]"}]}], "]"}], ";", " ", 
                 RowBox[{"(*", 
                  RowBox[{
                  "index", " ", "of", " ", "A", " ", "is", " ", "less", " ", 
                   "than", " ", "0"}], "*)"}], "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"\[Alpha]", "+", "s"}], ")"}], ">", 
                    "\[Alpha]max"}], ",", 
                   RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
                 RowBox[{"(*", 
                  RowBox[{
                  "index", " ", "of", " ", "A", " ", "is", " ", "greather", 
                   " ", "than", " ", "max"}], "*)"}], "\[IndentingNewLine]", 
                 RowBox[{"AiAlpha", "=", 
                  RowBox[{"AA", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"\[Alpha]", "+", "1"}]}], "]"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"AiAlpha", "===", "0"}], ",", 
                   RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"ask1", "=", 
                  RowBox[{"acoef", "[", 
                   RowBox[{
                   "k", ",", "s", ",", "\[Mu]", ",", "\[Alpha]", ",", "L", 
                    ",", "\[Lambda]"}], "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"u\[Alpha]u\[Alpha]", "=", 
                  RowBox[{"UU", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"\[Alpha]", "+", "1"}], ",", 
                    RowBox[{"\[Alpha]", "+", "1"}]}], "]"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"u\[Alpha]u\[Alpha]", "===", "0"}], ",", 
                   RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"u\[Alpha]u\[Alpha]", "=", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"u\[Alpha]u\[Alpha]", ",", "prec"}], "]"}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"u\[Alpha]su\[Alpha]s", "=", 
                  RowBox[{"UUk", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"\[Alpha]", "+", "s", "+", "1"}], ",", 
                    RowBox[{"\[Alpha]", "+", "s", "+", "1"}]}], "]"}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"u\[Alpha]su\[Alpha]s", "===", "0"}], ",", 
                   RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"u\[Alpha]su\[Alpha]s", "=", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"N", "[", 
                    RowBox[{"u\[Alpha]su\[Alpha]s", ",", "prec"}], "]"}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"ask", "=", 
                  RowBox[{"ask1", "*", 
                   RowBox[{
                   "u\[Alpha]su\[Alpha]s", "/", "u\[Alpha]u\[Alpha]"}]}]}], 
                 ";", "\[IndentingNewLine]", 
                 RowBox[{"AAlphasj", "=", 
                  RowBox[{"Ainvk", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"\[Alpha]", "+", "s", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"AAlphasj", "===", "0"}], ",", 
                   RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"qmatrix", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "=", 
                  RowBox[{
                   RowBox[{"qmatrix", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "+", 
                   RowBox[{"AiAlpha", "*", "ask", "*", "AAlphasj"}]}]}], 
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"qmatrix", "[", 
                  RowBox[{"[", 
                   RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "]"}], "]"}], "===", "0"}], 
                ",", 
                RowBox[{"Continue", "[", "]"}]}], "]"}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "qmatrix", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7552739049926014`*^9, 3.7552739362442455`*^9}, {
   3.7552739784339633`*^9, 3.7552740236238174`*^9}, {3.755274057656881*^9, 
   3.755274071063819*^9}, {3.7552741178006525`*^9, 3.755274120800807*^9}, {
   3.7552741616154757`*^9, 3.755274178757001*^9}, 3.7552742385101185`*^9, 
   3.755274463178212*^9, 3.7552746956904387`*^9, {3.755275078194908*^9, 
   3.75527509486766*^9}, {3.7553550112169476`*^9, 3.7553550343900414`*^9}, {
   3.7553551023154936`*^9, 3.7553551034093018`*^9}, {3.755355226759545*^9, 
   3.7553552674960566`*^9}, {3.7553553171236625`*^9, 3.7553553263897753`*^9}, 
   3.7553553958153*^9, 3.7553557738783464`*^9, 3.755355819099475*^9, 
   3.7553559084791813`*^9, {3.7553560102970314`*^9, 3.7553560177505484`*^9}, {
   3.7553597327128086`*^9, 3.755359754385824*^9}, {3.755359819826788*^9, 
   3.75535985815691*^9}, {3.755359937754842*^9, 3.7553599488335547`*^9}, {
   3.7553600565423436`*^9, 3.7553600571830006`*^9}, 3.7553604514505773`*^9, {
   3.7554311091641417`*^9, 3.755431191652858*^9}, {3.755431236670854*^9, 
   3.7554312391866083`*^9}, 3.7554313306132927`*^9, {3.7554313764750752`*^9, 
   3.755431422086875*^9}, {3.7554315707977967`*^9, 3.7554315761887054`*^9}, {
   3.7554319247070413`*^9, 3.755431930972994*^9}, {3.7554348989695253`*^9, 
   3.755434924799008*^9}, {3.760453499974137*^9, 3.76045350669324*^9}, {
   3.7604535399606123`*^9, 3.7604535432264123`*^9}, {3.7604537738322883`*^9, 
   3.760453777160587*^9}, {3.760457650671623*^9, 3.760457683610868*^9}, {
   3.7604988645389614`*^9, 3.760498876836508*^9}, {3.7643332730461035`*^9, 
   3.7643332819684477`*^9}, 3.764333334627472*^9, 3.7643434734199896`*^9, {
   3.7643435096875224`*^9, 3.7643436312876687`*^9}, {3.764343782858141*^9, 
   3.764343849455394*^9}, {3.764344005885496*^9, 3.764344031543096*^9}, {
   3.7643441329546795`*^9, 3.764344173519313*^9}, {3.7644266149797635`*^9, 
   3.764426680342577*^9}, {3.7644268871972027`*^9, 3.7644269024011326`*^9}, {
   3.764426968529605*^9, 3.764426990312005*^9}, 3.7644270204073334`*^9, {
   3.764429229619093*^9, 3.7644292572924285`*^9}, {3.7644292979039392`*^9, 
   3.7644293138891554`*^9}, {3.7644293806270366`*^9, 3.764429425363764*^9}, {
   3.7644294786946917`*^9, 3.764429497617564*^9}, {3.7644295424792976`*^9, 
   3.764429564136712*^9}, {3.7644296000448256`*^9, 3.7644296223897514`*^9}, {
   3.764430102898517*^9, 3.7644301808713646`*^9}, {3.7644305350306163`*^9, 
   3.7644305931586733`*^9}, {3.764430706008359*^9, 3.764430718837159*^9}, {
   3.7644307555422144`*^9, 3.7644308403131537`*^9}, 3.76443145223594*^9, {
   3.76443175960637*^9, 3.7644317640909815`*^9}, {3.764431796123913*^9, 
   3.764431812874799*^9}, {3.764432484785136*^9, 3.76443250833325*^9}, 
   3.7644327796600175`*^9, {3.764553694242963*^9, 3.7645537227444615`*^9}, {
   3.7645549214950113`*^9, 3.7645549545592504`*^9}, {3.7645550065463595`*^9, 
   3.7645550959885645`*^9}, {3.7645551508351994`*^9, 
   3.7645551533040786`*^9}, {3.764555358533619*^9, 3.764555463945413*^9}, 
   3.764555583107936*^9, 3.7645556317354927`*^9, {3.7645558672478747`*^9, 
   3.7645559102189083`*^9}, {3.764556302115223*^9, 3.764556346648942*^9}, {
   3.7645563885105157`*^9, 3.7645564147306476`*^9}, {3.7802795908108883`*^9, 
   3.7802795954975214`*^9}, 3.780279643173567*^9, 3.78027993256349*^9, 
   3.7802800360079*^9, {3.78028007703257*^9, 3.780280100058082*^9}, {
   3.780283588804269*^9, 3.780283620328101*^9}, 3.780300323493456*^9, {
   3.7803004254249496`*^9, 3.780300581562375*^9}, {3.780301038459845*^9, 
   3.7803010489104786`*^9}, {3.7823588662106595`*^9, 3.782358876629789*^9}, {
   3.7823598516146927`*^9, 3.7823599004472857`*^9}, {3.782359950375735*^9, 
   3.7823599727454853`*^9}, {3.782360005331558*^9, 3.782360172013439*^9}, {
   3.7896159416605864`*^9, 3.789615966280134*^9}, 3.7896161786617928`*^9, 
   3.789703283355427*^9, 3.7918955709264116`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LminLmax", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "LminLmax", " ", "returns", " ", "the", " ", "minimum", 
    " ", "and", " ", "maximum", " ", "values", " ", "of", " ", "orbital", " ",
     "angular"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "momentum", " ", "of", " ", "the", " ", "existing", " ", "BM", " ", 
    "state", " ", "for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]",
     " ", "and", " ", 
    RowBox[{"\[Lambda]", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}
                    ], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}],
                     "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
               "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}],
        "**"}], "**"}], "**"}], "**"}], "*******)"}], "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "il", ",", "Lmax", ",", "Lmin", ",", "LLmm"}], "}"}],
     ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"LLmm", "=", 
      RowBox[{"{", 
       RowBox[{"1000000", ",", 
        RowBox[{"-", "2"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "il"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
             RowBox[{"Lmin", "=", "0"}], ",", 
             RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmin", "=", "K"}], ";", 
           RowBox[{"Lmax", "=", 
            RowBox[{"\[Mu]", "-", 
             RowBox[{"2", "*", "il"}], "+", "\[Lambda]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"LLmm", "[", 
            RowBox[{"[", "1", "]"}], "]"}], ">", "Lmin"}], ",", 
          RowBox[{
           RowBox[{"LLmm", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "=", "Lmin"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"LLmm", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "<", "Lmax"}], ",", 
          RowBox[{
           RowBox[{"LLmm", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "=", "Lmax"}]}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "LLmm", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7566544285801563`*^9, 3.7566544409714327`*^9}, 
   3.7566546310127*^9, {3.756654667420843*^9, 3.7566547448311863`*^9}, {
   3.7566547948650684`*^9, 3.756654830913819*^9}, {3.756654903698894*^9, 
   3.756654911621209*^9}, 3.7566551205540547`*^9, {3.7566551670252476`*^9, 
   3.756655173931881*^9}, {3.7566552329349604`*^9, 3.7566553399249663`*^9}, {
   3.7566553750674567`*^9, 3.756655401928224*^9}, {3.756655448680684*^9, 
   3.7566554606657124`*^9}, {3.756786179143777*^9, 3.7567862079265456`*^9}, 
   3.7572155583966584`*^9, {3.7572157272649107`*^9, 3.7572157457346325`*^9}, {
   3.7572158762571225`*^9, 3.757215880132325*^9}, 3.7572159223376703`*^9, {
   3.757216006217084*^9, 3.7572161155509577`*^9}, {3.757217543533931*^9, 
   3.757217563831854*^9}, {3.757320039344122*^9, 3.7573200771742373`*^9}, {
   3.7573227245054803`*^9, 3.757322731318339*^9}, {3.757324676257638*^9, 
   3.757324682398562*^9}, {3.757397970765443*^9, 3.7573980031421423`*^9}, {
   3.757472391960107*^9, 3.75747249343419*^9}, {3.7574726985865855`*^9, 
   3.7574727301663675`*^9}, 3.757472960569112*^9, {3.757558710226057*^9, 
   3.7575587136949887`*^9}, {3.7575593084137692`*^9, 
   3.7575593115389338`*^9}, {3.7575608990138655`*^9, 3.757560902435927*^9}, {
   3.7575721483596516`*^9, 3.7575721531099224`*^9}, {3.7575725167852745`*^9, 
   3.7575725191291533`*^9}, {3.7575735162909746`*^9, 3.757573518431733*^9}, {
   3.7576879492771316`*^9, 3.7576879565431585`*^9}, {3.757691315597641*^9, 
   3.7576913190978155`*^9}, {3.7580272808125052`*^9, 
   3.7580272851564827`*^9}, {3.758031253062087*^9, 3.758031368208765*^9}, {
   3.7580315650642757`*^9, 3.758031570236423*^9}, {3.7580386306090765`*^9, 
   3.7580386450316896`*^9}, {3.75803868245553*^9, 3.758038686315134*^9}, {
   3.758039211322583*^9, 3.75803930453059*^9}, {3.7580393378604655`*^9, 
   3.7580393623148794`*^9}, 3.7580393926914773`*^9, {3.758039434599928*^9, 
   3.7580394348343143`*^9}, 3.7580397649907045`*^9, {3.758039893450607*^9, 
   3.7580398938881044`*^9}, 3.758162573056305*^9, 3.7581628072873745`*^9, 
   3.758162882853854*^9, {3.758162989781353*^9, 3.7581629899376116`*^9}, {
   3.758163509136897*^9, 3.7581635093556786`*^9}, 3.7581636598635745`*^9, 
   3.7581681775965443`*^9, {3.758168234318269*^9, 3.758168244959454*^9}, 
   3.7581682930557337`*^9, 3.7581683713098497`*^9, 3.758168410561914*^9, {
   3.758168464799142*^9, 3.75816850945776*^9}, {3.7607163240322113`*^9, 
   3.7607163389392447`*^9}, {3.760932858385447*^9, 3.7609328726361933`*^9}, {
   3.7663803399664593`*^9, 3.7663804188299828`*^9}, {3.7663805715255136`*^9, 
   3.7663805971674876`*^9}, 3.766390339239192*^9, 3.7663990345965896`*^9, {
   3.766399101865753*^9, 3.7663991028501596`*^9}, {3.7663994608690104`*^9, 
   3.7663994790730815`*^9}, {3.7708592550455785`*^9, 3.770859363566845*^9}, {
   3.770859422663652*^9, 3.7708594497275267`*^9}, {3.770859876687267*^9, 
   3.7708599152674055`*^9}, 3.7708601141526957`*^9, 3.7708601523265467`*^9, {
   3.7709069982150273`*^9, 3.7709070014964733`*^9}, {3.770944179741503*^9, 
   3.7709442296034565`*^9}, {3.7709443953932605`*^9, 
   3.7709444360984917`*^9}, {3.7709444767255945`*^9, 
   3.7709445168839483`*^9}, {3.770944562980083*^9, 3.770944652703454*^9}, {
   3.7709446850801287`*^9, 3.7709447376766024`*^9}, {3.770944793226369*^9, 
   3.7709448724335947`*^9}, {3.7709458496569786`*^9, 
   3.7709458966593895`*^9}, {3.7709459509903464`*^9, 
   3.7709459871172156`*^9}, {3.77094602179086*^9, 3.7709462580062313`*^9}, {
   3.7709463253378286`*^9, 3.7709463470577145`*^9}, {3.7709463871378927`*^9, 
   3.7709464218428335`*^9}, {3.7709464844710503`*^9, 3.770946527629537*^9}, {
   3.77094660635236*^9, 3.770946622806337*^9}, {3.770946656698713*^9, 
   3.770946659542633*^9}, {3.7709467317338686`*^9, 3.7709467665012712`*^9}, {
   3.7709468318952804`*^9, 3.7709468377705812`*^9}, 3.770946886898122*^9, {
   3.7709469197748227`*^9, 3.770946992669221*^9}, {3.770947640266889*^9, 
   3.7709476700184493`*^9}, {3.7709477672422295`*^9, 
   3.7709478295267024`*^9}, {3.770947860278294*^9, 3.7709479597834415`*^9}, {
   3.770948009145351*^9, 3.7709480257243333`*^9}, {3.7709481165259066`*^9, 
   3.770948121401179*^9}, {3.7709481658722296`*^9, 3.770948234907032*^9}, {
   3.770948269783837*^9, 3.7709483008323383`*^9}, {3.7709483358966284`*^9, 
   3.7709483424282207`*^9}, {3.7823602484957604`*^9, 3.782360341226307*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"qMatrica", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_", ",", "prec_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "qMatrica", " ", "is", " ", "the", " ", "auxiliary", " ", 
    "function", " ", "that", " ", "precalculates", " ", "all"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"coefficients", " ", 
    SubsuperscriptBox["q", "ijk", 
     RowBox[{"(", "\[Lambda]\[Mu]", ")"}]], " ", "which", " ", "could", " ", 
    "be", " ", "generated", " ", "for", " ", "given", " ", "values", " ", 
    "of", " ", "\[Mu]", " ", "and", " ", 
    RowBox[{"\[Lambda]", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "The", " ", "function", " ", "qcoeff", " ", "returns", " ", "the", " ", 
    "matrix", " ", "of", " ", "that", " ", "coefficients", " ", 
    RowBox[{
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]], "."}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k", ",", "il", ",", "ip", ",", "LLmm", ",", "Ll", 
      ",", "qm", ",", "qVisi"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"LLmm", "=", 
      RowBox[{"LminLmax", "[", 
       RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"qVisi", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"3", ",", 
          RowBox[{
           RowBox[{"LLmm", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "+", "1"}], ",", 
          RowBox[{"\[Alpha]max", "+", "1"}], ",", 
          RowBox[{"\[Alpha]max", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"k", "=", "0"}], ",", 
       RowBox[{"k", "\[LessEqual]", "2"}], ",", 
       RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", 
           RowBox[{"LLmm", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ",", 
          RowBox[{"Ll", "<=", 
           RowBox[{"LLmm", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], ",", 
          RowBox[{"Ll", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"qm", "=", 
            RowBox[{"qcoeff", "[", 
             RowBox[{
             "\[Mu]", ",", "Ll", ",", "\[Lambda]", ",", "k", ",", "prec"}], 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"il", "=", "0"}], ",", 
             RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
             RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"ip", "=", "0"}], ",", 
                RowBox[{"ip", "<=", "\[Alpha]max"}], ",", 
                RowBox[{"ip", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"qVisi", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"k", "+", "1"}], ",", 
                    RowBox[{"Ll", "+", "1"}], ",", 
                    RowBox[{"il", "+", "1"}], ",", 
                    RowBox[{"ip", "+", "1"}]}], "]"}], "]"}], "=", 
                  RowBox[{"qm", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"il", "+", "1"}], ",", 
                    RowBox[{"ip", "+", "1"}]}], "]"}], "]"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "qVisi", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7566544285801563`*^9, 3.7566544409714327`*^9}, 
   3.7566546310127*^9, {3.756654667420843*^9, 3.7566547448311863`*^9}, {
   3.7566547948650684`*^9, 3.756654830913819*^9}, {3.756654903698894*^9, 
   3.756654911621209*^9}, 3.7566551205540547`*^9, {3.7566551670252476`*^9, 
   3.756655173931881*^9}, {3.7566552329349604`*^9, 3.7566553399249663`*^9}, {
   3.7566553750674567`*^9, 3.756655401928224*^9}, {3.756655448680684*^9, 
   3.7566554606657124`*^9}, {3.756786179143777*^9, 3.7567862079265456`*^9}, 
   3.7572155583966584`*^9, {3.7572157272649107`*^9, 3.7572157457346325`*^9}, {
   3.7572158762571225`*^9, 3.757215880132325*^9}, 3.7572159223376703`*^9, {
   3.757216006217084*^9, 3.7572161155509577`*^9}, {3.757217543533931*^9, 
   3.757217563831854*^9}, {3.757320039344122*^9, 3.7573200771742373`*^9}, {
   3.7573227245054803`*^9, 3.757322731318339*^9}, {3.757324676257638*^9, 
   3.757324682398562*^9}, {3.757397970765443*^9, 3.7573980031421423`*^9}, {
   3.757472391960107*^9, 3.75747249343419*^9}, {3.7574726985865855`*^9, 
   3.7574727301663675`*^9}, 3.757472960569112*^9, {3.757558710226057*^9, 
   3.7575587136949887`*^9}, {3.7575593084137692`*^9, 
   3.7575593115389338`*^9}, {3.7575608990138655`*^9, 3.757560902435927*^9}, {
   3.7575721483596516`*^9, 3.7575721531099224`*^9}, {3.7575725167852745`*^9, 
   3.7575725191291533`*^9}, {3.7575735162909746`*^9, 3.757573518431733*^9}, {
   3.7576879492771316`*^9, 3.7576879565431585`*^9}, {3.757691315597641*^9, 
   3.7576913190978155`*^9}, {3.7580272808125052`*^9, 
   3.7580272851564827`*^9}, {3.758031253062087*^9, 3.758031368208765*^9}, {
   3.7580315650642757`*^9, 3.758031570236423*^9}, {3.7580386306090765`*^9, 
   3.7580386450316896`*^9}, {3.75803868245553*^9, 3.758038686315134*^9}, {
   3.758039211322583*^9, 3.75803930453059*^9}, {3.7580393378604655`*^9, 
   3.7580393623148794`*^9}, 3.7580393926914773`*^9, {3.758039434599928*^9, 
   3.7580394348343143`*^9}, 3.7580397649907045`*^9, {3.758039893450607*^9, 
   3.7580398938881044`*^9}, 3.758162573056305*^9, 3.7581628072873745`*^9, 
   3.758162882853854*^9, {3.758162989781353*^9, 3.7581629899376116`*^9}, {
   3.758163509136897*^9, 3.7581635093556786`*^9}, 3.7581636598635745`*^9, 
   3.7581681775965443`*^9, {3.758168234318269*^9, 3.758168244959454*^9}, 
   3.7581682930557337`*^9, 3.7581683713098497`*^9, 3.758168410561914*^9, {
   3.758168464799142*^9, 3.75816850945776*^9}, {3.7607163240322113`*^9, 
   3.7607163389392447`*^9}, {3.760932858385447*^9, 3.7609328726361933`*^9}, {
   3.7663803399664593`*^9, 3.7663804188299828`*^9}, {3.7663805715255136`*^9, 
   3.7663805971674876`*^9}, 3.766390339239192*^9, 3.7663990345965896`*^9, {
   3.766399101865753*^9, 3.7663991028501596`*^9}, {3.7663994608690104`*^9, 
   3.7663994790730815`*^9}, {3.7708592550455785`*^9, 3.770859363566845*^9}, {
   3.770859422663652*^9, 3.7708594497275267`*^9}, {3.770859876687267*^9, 
   3.7708599152674055`*^9}, 3.7708601141526957`*^9, 3.7708601523265467`*^9, {
   3.7709069982150273`*^9, 3.7709070014964733`*^9}, {3.7709450621621604`*^9, 
   3.7709451102124667`*^9}, {3.770945317191908*^9, 3.77094532195778*^9}, {
   3.7709455109675803`*^9, 3.770945517671051*^9}, {3.7709455618608146`*^9, 
   3.770945585440158*^9}, {3.770952901932682*^9, 3.770952947731928*^9}, {
   3.770952978717905*^9, 3.770953250888237*^9}, 3.77095342866306*^9, {
   3.7709534839315453`*^9, 3.77095353513732*^9}, {3.7709535669983435`*^9, 
   3.770953594343508*^9}, 3.771029534597356*^9, 3.77102956619274*^9, 
   3.7710296351963263`*^9, {3.7710297735472364`*^9, 3.7710298414882317`*^9}, 
   3.7710299144451313`*^9, {3.771030023201437*^9, 3.771030056671919*^9}, {
   3.7710303830169086`*^9, 3.7710303889859867`*^9}, {3.771033406363744*^9, 
   3.7710334131297183`*^9}, {3.771035184148326*^9, 3.771035198695954*^9}, {
   3.7710456262491417`*^9, 3.7710456306712446`*^9}, {3.7802812002548943`*^9, 
   3.78028120314484*^9}, {3.7802818381290817`*^9, 3.7802818415501533`*^9}, {
   3.7802829244875803`*^9, 3.7802829305177374`*^9}, 3.780283051085268*^9, {
   3.7803050898493605`*^9, 3.780305095582388*^9}, {3.7803205746807985`*^9, 
   3.780320578820443*^9}, {3.782358802395627*^9, 3.7823588213127313`*^9}, {
   3.7823603774677963`*^9, 3.782360383481986*^9}, {3.7823604642283134`*^9, 
   3.7823606842914276`*^9}, 3.782362409469672*^9, 3.7896161826785703`*^9, 
   3.790732693522527*^9, 3.7918955822520313`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"KG", "[", 
   RowBox[{
   "j1_", ",", "m1_", ",", "j2_", ",", "m2_", ",", "j3_", ",", "m3_"}], "]"}],
   ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Function", " ", "KG", " ", "calculates", " ", "the", " ", "value", " ", 
     "of", " ", "the", " ", "Clebsh"}], "-", 
    RowBox[{"Gordan", " ", "coefficient"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "and", " ", "checks", " ", "if", " ", "all", " ", "nonvanishing", " ", 
    "conditions", " ", "are", " ", 
    RowBox[{"statisfied", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"j1", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "first", " ", "orbital", " ", 
     "angular", " ", "momentum"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"m1", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "first", " ", "orbital", " ", "angular", " ", "momentum"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"j2", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "second", " ", "orbital", " ", 
     "angular", " ", "momentum"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"m2", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "second", " ", "orbital", " ", "angular", " ", "momentum"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"j3", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "reultating", " ", "orbital", " ", 
     "angular", " ", "momentum"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"m3", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "reultating", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", "ats", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"m1", "+", "m2"}], ")"}], "!=", "m3"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Round", "[", 
         RowBox[{"Abs", "[", "m1", "]"}], "]"}], ">", "j1"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Round", "[", 
         RowBox[{"Abs", "[", "m2", "]"}], "]"}], ">", "j2"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Round", "[", 
         RowBox[{"Abs", "[", "m3", "]"}], "]"}], ">", "j3"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"j1", "-", "j2"}], "]"}], ">", "j3"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"j1", "+", "j2"}], "]"}], "<", "j3"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Not", "[", 
        RowBox[{"IntegerQ", "[", 
         RowBox[{"j1", "+", "j2", "+", "j3"}], "]"}], "]"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"ClebschGordan", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"j1", ",", "m1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j2", ",", "m2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j3", ",", "m3"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "ats", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.756262872708989*^9, 3.7562629030074577`*^9}, {
   3.7562629392124844`*^9, 3.7562629743080807`*^9}, 3.756263016919697*^9, {
   3.756263082595028*^9, 3.756263106205643*^9}, 3.7562632786522193`*^9, {
   3.756263356156315*^9, 3.756263415737574*^9}, {3.7562635447130823`*^9, 
   3.756263575605356*^9}, {3.756263621092103*^9, 3.7562636290144157`*^9}, {
   3.756263880215928*^9, 3.7562639316248674`*^9}, 3.7562640533968935`*^9, {
   3.7562643241924114`*^9, 3.7562644362143283`*^9}, {3.7562644794353485`*^9, 
   3.756264492639175*^9}, {3.7562645681118913`*^9, 3.756264594097633*^9}, 
   3.7562646347872963`*^9, {3.7562655062935247`*^9, 3.7562655086373835`*^9}, {
   3.757322326281435*^9, 3.757322439803006*^9}, {3.757322496540366*^9, 
   3.7573225380894275`*^9}, {3.7573225751226234`*^9, 3.757322617249846*^9}, {
   3.7573267614465556`*^9, 3.757326819512135*^9}, {3.7573269478782406`*^9, 
   3.7573269647697744`*^9}, 3.757327101933213*^9, {3.7573272348777323`*^9, 
   3.7573272799738283`*^9}, {3.7823607739575033`*^9, 
   3.7823609079595485`*^9}, {3.7823609557451825`*^9, 3.7823610797024117`*^9}, 
   3.782361679459055*^9, 3.7918955867292395`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Qk", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "il_", ",", "Ll_", ",", "Ml_", ",", "K_",
     ",", "ip_", ",", "Lp_", ",", "Mp_", ",", "prec_", ",", "qVisi_"}], "]"}],
   ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Qk", " ", "calculates", " ", "the", " ", "matrix", " ", 
    "element", " ", "of", " ", "the", " ", "quadrupole", " ", 
    RowBox[{"operator", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"il", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ll", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ml", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"K", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "quadrupole", " ", "operator"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ip", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Lp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Mp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", "ats", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<Qk: Lp=\>\"", ",", "Lp", ",", "\"\<, Mp=\>\"", ",", "Mp", ",", 
        "\"\<, K=\>\"", ",", "K", ",", "\"\<, Ll=\>\"", ",", "Ll", ",", 
        "\"\<, Ml=\>\"", ",", "Ml"}], "]"}], ";"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"ats", "=", 
       RowBox[{
        RowBox[{"ClebschGordan", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Lp", ",", "Mp"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "K"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Ll", ",", "Ml"}], "}"}]}], "]"}], "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"2", "*", "Ll"}], "+", "1"}], "]"}]}]}], ";"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ats", "=", 
      RowBox[{
       RowBox[{"KG", "[", 
        RowBox[{"Lp", ",", "Mp", ",", "2", ",", "K", ",", "Ll", ",", "Ml"}], 
        "]"}], "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"2", "*", "Ll"}], "+", "1"}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"Print", "[", 
        RowBox[{"\"\<Qk: ClebschGordan=\>\"", ",", "ats"}], "]"}], ";"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"ats", "*", 
       RowBox[{"RML", "[", 
        RowBox[{
        "\[Mu]", ",", "\[Lambda]", ",", "il", ",", "Ll", ",", "ip", ",", "Lp",
          ",", "prec", ",", "qVisi"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "ats", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.756175156308443*^9, 3.7561752226244297`*^9}, {
   3.756175303784974*^9, 3.7561753807577496`*^9}, {3.7561754823412156`*^9, 
   3.7561755040611134`*^9}, {3.756175534078337*^9, 3.7561755804401255`*^9}, {
   3.7561756929929285`*^9, 3.7561758033737526`*^9}, {3.756175864126921*^9, 
   3.756175893315982*^9}, 3.7561760342296233`*^9, {3.7562175778091927`*^9, 
   3.7562176040605736`*^9}, {3.756217685080438*^9, 3.7562177368175564`*^9}, {
   3.7562652683115945`*^9, 3.7562653447218866`*^9}, {3.7562654486179533`*^9, 
   3.756265483261064*^9}, {3.756265521638068*^9, 3.756265546530016*^9}, {
   3.756265796853077*^9, 3.7562658214168687`*^9}, {3.7710363723816814`*^9, 
   3.7710363882887545`*^9}, {3.7823616165493593`*^9, 
   3.7823617115296316`*^9}, {3.7823618033856263`*^9, 
   3.7823619161872096`*^9}, {3.782361954756259*^9, 3.7823621011619797`*^9}, {
   3.782362161634647*^9, 3.782362219074505*^9}, {3.782362361496262*^9, 
   3.782362389395951*^9}, {3.7823627909790144`*^9, 3.7823628278333273`*^9}, 
   3.7918955910504465`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"RML", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "il_", ",", "Ll_", ",", "ip_", ",", 
    "Lp_", ",", "prec_", ",", "qVisi_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "RML", " ", "calculates", " ", "the", " ", "reduced", " ",
     "matrix", " ", "element", " ", "of", " ", "the", " ", "quadrupole", " ", 
    RowBox[{"operator", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"il", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ll", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ip", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Lp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "temp", ",", "ilp", ",", "Llp", ",", "ipp", ",", "Lpp", ",", "n", ",", 
      "ats"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"n", "=", "1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Ll", "\[GreaterEqual]", "Lp"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ilp", "=", "il"}], ";", 
        RowBox[{"Llp", "=", "Ll"}], ";", 
        RowBox[{"ipp", "=", "ip"}], ";", 
        RowBox[{"Lpp", "=", "Lp"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ilp", "=", "ip"}], ";", 
        RowBox[{"Llp", "=", "Lp"}], ";", 
        RowBox[{"ipp", "=", "il"}], ";", 
        RowBox[{"Lpp", "=", "Ll"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"OddQ", "[", 
           RowBox[{"Lp", "-", "Ll"}], "]"}], ",", 
          RowBox[{"n", "=", 
           RowBox[{"-", "1"}]}]}], "]"}]}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"KG", "[", 
       RowBox[{"Llp", ",", 
        RowBox[{"-", "Lpp"}], ",", "2", ",", "0", ",", "Lpp", ",", 
        RowBox[{"-", "Lpp"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"ats", "==", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "0", "]"}]}], "\[IndentingNewLine]", "]"}], ";",
      "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{"2", "*", "Lpp"}], "+", "1"}], "]"}], "/", "ats"}]}], ";", 
     "\[IndentingNewLine]", 
     StyleBox[
      RowBox[{"temp", "=", "ilp"}],
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     StyleBox[";",
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     StyleBox["\[IndentingNewLine]",
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     StyleBox[
      RowBox[{"ilp", "=", "ipp"}],
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     StyleBox[";",
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     StyleBox["\[IndentingNewLine]",
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     StyleBox[
      RowBox[{"ipp", "=", "temp"}],
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     StyleBox[";",
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     StyleBox["\[IndentingNewLine]",
      FontFamily->"Courier New",
      FontSize->14,
      FontColor->GrayLevel[0]], 
     RowBox[{"temp", "=", 
      RowBox[{"qVisi", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"Llp", "-", "Lpp", "+", "1"}], ",", 
         RowBox[{"Lpp", "+", "1"}], ",", 
         RowBox[{"ilp", "+", "1"}], ",", 
         RowBox[{"ipp", "+", "1"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"n", "*", "ats", "*", "temp"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "ats", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7560078934449997`*^9, 3.756007929259383*^9}, {
   3.7560079827934237`*^9, 3.756008035452448*^9}, {3.756008198273979*^9, 
   3.7560082163061533`*^9}, {3.7560082658244085`*^9, 3.7560082939665127`*^9}, 
   3.756008357219839*^9, {3.756008503039984*^9, 3.7560085306039343`*^9}, {
   3.7560085782001867`*^9, 3.7560085798408995`*^9}, {3.756008630577967*^9, 
   3.756008638453356*^9}, {3.756008676939756*^9, 3.7560087633036733`*^9}, {
   3.7560088181190815`*^9, 3.7560088247756815`*^9}, {3.7560088564335957`*^9, 
   3.7560088663559723`*^9}, 3.7560093022226543`*^9, 3.756009347584404*^9, {
   3.756009421947715*^9, 3.756009475919303*^9}, {3.756009534141093*^9, 
   3.756009538250682*^9}, {3.7560095740181894`*^9, 3.756009588534578*^9}, {
   3.7560096782893004`*^9, 3.756009681773862*^9}, 3.7560098194060993`*^9, {
   3.7560098589081745`*^9, 3.756009906488825*^9}, {3.75600997386737*^9, 
   3.7560100315110016`*^9}, {3.756010168643235*^9, 3.7560101733309593`*^9}, 
   3.756010236490533*^9, {3.7560102670859165`*^9, 3.7560102844774556`*^9}, 
   3.756010768753684*^9, {3.756010832397657*^9, 3.7560108331164446`*^9}, 
   3.756010887775547*^9, {3.7560111504925127`*^9, 3.756011189182025*^9}, 
   3.756011242778617*^9, 3.7560114001462526`*^9, {3.7560114714312444`*^9, 
   3.7560114806817307`*^9}, 3.7560115109333453`*^9, {3.7560861400744953`*^9, 
   3.756086148449935*^9}, 3.7560861789984426`*^9, {3.75608622865728*^9, 
   3.756086338506833*^9}, 3.7560863818215837`*^9, {3.7560908579782944`*^9, 
   3.756090859743992*^9}, {3.756264669429716*^9, 3.75626475594989*^9}, 
   3.756265496355483*^9, {3.757223086836915*^9, 3.7572231233388596`*^9}, {
   3.7573265350747633`*^9, 3.7573266199391375`*^9}, 3.757326725132145*^9, {
   3.757340788404839*^9, 3.7573408368761177`*^9}, {3.757387885306264*^9, 
   3.7573879089012794`*^9}, 3.764130550794861*^9, 3.7710364363537493`*^9, {
   3.7710364862000675`*^9, 3.7710364892940006`*^9}, {3.7710365351244974`*^9, 
   3.771036535296361*^9}, {3.771036587205292*^9, 3.7710365985652657`*^9}, 
   3.7710366303638005`*^9, {3.7710366664906445`*^9, 3.771036730181444*^9}, {
   3.771038013357212*^9, 3.77103801452915*^9}, {3.7710385781676817`*^9, 
   3.771038665156561*^9}, {3.7710386953925047`*^9, 3.771038712487157*^9}, {
   3.7710440173375053`*^9, 3.7710440360103583`*^9}, {3.771044503230607*^9, 
   3.771044533779063*^9}, {3.7823624568491597`*^9, 3.7823625801981306`*^9}, 
   3.791895595636855*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LkLab", "[", 
   RowBox[{
   "il_", ",", "Ll_", ",", "Ml_", ",", "KL_", ",", "ip_", ",", "Lp_", ",", 
    "Mp_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "LkLab", " ", "calculates", " ", "the", " ", "matrix", 
    " ", "element", " ", "of", " ", "the", " ", "orbital", " ", "angular", 
    " ", "momentum"}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"operator", " ", "in", " ", "the", " ", "laboratory", " ", 
    RowBox[{"system", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"il", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ll", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ml", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"KL", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "operator"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ip", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Lp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Mp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", "ats", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"il", "!=", "ip"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Ll", "!=", "Lp"}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Ml", "!=", 
        RowBox[{"(", 
         RowBox[{"Mp", "+", "KL"}], ")"}]}], ",", 
       RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{
       RowBox[{"KG", "[", 
        RowBox[{"Lp", ",", "Mp", ",", "1", ",", "KL", ",", "Lp", ",", 
         RowBox[{"Mp", "+", "KL"}]}], "]"}], "*", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"Ll", "*", 
         RowBox[{"(", 
          RowBox[{"Ll", "+", "1"}], ")"}]}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "ats", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7566139094534674`*^9, 3.7566139291576457`*^9}, {
   3.756613963690685*^9, 3.7566140207718134`*^9}, {3.7566155553294935`*^9, 
   3.7566157057592793`*^9}, {3.756615751933584*^9, 3.7566157822320566`*^9}, {
   3.756615847876156*^9, 3.7566159080355453`*^9}, {3.7566160162599845`*^9, 
   3.756616019635167*^9}, 3.7566161277839007`*^9, 3.756650125057*^9, {
   3.781791098898879*^9, 3.781791134781064*^9}, {3.7817921760810823`*^9, 
   3.7817921811423893`*^9}, 3.7823174182023935`*^9, {3.7823865139112415`*^9, 
   3.782386662207296*^9}, {3.7823867956446495`*^9, 3.78238681262784*^9}, 
   3.7918956015180655`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lmatrix", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "\[Eta]_", ",", "matm_", ",", "prec_"}], 
   "]"}], ":=", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Lmatrix", " ", "calculates", " ", "the", " ", "matrix", 
    " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", "momentum", 
    " ", "operator"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]"}], 
    ",", " ", "\[Lambda]", ",", " ", 
    RowBox[{"and", " ", 
     RowBox[{"\[Eta]", "."}]}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Eta]", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "operator"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"matm", "  ", "-", " ", 
    RowBox[{"dimension", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representation", " ", 
     "for"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k1", ",", "k2", ",", "il", ",", "ip", ",", "K", ",",
       "Ks", ",", "Lmax", ",", "Lmaxs", ",", "Lstep", ",", "Lsteps", ",", 
      "Lmin", ",", "Lmins", ",", "Ll", ",", "Lp", ",", "Ml", ",", "Mp", ",", 
      "Q00m"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Q00m", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"matm", ",", "matm"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"k1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "il"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", 
           RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
             RowBox[{"Lmin", "=", "0"}], ",", 
             RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmin", "=", "K"}], ";", 
           RowBox[{"Lstep", "=", "1"}], ";", 
           RowBox[{"Lmax", "=", 
            RowBox[{"\[Mu]", "-", 
             RowBox[{"2", "*", "il"}], "+", "\[Lambda]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", "Lmin"}], ",", 
          RowBox[{"Ll", "<=", "Lmax"}], ",", 
          RowBox[{"Ll", "=", 
           RowBox[{"Ll", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"Ml", "=", 
              RowBox[{"-", "Ll"}]}], ",", 
             RowBox[{"Ml", "<=", "Ll"}], ",", 
             RowBox[{"Ml", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"k1", "=", 
               RowBox[{"k1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"k2", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"ip", "=", "0"}], ",", 
                RowBox[{"ip", "<=", "\[Alpha]max"}], ",", 
                RowBox[{"ip", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Ks", "=", 
                  RowBox[{"\[Mu]", "-", 
                   RowBox[{"2", "*", "ip"}]}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "\[Equal]", "0"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmaxs", "=", "\[Lambda]"}], ";", 
                    RowBox[{"Lsteps", "=", "2"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
                    RowBox[{"Lmins", "=", "0"}], ",", 
                    RowBox[{"Lmins", "=", "1"}]}], "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "!=", "0"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmins", "=", "Ks"}], ";", 
                    RowBox[{"Lsteps", "=", "1"}], ";", 
                    RowBox[{"Lmaxs", "=", 
                    RowBox[{"\[Mu]", "-", 
                    RowBox[{"2", "*", "ip"}], "+", "\[Lambda]"}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"Lp", "=", "Lmins"}], ",", 
                   RowBox[{"Lp", "<=", "Lmaxs"}], ",", 
                   RowBox[{"Lp", "=", 
                    RowBox[{"Lp", "+", "Lsteps"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"Mp", "=", 
                    RowBox[{"-", "Lp"}]}], ",", 
                    RowBox[{"Mp", "<=", "Lp"}], ",", 
                    RowBox[{"Mp", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"k2", "=", 
                    RowBox[{"k2", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Q00m", "[", 
                    RowBox[{"[", 
                    RowBox[{"k1", ",", "k2"}], "]"}], "]"}], "=", 
                    RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{"LkLab", "[", 
                    RowBox[{
                    "il", ",", "Ll", ",", "Ml", ",", "\[Eta]", ",", "ip", ",",
                     "Lp", ",", "Mp"}], "]"}], ",", "prec"}], "]"}]}], 
                    ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
                  "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "Q00m", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7566544285801563`*^9, 3.7566544409714327`*^9}, 
   3.7566546310127*^9, {3.756654667420843*^9, 3.7566547448311863`*^9}, {
   3.7566547948650684`*^9, 3.756654830913819*^9}, {3.756654903698894*^9, 
   3.756654911621209*^9}, 3.7566551205540547`*^9, {3.7566551670252476`*^9, 
   3.756655173931881*^9}, {3.7566552329349604`*^9, 3.7566553399249663`*^9}, {
   3.7566553750674567`*^9, 3.756655401928224*^9}, {3.756655448680684*^9, 
   3.7566554606657124`*^9}, {3.756786179143777*^9, 3.7567862079265456`*^9}, 
   3.7572155583966584`*^9, {3.7572157272649107`*^9, 3.7572157457346325`*^9}, {
   3.7572158762571225`*^9, 3.757215880132325*^9}, 3.7572159223376703`*^9, {
   3.757216006217084*^9, 3.7572161155509577`*^9}, {3.757217543533931*^9, 
   3.757217563831854*^9}, {3.757320039344122*^9, 3.7573200771742373`*^9}, {
   3.7573227245054803`*^9, 3.757322731318339*^9}, {3.757324676257638*^9, 
   3.757324682398562*^9}, {3.757397970765443*^9, 3.7573980031421423`*^9}, {
   3.757472391960107*^9, 3.75747249343419*^9}, {3.7574726985865855`*^9, 
   3.7574727301663675`*^9}, 3.757472960569112*^9, {3.757558710226057*^9, 
   3.7575587136949887`*^9}, {3.7575593084137692`*^9, 
   3.7575593115389338`*^9}, {3.7575608990138655`*^9, 3.757560902435927*^9}, {
   3.7575721483596516`*^9, 3.7575721531099224`*^9}, {3.7575725167852745`*^9, 
   3.7575725191291533`*^9}, {3.7575735162909746`*^9, 3.757573518431733*^9}, {
   3.7576879492771316`*^9, 3.7576879565431585`*^9}, {3.757691315597641*^9, 
   3.7576913190978155`*^9}, {3.7580272808125052`*^9, 
   3.7580272851564827`*^9}, {3.758031253062087*^9, 3.758031368208765*^9}, {
   3.7580315650642757`*^9, 3.758031570236423*^9}, {3.7580386306090765`*^9, 
   3.7580386450316896`*^9}, {3.75803868245553*^9, 3.758038686315134*^9}, {
   3.758039211322583*^9, 3.75803930453059*^9}, {3.7580393378604655`*^9, 
   3.7580393623148794`*^9}, 3.7580393926914773`*^9, {3.758039434599928*^9, 
   3.7580394348343143`*^9}, 3.7580397649907045`*^9, {3.758039893450607*^9, 
   3.7580398938881044`*^9}, 3.758162573056305*^9, 3.7581628072873745`*^9, 
   3.758162882853854*^9, {3.758162989781353*^9, 3.7581629899376116`*^9}, {
   3.758163509136897*^9, 3.7581635093556786`*^9}, 3.7581636598635745`*^9, 
   3.7581681775965443`*^9, {3.758168234318269*^9, 3.758168244959454*^9}, 
   3.7581682930557337`*^9, 3.7581683713098497`*^9, 3.758168410561914*^9, {
   3.758168464799142*^9, 3.75816850945776*^9}, {3.7607163240322113`*^9, 
   3.7607163389392447`*^9}, {3.760932858385447*^9, 3.7609328726361933`*^9}, {
   3.7663803399664593`*^9, 3.7663804188299828`*^9}, {3.7663805715255136`*^9, 
   3.7663805971674876`*^9}, 3.766390339239192*^9, 3.7663990345965896`*^9, {
   3.766399101865753*^9, 3.7663991028501596`*^9}, {3.7663994608690104`*^9, 
   3.7663994790730815`*^9}, {3.7708592550455785`*^9, 3.770859363566845*^9}, {
   3.770859422663652*^9, 3.7708594497275267`*^9}, {3.770859876687267*^9, 
   3.7708599152674055`*^9}, 3.7708601141526957`*^9, 3.7708601523265467`*^9, {
   3.771036243968787*^9, 3.7710362454219875`*^9}, 3.771036304190674*^9, {
   3.7710404249933558`*^9, 3.7710404422911215`*^9}, 3.771040919355919*^9, {
   3.7710409723430147`*^9, 3.771041032752411*^9}, {3.771041136007733*^9, 
   3.7710411633841486`*^9}, {3.771041710374593*^9, 3.771041740938677*^9}, {
   3.771041843287718*^9, 3.771041864663824*^9}, {3.771041975669572*^9, 
   3.77104202250014*^9}, {3.7710420626428194`*^9, 3.771042105363783*^9}, {
   3.771042188133088*^9, 3.771042192195818*^9}, {3.771042268918513*^9, 
   3.771042303529704*^9}, 3.7710423371095657`*^9, {3.7710423806586747`*^9, 
   3.771042396768883*^9}, {3.7710438735015373`*^9, 3.771043887611642*^9}, {
   3.7710439401616364`*^9, 3.771043956646865*^9}, {3.771044242222685*^9, 
   3.771044244363424*^9}, {3.7710443781616364`*^9, 3.7710444740884533`*^9}, {
   3.7710445906882324`*^9, 3.7710445932508893`*^9}, {3.771044717514595*^9, 
   3.7710447224836283`*^9}, {3.7710452014458833`*^9, 3.771045212524587*^9}, {
   3.77104524436998*^9, 3.7710452747621775`*^9}, {3.771045688189844*^9, 
   3.7710456929088135`*^9}, {3.7803064235280046`*^9, 3.780306452632683*^9}, {
   3.7803066384038105`*^9, 3.7803066521662016`*^9}, {3.782362692093397*^9, 
   3.7823627590958924`*^9}, {3.7823628495782185`*^9, 
   3.7823628946638565`*^9}, {3.7823629392002263`*^9, 3.7823629989517927`*^9}, 
   3.7823649036591597`*^9, 3.789616187193102*^9, 3.7907320390589128`*^9, {
   3.7907320851780066`*^9, 3.790732163691123*^9}, {3.790732486475432*^9, 
   3.790732582586831*^9}, {3.7907326240820274`*^9, 3.7907326529303384`*^9}, {
   3.7907327748758955`*^9, 3.7907327919701295`*^9}, {3.7918956070248747`*^9, 
   3.791895612984085*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Qmatrix", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "\[Eta]_", ",", "matm_", ",", "prec_", 
    ",", "qVisi_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Qmatrix", " ", "calculates", " ", "the", " ", "matrix", 
    " ", "of", " ", "the", " ", "quadrupole", " ", "operator", " ", "for", 
    " ", "given"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"values", " ", "of", " ", "\[Mu]"}], ",", " ", "\[Lambda]", ",", 
    " ", 
    RowBox[{"and", " ", 
     RowBox[{"\[Eta]", "."}]}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Eta]", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "quadrupole", " ", "operator"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"matm", "  ", "-", " ", 
    RowBox[{"dimension", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representation", " ", 
     "for"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k1", ",", "k2", ",", "il", ",", "ip", ",", "K", ",",
       "Ks", ",", "Lmax", ",", "Lmaxs", ",", "Lstep", ",", "Lsteps", ",", 
      "Lmin", ",", "Lmins", ",", "Ll", ",", "Lp", ",", "Ml", ",", "Mp", ",", 
      "Q00m"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Q00m", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"matm", ",", "matm"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"k1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "il"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", 
           RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
             RowBox[{"Lmin", "=", "0"}], ",", 
             RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmin", "=", "K"}], ";", 
           RowBox[{"Lstep", "=", "1"}], ";", 
           RowBox[{"Lmax", "=", 
            RowBox[{"\[Mu]", "-", 
             RowBox[{"2", "*", "il"}], "+", "\[Lambda]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", "Lmin"}], ",", 
          RowBox[{"Ll", "<=", "Lmax"}], ",", 
          RowBox[{"Ll", "=", 
           RowBox[{"Ll", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"Ml", "=", 
              RowBox[{"-", "Ll"}]}], ",", 
             RowBox[{"Ml", "<=", "Ll"}], ",", 
             RowBox[{"Ml", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"k1", "=", 
               RowBox[{"k1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"k2", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"ip", "=", "0"}], ",", 
                RowBox[{"ip", "<=", "\[Alpha]max"}], ",", 
                RowBox[{"ip", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Ks", "=", 
                  RowBox[{"\[Mu]", "-", 
                   RowBox[{"2", "*", "ip"}]}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "\[Equal]", "0"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmaxs", "=", "\[Lambda]"}], ";", 
                    RowBox[{"Lsteps", "=", "2"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
                    RowBox[{"Lmins", "=", "0"}], ",", 
                    RowBox[{"Lmins", "=", "1"}]}], "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "!=", "0"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmins", "=", "Ks"}], ";", 
                    RowBox[{"Lsteps", "=", "1"}], ";", 
                    RowBox[{"Lmaxs", "=", 
                    RowBox[{"\[Mu]", "-", 
                    RowBox[{"2", "*", "ip"}], "+", "\[Lambda]"}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"Lp", "=", "Lmins"}], ",", 
                   RowBox[{"Lp", "<=", "Lmaxs"}], ",", 
                   RowBox[{"Lp", "=", 
                    RowBox[{"Lp", "+", "Lsteps"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"Mp", "=", 
                    RowBox[{"-", "Lp"}]}], ",", 
                    RowBox[{"Mp", "<=", "Lp"}], ",", 
                    RowBox[{"Mp", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"k2", "=", 
                    RowBox[{"k2", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Q00m", "[", 
                    RowBox[{"[", 
                    RowBox[{"k1", ",", "k2"}], "]"}], "]"}], "=", 
                    RowBox[{"Qk", "[", 
                    RowBox[{
                    "\[Mu]", ",", "\[Lambda]", ",", "il", ",", "Ll", ",", 
                    "Ml", ",", "\[Eta]", ",", "ip", ",", "Lp", ",", "Mp", ",",
                     "prec", ",", "qVisi"}], "]"}]}], ";"}]}], 
                    "\[IndentingNewLine]", "]"}], ";"}]}], 
                  "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "Q00m", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7566544285801563`*^9, 3.7566544409714327`*^9}, 
   3.7566546310127*^9, {3.756654667420843*^9, 3.7566547448311863`*^9}, {
   3.7566547948650684`*^9, 3.756654830913819*^9}, {3.756654903698894*^9, 
   3.756654911621209*^9}, 3.7566551205540547`*^9, {3.7566551670252476`*^9, 
   3.756655173931881*^9}, {3.7566552329349604`*^9, 3.7566553399249663`*^9}, {
   3.7566553750674567`*^9, 3.756655401928224*^9}, {3.756655448680684*^9, 
   3.7566554606657124`*^9}, {3.756786179143777*^9, 3.7567862079265456`*^9}, 
   3.7572155583966584`*^9, {3.7572157272649107`*^9, 3.7572157457346325`*^9}, {
   3.7572158762571225`*^9, 3.757215880132325*^9}, 3.7572159223376703`*^9, {
   3.757216006217084*^9, 3.7572161155509577`*^9}, {3.757217543533931*^9, 
   3.757217563831854*^9}, {3.757320039344122*^9, 3.7573200771742373`*^9}, {
   3.7573227245054803`*^9, 3.757322731318339*^9}, {3.757324676257638*^9, 
   3.757324682398562*^9}, {3.757397970765443*^9, 3.7573980031421423`*^9}, {
   3.757472391960107*^9, 3.75747249343419*^9}, {3.7574726985865855`*^9, 
   3.7574727301663675`*^9}, 3.757472960569112*^9, {3.757558710226057*^9, 
   3.7575587136949887`*^9}, {3.7575593084137692`*^9, 
   3.7575593115389338`*^9}, {3.7575608990138655`*^9, 3.757560902435927*^9}, {
   3.7575721483596516`*^9, 3.7575721531099224`*^9}, {3.7575725167852745`*^9, 
   3.7575725191291533`*^9}, {3.7575735162909746`*^9, 3.757573518431733*^9}, {
   3.7576879492771316`*^9, 3.7576879565431585`*^9}, {3.757691315597641*^9, 
   3.7576913190978155`*^9}, {3.7580272808125052`*^9, 
   3.7580272851564827`*^9}, {3.758031253062087*^9, 3.758031368208765*^9}, {
   3.7580315650642757`*^9, 3.758031570236423*^9}, {3.7580386306090765`*^9, 
   3.7580386450316896`*^9}, {3.75803868245553*^9, 3.758038686315134*^9}, {
   3.758039211322583*^9, 3.75803930453059*^9}, {3.7580393378604655`*^9, 
   3.7580393623148794`*^9}, 3.7580393926914773`*^9, {3.758039434599928*^9, 
   3.7580394348343143`*^9}, 3.7580397649907045`*^9, {3.758039893450607*^9, 
   3.7580398938881044`*^9}, 3.758162573056305*^9, 3.7581628072873745`*^9, 
   3.758162882853854*^9, {3.758162989781353*^9, 3.7581629899376116`*^9}, {
   3.758163509136897*^9, 3.7581635093556786`*^9}, 3.7581636598635745`*^9, 
   3.7581681775965443`*^9, {3.758168234318269*^9, 3.758168244959454*^9}, 
   3.7581682930557337`*^9, 3.7581683713098497`*^9, 3.758168410561914*^9, {
   3.758168464799142*^9, 3.75816850945776*^9}, {3.7607163240322113`*^9, 
   3.7607163389392447`*^9}, {3.760932858385447*^9, 3.7609328726361933`*^9}, {
   3.7663803399664593`*^9, 3.7663804188299828`*^9}, {3.7663805715255136`*^9, 
   3.7663805971674876`*^9}, 3.766390339239192*^9, 3.7663990345965896`*^9, {
   3.766399101865753*^9, 3.7663991028501596`*^9}, {3.7663994608690104`*^9, 
   3.7663994790730815`*^9}, {3.7708592550455785`*^9, 3.770859363566845*^9}, {
   3.770859422663652*^9, 3.7708594497275267`*^9}, {3.770859876687267*^9, 
   3.7708599152674055`*^9}, 3.7708601141526957`*^9, 3.7708601523265467`*^9, {
   3.771036243968787*^9, 3.7710362454219875`*^9}, 3.771036304190674*^9, {
   3.7710404249933558`*^9, 3.7710404422911215`*^9}, 3.771040919355919*^9, {
   3.7710409723430147`*^9, 3.771041032752411*^9}, {3.771041136007733*^9, 
   3.7710411633841486`*^9}, {3.771041710374593*^9, 3.771041740938677*^9}, {
   3.771041843287718*^9, 3.771041864663824*^9}, {3.771041975669572*^9, 
   3.77104202250014*^9}, {3.7710420626428194`*^9, 3.771042105363783*^9}, {
   3.771042188133088*^9, 3.771042192195818*^9}, {3.771042268918513*^9, 
   3.771042303529704*^9}, 3.7710423371095657`*^9, {3.7710423806586747`*^9, 
   3.771042396768883*^9}, {3.7710438735015373`*^9, 3.771043887611642*^9}, {
   3.7710439401616364`*^9, 3.771043956646865*^9}, {3.771044242222685*^9, 
   3.771044244363424*^9}, {3.7710443781616364`*^9, 3.7710444740884533`*^9}, {
   3.7710445906882324`*^9, 3.7710445932508893`*^9}, {3.771044717514595*^9, 
   3.7710447224836283`*^9}, {3.7710452014458833`*^9, 3.771045212524587*^9}, {
   3.77104524436998*^9, 3.7710452747621775`*^9}, {3.771045688189844*^9, 
   3.7710456929088135`*^9}, {3.7803064235280046`*^9, 3.780306452632683*^9}, {
   3.7803066384038105`*^9, 3.7803066521662016`*^9}, {3.782362692093397*^9, 
   3.7823627590958924`*^9}, {3.7823628495782185`*^9, 
   3.7823628946638565`*^9}, {3.7823629392002263`*^9, 3.7823629989517927`*^9}, 
   3.7823649036591597`*^9, 3.789616187193102*^9, {3.7918956186780953`*^9, 
   3.7918956227497025`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Qindces", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "matm_", ",", "stream_", ",", 
    "outputFlag_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Qindces", " ", "outputs", " ", "the", " ", "indeces", 
    " ", "of", " ", "the", " ", "matrix", " ", "of", " ", "the", " ", 
    "quadrupole", " ", "operator"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", 
    " ", 
    RowBox[{"\[Lambda]", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "          ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "          ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"matm", "       ", "-", " ", 
    RowBox[{"dimension", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representation", " ", 
     "for"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "              ", 
   RowBox[{
   "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"stream", "     ", "-", " ", 
    RowBox[{
    "reference", " ", "to", " ", "the", " ", "output", " ", "stream"}]}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"outputFlag", " ", "-", " ", 
     RowBox[{"output", " ", 
      RowBox[{"to", ":", " ", 
       RowBox[{"0", " ", "-", " ", "notebook"}]}]}]}], ",", " ", 
    RowBox[{"1", " ", "-", " ", "file"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k1", ",", "il", ",", "Lmax", ",", "Lstep", ",", 
      "Lmin", ",", "Casimir", ",", "Ll", ",", "Ml", ",", "viso"}], "}"}], ",",
     "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"k1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmin", "=", 
         RowBox[{"Lmincalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Lmax", "=", 
         RowBox[{"Lmaxcalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Lstep", "=", 
         RowBox[{"Lstepcalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", "Lmin"}], ",", 
          RowBox[{"Ll", "<=", "Lmax"}], ",", 
          RowBox[{"Ll", "=", 
           RowBox[{"Ll", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"Ml", "=", 
              RowBox[{"-", "Ll"}]}], ",", 
             RowBox[{"Ml", "<=", "Ll"}], ",", 
             RowBox[{"Ml", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"k1", "=", 
               RowBox[{"k1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"outputFlag", "\[Equal]", "0"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Print", "[", 
                  RowBox[{
                  "k1", ",", "\"\<) i=\>\"", ",", "il", ",", "\"\<, L=\>\"", 
                   ",", "Ll", ",", "\"\<, M=\>\"", ",", "Ml"}], "]"}], 
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"outputFlag", "\[Equal]", "1"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"WriteString", "[", 
                  RowBox[{"stream", ",", 
                   RowBox[{
                    RowBox[{"ToString", "[", "k1", "]"}], "<>", 
                    "\"\<) i = \>\"", "<>", 
                    RowBox[{"ToString", "[", "il", "]"}], "<>", 
                    "\"\<, L = \>\"", "<>", 
                    RowBox[{"ToString", "[", "Ll", "]"}], "<>", 
                    "\"\<, M = \>\"", "<>", 
                    RowBox[{"ToString", "[", "Ml", "]"}], "<>", 
                    "\"\<\\n\>\""}]}], "]"}], ";"}]}], "\[IndentingNewLine]", 
               "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"outputFlag", "\[Equal]", "1"}], ",", 
       RowBox[{
        RowBox[{"WriteString", "[", 
         RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"k1", "!=", "matm"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"outputFlag", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Print", "[", 
            RowBox[{
            "\"\<Qindces: k1= \>\"", ",", "k1", ",", "\"\<!=\>\"", ",", 
             "\"\< matm=\>\"", ",", "matm"}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"outputFlag", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"WriteString", "[", 
            RowBox[{"stream", ",", 
             RowBox[{"\"\<Qindces: k1= \>\"", "<>", 
              RowBox[{"ToString", "[", "k1", "]"}], "<>", "\"\< != matm=\>\"",
               "<>", 
              RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}],
             "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.756209801037845*^9, 3.7562098281955204`*^9}, {
   3.7562098590408907`*^9, 3.7562098660881615`*^9}, 3.7562100191274443`*^9, 
   3.756210147399808*^9, {3.7562104517455316`*^9, 3.756210461730412*^9}, 
   3.7562105076390724`*^9, {3.7562105553134785`*^9, 3.7562107115716796`*^9}, 
   3.7562108344218884`*^9, {3.7562108653766365`*^9, 3.7562109598191075`*^9}, 
   3.75621099471159*^9, {3.75621103322924*^9, 3.7562110456527805`*^9}, 
   3.756211213817871*^9, {3.7562114582994843`*^9, 3.7562114803944173`*^9}, {
   3.756211971435855*^9, 3.756212105942945*^9}, {3.756212137413329*^9, 
   3.756212171368246*^9}, {3.7562122205583277`*^9, 3.7562123348299575`*^9}, {
   3.756212546669855*^9, 3.75621261117325*^9}, {3.756217079079816*^9, 
   3.756217083783187*^9}, {3.7562173531723537`*^9, 3.7562173557974944`*^9}, {
   3.756217388658599*^9, 3.7562174182695303`*^9}, {3.7562183260204*^9, 
   3.756218393461444*^9}, 3.7562184279979334`*^9, 3.756218462390367*^9, {
   3.756265877091672*^9, 3.75626594872042*^9}, {3.756266077242824*^9, 
   3.756266088446519*^9}, 3.756386047487858*^9, {3.7563861685098486`*^9, 
   3.756386178369737*^9}, {3.763128228424569*^9, 3.763128248925647*^9}, 
   3.763128301990958*^9, 3.763128350352852*^9, {3.763128394981219*^9, 
   3.7631285176907797`*^9}, {3.763128648697665*^9, 3.7631286571199846`*^9}, {
   3.7631289332856216`*^9, 3.7631289388328066`*^9}, 3.763128980053726*^9, {
   3.763129010274045*^9, 3.7631290525419135`*^9}, {3.763129095512905*^9, 
   3.7631290986380696`*^9}, {3.7631291869188585`*^9, 
   3.7631292321712184`*^9}, {3.763129262329049*^9, 3.763129296315238*^9}, 
   3.7641672979418344`*^9, {3.764167333678089*^9, 3.7641673664610868`*^9}, {
   3.7641674131041417`*^9, 3.764167584644418*^9}, 3.7641676343658047`*^9, {
   3.764167688399872*^9, 3.764167825735221*^9}, {3.7641679588626356`*^9, 
   3.7641680898070335`*^9}, {3.7641681631077776`*^9, 
   3.7641682190638256`*^9}, {3.7803179982648587`*^9, 3.780318002357644*^9}, {
   3.7803181382812157`*^9, 3.7803181526373124`*^9}, {3.7803181840675554`*^9, 
   3.780318231168728*^9}, {3.780318282734722*^9, 3.7803184345602207`*^9}, {
   3.780324501776761*^9, 3.7803245056196547`*^9}, {3.780324552158222*^9, 
   3.7803246863453984`*^9}, 3.7803248651184835`*^9, {3.782363076498702*^9, 
   3.78236320917089*^9}, {3.782363271891918*^9, 3.7823632973390937`*^9}, {
   3.782363404969981*^9, 3.78236340906277*^9}, 3.7823648882740088`*^9, {
   3.7829107922614436`*^9, 3.782910796088664*^9}, {3.7829108384540005`*^9, 
   3.7829108685716105`*^9}, {3.7829115480161095`*^9, 
   3.7829115515465746`*^9}, {3.7829115870850787`*^9, 3.782911657430704*^9}, {
   3.782911718932185*^9, 3.7829117524239807`*^9}, {3.7829117859026184`*^9, 
   3.7829117908548975`*^9}, {3.782911824190484*^9, 3.782911876022098*^9}, {
   3.7829120412356377`*^9, 3.7829121050956125`*^9}, {3.782912305237975*^9, 
   3.782912321252333*^9}, {3.782912399484248*^9, 3.782912414074281*^9}, {
   3.7829128730548296`*^9, 3.782912909592801*^9}, {3.7829130857728453`*^9, 
   3.7829132757307587`*^9}, {3.7829610647825284`*^9, 
   3.7829610981969366`*^9}, {3.7918956325621195`*^9, 3.7918956349645243`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"QQ0", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "il_", ",", "Ll_", ",", "Ml_", ",", 
    "ip_", ",", "Lp_", ",", "Mp_", ",", "prec_", ",", "qVisi_"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "QQ0", " ", "calculates", " ", "the", " ", "matrix", " ", 
    "element", " ", "of", " ", "the", " ", "scalar", " ", "product"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"of", " ", "quadrupole", " ", 
    RowBox[{"operators", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"il", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ll", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ml", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ip", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Lp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Mp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "i", ",", "K", ",", "Lmax", ",", "Lstep", ",", 
      "Lmin", ",", "L", ",", "M", ",", "\[Eta]", ",", "result", ",", "ats"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"ats", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "0"}], ",", 
       RowBox[{"i", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "i"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", 
           RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
             RowBox[{"Lmin", "=", "0"}], ",", 
             RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmin", "=", "K"}], ";", 
           RowBox[{"Lstep", "=", "1"}], ";", 
           RowBox[{"Lmax", "=", 
            RowBox[{"\[Mu]", "-", 
             RowBox[{"2", "*", "i"}], "+", "\[Lambda]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"L", "=", "Lmin"}], ",", 
          RowBox[{"L", "<=", "Lmax"}], ",", 
          RowBox[{"L", "=", 
           RowBox[{"L", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"M", "=", 
              RowBox[{"-", "L"}]}], ",", 
             RowBox[{"M", "<=", "L"}], ",", 
             RowBox[{"M", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"\[Eta]", "=", 
                 RowBox[{"-", "2"}]}], ",", 
                RowBox[{"\[Eta]", "\[LessEqual]", "2"}], ",", 
                RowBox[{"\[Eta]", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"result", "=", 
                  RowBox[{
                   RowBox[{"Qk", "[", 
                    RowBox[{
                    "\[Mu]", ",", "\[Lambda]", ",", "il", ",", "Ll", ",", 
                    "Ml", ",", "\[Eta]", ",", "i", ",", "L", ",", "M", ",", 
                    "prec", ",", "qVisi"}], "]"}], "*", 
                   RowBox[{"Qk", "[", 
                    RowBox[{
                    "\[Mu]", ",", "\[Lambda]", ",", "i", ",", "L", ",", "M", 
                    ",", 
                    RowBox[{"-", "\[Eta]"}], ",", "ip", ",", "Lp", ",", "Mp", 
                    ",", "prec", ",", "qVisi"}], "]"}]}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"OddQ", "[", "\[Eta]", "]"}], ",", 
                   RowBox[{"result", "=", 
                    RowBox[{"-", "result"}]}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"ats", "=", 
                  RowBox[{"ats", "+", "result"}]}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "ats", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.756176097826713*^9, 3.7561761320014267`*^9}, {
   3.7561761844573107`*^9, 3.756176233819273*^9}, 3.756176334793342*^9, {
   3.756176376936164*^9, 3.756176395202749*^9}, {3.756206748673428*^9, 
   3.7562067554706717`*^9}, {3.756206806051446*^9, 3.7562068285526295`*^9}, {
   3.756206867054655*^9, 3.756206915604104*^9}, {3.756207000499174*^9, 
   3.756207013890506*^9}, {3.75620706783084*^9, 3.7562071334592867`*^9}, {
   3.7562071903060317`*^9, 3.756207205275591*^9}, 3.756207236667841*^9, {
   3.7562072750448837`*^9, 3.7562073162032785`*^9}, {3.7562074057392373`*^9, 
   3.756207460085846*^9}, {3.7562075140886865`*^9, 3.7562075519188213`*^9}, 
   3.7562076076873627`*^9, {3.756207701629821*^9, 3.7562077408818874`*^9}, {
   3.756207771899132*^9, 3.756207808729204*^9}, {3.756207902250476*^9, 
   3.7562080186628456`*^9}, {3.7562080617119875`*^9, 
   3.7562081356377487`*^9}, {3.7562081925938683`*^9, 3.756208212298053*^9}, {
   3.7562082453154173`*^9, 3.756208490734549*^9}, {3.7562086050062094`*^9, 
   3.7562086925733147`*^9}, 3.75620887636423*^9, {3.756208935211076*^9, 
   3.7562089422114196`*^9}, 3.75620902424699*^9, {3.7562174655220156`*^9, 
   3.7562174996331854`*^9}, {3.7562187549682555`*^9, 
   3.7562188142213535`*^9}, {3.756265691566266*^9, 3.7562657480223637`*^9}, 
   3.780306607845829*^9, {3.78030668186267*^9, 3.7803067282578573`*^9}, {
   3.782363728640961*^9, 3.782363762570154*^9}, {3.7823638665641947`*^9, 
   3.78236388624706*^9}, {3.782364064348606*^9, 3.782364077986023*^9}, {
   3.7823641177110515`*^9, 3.7823641280836115`*^9}, 3.7918956390049314`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"QQ0matrix", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "matm_", ",", "prec_", ",", "qVisi_"}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "QQ0matrix", " ", "calculates", " ", "the", " ", "matrix",
     " ", "of", " ", "the", " ", "scalar", " ", "product"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "of", " ", "quadrupole", " ", "operators", " ", "for", " ", "given", " ", 
    "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    RowBox[{"\[Lambda]", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"matm", "  ", "-", " ", 
    RowBox[{"dimension", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representation", " ", 
     "for"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k1", ",", "k2", ",", "il", ",", "ip", ",", "K", ",",
       "Ks", ",", "Lmax", ",", "Lmaxs", ",", "Lstep", ",", "Lsteps", ",", 
      "Lmin", ",", "Lmins", ",", "Ll", ",", "Lp", ",", "Ml", ",", "Mp", ",", 
      "Q00m"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Q00m", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"matm", ",", "matm"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"k1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "il"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", 
           RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
             RowBox[{"Lmin", "=", "0"}], ",", 
             RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmin", "=", "K"}], ";", 
           RowBox[{"Lstep", "=", "1"}], ";", 
           RowBox[{"Lmax", "=", 
            RowBox[{"\[Mu]", "-", 
             RowBox[{"2", "*", "il"}], "+", "\[Lambda]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", "Lmin"}], ",", 
          RowBox[{"Ll", "<=", "Lmax"}], ",", 
          RowBox[{"Ll", "=", 
           RowBox[{"Ll", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"Ml", "=", 
              RowBox[{"-", "Ll"}]}], ",", 
             RowBox[{"Ml", "<=", "Ll"}], ",", 
             RowBox[{"Ml", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"k1", "=", 
               RowBox[{"k1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"k2", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"ip", "=", "0"}], ",", 
                RowBox[{"ip", "<=", "\[Alpha]max"}], ",", 
                RowBox[{"ip", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Ks", "=", 
                  RowBox[{"\[Mu]", "-", 
                   RowBox[{"2", "*", "ip"}]}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "\[Equal]", "0"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmaxs", "=", "\[Lambda]"}], ";", 
                    RowBox[{"Lsteps", "=", "2"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
                    RowBox[{"Lmins", "=", "0"}], ",", 
                    RowBox[{"Lmins", "=", "1"}]}], "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "!=", "0"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmins", "=", "Ks"}], ";", 
                    RowBox[{"Lsteps", "=", "1"}], ";", 
                    RowBox[{"Lmaxs", "=", 
                    RowBox[{"\[Mu]", "-", 
                    RowBox[{"2", "*", "ip"}], "+", "\[Lambda]"}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"Lp", "=", "Lmins"}], ",", 
                   RowBox[{"Lp", "<=", "Lmaxs"}], ",", 
                   RowBox[{"Lp", "=", 
                    RowBox[{"Lp", "+", "Lsteps"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"Mp", "=", 
                    RowBox[{"-", "Lp"}]}], ",", 
                    RowBox[{"Mp", "<=", "Lp"}], ",", 
                    RowBox[{"Mp", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"k2", "=", 
                    RowBox[{"k2", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"k2", "\[Equal]", "k1"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Q00m", "[", 
                    RowBox[{"[", 
                    RowBox[{"k1", ",", "k2"}], "]"}], "]"}], "=", 
                    RowBox[{"QQ0", "[", 
                    RowBox[{
                    "\[Mu]", ",", "\[Lambda]", ",", "il", ",", "Ll", ",", 
                    "Ml", ",", "ip", ",", "Lp", ",", "Mp", ",", "prec", ",", 
                    "qVisi"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}],
                     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
                  "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "Q00m", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.756209801037845*^9, 3.7562098281955204`*^9}, {
   3.7562098590408907`*^9, 3.7562098660881615`*^9}, 3.7562100191274443`*^9, 
   3.756210147399808*^9, {3.7562104517455316`*^9, 3.756210461730412*^9}, 
   3.7562105076390724`*^9, {3.7562105553134785`*^9, 3.7562107115716796`*^9}, 
   3.7562108344218884`*^9, {3.7562108653766365`*^9, 3.7562109598191075`*^9}, 
   3.75621099471159*^9, {3.75621103322924*^9, 3.7562110456527805`*^9}, 
   3.756211213817871*^9, {3.7562114582994843`*^9, 3.7562114803944173`*^9}, {
   3.756211971435855*^9, 3.756212105942945*^9}, {3.756212137413329*^9, 
   3.756212171368246*^9}, {3.7562122205583277`*^9, 3.7562123348299575`*^9}, {
   3.756212546669855*^9, 3.75621261117325*^9}, {3.756217079079816*^9, 
   3.756217083783187*^9}, {3.7562173531723537`*^9, 3.7562173557974944`*^9}, {
   3.756217388658599*^9, 3.7562174182695303`*^9}, {3.7562183260204*^9, 
   3.756218393461444*^9}, 3.7562184279979334`*^9, 3.756218462390367*^9, {
   3.756265877091672*^9, 3.75626594872042*^9}, {3.756266077242824*^9, 
   3.756266088446519*^9}, 3.756386047487858*^9, {3.7563861685098486`*^9, 
   3.756386178369737*^9}, {3.7660467718379707`*^9, 3.766046808277383*^9}, {
   3.766047092714243*^9, 3.766047138497901*^9}, 3.780305888348928*^9, {
   3.780306535847144*^9, 3.7803065759470844`*^9}, {3.7803196916266546`*^9, 
   3.7803197050766125`*^9}, {3.7823641606228294`*^9, 3.782364196286332*^9}, {
   3.7823643024822645`*^9, 3.7823643845098286`*^9}, {3.7823644189887233`*^9, 
   3.782364424050045*^9}, {3.78236446414997*^9, 3.7823644909093003`*^9}, 
   3.7823648753707952`*^9, 3.7896161923952856`*^9, {3.791895642858138*^9, 
   3.791895647085745*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LL0matrix", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_", ",", "matm_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "LL0matrix", " ", "calculates", " ", "the", " ", "matrix",
     " ", "of", " ", "the", " ", "scalar", " ", "product"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "of", " ", "orbital", " ", "angular", " ", "momentum", " ", "operators", 
    " ", "for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]", " ", 
    "and", " ", 
    RowBox[{"\[Lambda]", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"matm", "  ", "-", " ", 
    RowBox[{"dimension", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representation", " ", 
     "for"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k1", ",", "il", ",", "Lmax", ",", "Lstep", ",", 
      "Lmin", ",", "LLdiag", ",", "Ll", ",", "Ml"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"LLdiag", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"matm", ",", "matm"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"k1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmin", "=", 
         RowBox[{"Lmincalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Lmax", "=", 
         RowBox[{"Lmaxcalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Lstep", "=", 
         RowBox[{"Lstepcalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", "Lmin"}], ",", 
          RowBox[{"Ll", "<=", "Lmax"}], ",", 
          RowBox[{"Ll", "=", 
           RowBox[{"Ll", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"Ml", "=", 
              RowBox[{"-", "Ll"}]}], ",", 
             RowBox[{"Ml", "<=", "Ll"}], ",", 
             RowBox[{"Ml", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"k1", "=", 
               RowBox[{"k1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"LLdiag", "[", 
                RowBox[{"[", 
                 RowBox[{"k1", ",", "k1"}], "]"}], "]"}], "=", 
               RowBox[{"Ll", "*", 
                RowBox[{"(", 
                 RowBox[{"Ll", "+", "1"}], ")"}]}]}], ";"}]}], 
            "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"k1", "!=", "matm"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<LLmatrix: k1!=matm, k1=\>\"", ",", "k1", ",", "\"\<, matm=\>\"",
           ",", "matm"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Quit", "[", "]"}]}]}], "\[IndentingNewLine]", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "LLdiag", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.756209801037845*^9, 3.7562098281955204`*^9}, {
   3.7562098590408907`*^9, 3.7562098660881615`*^9}, 3.7562100191274443`*^9, 
   3.756210147399808*^9, {3.7562104517455316`*^9, 3.756210461730412*^9}, 
   3.7562105076390724`*^9, {3.7562105553134785`*^9, 3.7562107115716796`*^9}, 
   3.7562108344218884`*^9, {3.7562108653766365`*^9, 3.7562109598191075`*^9}, 
   3.75621099471159*^9, {3.75621103322924*^9, 3.7562110456527805`*^9}, 
   3.756211213817871*^9, {3.7562114582994843`*^9, 3.7562114803944173`*^9}, {
   3.756211971435855*^9, 3.756212105942945*^9}, {3.756212137413329*^9, 
   3.756212171368246*^9}, {3.7562122205583277`*^9, 3.7562123348299575`*^9}, {
   3.756212546669855*^9, 3.75621261117325*^9}, {3.756217079079816*^9, 
   3.756217083783187*^9}, {3.7562173531723537`*^9, 3.7562173557974944`*^9}, {
   3.756217388658599*^9, 3.7562174182695303`*^9}, {3.7562183260204*^9, 
   3.756218393461444*^9}, 3.7562184279979334`*^9, 3.756218462390367*^9, {
   3.756265877091672*^9, 3.75626594872042*^9}, {3.756266077242824*^9, 
   3.756266088446519*^9}, 3.756386047487858*^9, {3.7563861685098486`*^9, 
   3.756386178369737*^9}, {3.763128228424569*^9, 3.763128248925647*^9}, 
   3.763128301990958*^9, 3.763128350352852*^9, {3.763128394981219*^9, 
   3.7631285176907797`*^9}, {3.763128648697665*^9, 3.7631286571199846`*^9}, {
   3.7631289332856216`*^9, 3.7631289388328066`*^9}, 3.763128980053726*^9, {
   3.763129010274045*^9, 3.7631290525419135`*^9}, {3.763129095512905*^9, 
   3.7631290986380696`*^9}, {3.7631291869188585`*^9, 
   3.7631292321712184`*^9}, {3.763129262329049*^9, 3.763129296315238*^9}, 
   3.7641672979418344`*^9, {3.764167333678089*^9, 3.7641673664610868`*^9}, {
   3.7641674131041417`*^9, 3.764167584644418*^9}, 3.7641676343658047`*^9, {
   3.764167688399872*^9, 3.764167825735221*^9}, {3.7641679588626356`*^9, 
   3.7641680898070335`*^9}, {3.7641681631077776`*^9, 
   3.7641682190638256`*^9}, {3.7820995357823*^9, 3.7820995458268595`*^9}, {
   3.782099609561823*^9, 3.782099632915695*^9}, {3.7820997235688324`*^9, 
   3.782099821561373*^9}, 3.782137751094124*^9, {3.782137850758175*^9, 
   3.782137883609821*^9}, {3.7821379488939548`*^9, 3.782137964031021*^9}, {
   3.7821380067865853`*^9, 3.7821380480896997`*^9}, 3.7821380939714375`*^9, 
   3.7821381254484053`*^9, 3.782138248709301*^9, {3.7821405372440643`*^9, 
   3.78214066073288*^9}, 3.782140809496933*^9, 3.7821409650422716`*^9, 
   3.782142020546403*^9, {3.7823645304000077`*^9, 3.7823645994800663`*^9}, {
   3.782364664917797*^9, 3.782364706657977*^9}, 3.782384342970681*^9, 
   3.789616201064883*^9, {3.7918956516565533`*^9, 3.7918956535129566`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CasimirMatrix", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_", ",", "matm_"}], "]"}], ":=", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "CasimirMatrix", " ", "calculates", " ", "the", " ", 
    "matrix", " ", "of", " ", "the", " ", "scalar", " ", "product"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "of", " ", "quadrupole", " ", "operators", " ", "for", " ", "given", " ", 
    "values", " ", "of", " ", "\[Mu]", " ", "and", " ", "\[Lambda]", " ", 
    "using", " ", "the", " ", "eigenvalues", " ", "of"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Casimir", " ", "operator", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "group", " ", 
     SubscriptBox["C", "2"], 
     RowBox[{"(", 
      RowBox[{"SU", 
       RowBox[{"(", "3", ")"}]}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"Q", "\[CenterDot]", "Q"}], "+", 
     RowBox[{"3", 
      RowBox[{"L", "\[CenterDot]", 
       RowBox[{"L", "."}]}]}]}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"matm", "  ", "-", " ", 
    RowBox[{"dimension", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representation", " ", 
     "for"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k1", ",", "il", ",", "Lmax", ",", "Lstep", ",", 
      "Lmin", ",", "Casimir", ",", "Ll", ",", "Ml", ",", "viso", ",", 
      "QQ0m"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"QQ0m", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"matm", ",", "matm"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"k1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmin", "=", 
         RowBox[{"Lmincalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Lmax", "=", 
         RowBox[{"Lmaxcalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Lstep", "=", 
         RowBox[{"Lstepcalc", "[", 
          RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "il"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", "Lmin"}], ",", 
          RowBox[{"Ll", "<=", "Lmax"}], ",", 
          RowBox[{"Ll", "=", 
           RowBox[{"Ll", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"Ml", "=", 
              RowBox[{"-", "Ll"}]}], ",", 
             RowBox[{"Ml", "<=", "Ll"}], ",", 
             RowBox[{"Ml", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"k1", "=", 
               RowBox[{"k1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"Casimir", "=", 
               RowBox[{
                RowBox[{"4", "*", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"\[Lambda]", "*", "\[Lambda]"}], "+", 
                   RowBox[{"\[Lambda]", "*", "\[Mu]"}], "+", 
                   RowBox[{"\[Mu]", "*", "\[Mu]"}], "+", 
                   RowBox[{"3", "*", "\[Lambda]"}], "+", 
                   RowBox[{"3", "*", "\[Mu]"}]}], ")"}]}], "-", 
                RowBox[{"3", "*", "Ll", "*", 
                 RowBox[{"(", 
                  RowBox[{"Ll", "+", "1"}], ")"}]}]}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"QQ0m", "[", 
                RowBox[{"[", 
                 RowBox[{"k1", ",", "k1"}], "]"}], "]"}], "=", "Casimir"}], 
              ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"k1", "!=", "matm"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<CasimirMatrix: k1!=matm, k1=\>\"", ",", "k1", ",", 
          "\"\<, matm=\>\"", ",", "matm"}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "QQ0m", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.756209801037845*^9, 3.7562098281955204`*^9}, {
   3.7562098590408907`*^9, 3.7562098660881615`*^9}, 3.7562100191274443`*^9, 
   3.756210147399808*^9, {3.7562104517455316`*^9, 3.756210461730412*^9}, 
   3.7562105076390724`*^9, {3.7562105553134785`*^9, 3.7562107115716796`*^9}, 
   3.7562108344218884`*^9, {3.7562108653766365`*^9, 3.7562109598191075`*^9}, 
   3.75621099471159*^9, {3.75621103322924*^9, 3.7562110456527805`*^9}, 
   3.756211213817871*^9, {3.7562114582994843`*^9, 3.7562114803944173`*^9}, {
   3.756211971435855*^9, 3.756212105942945*^9}, {3.756212137413329*^9, 
   3.756212171368246*^9}, {3.7562122205583277`*^9, 3.7562123348299575`*^9}, {
   3.756212546669855*^9, 3.75621261117325*^9}, {3.756217079079816*^9, 
   3.756217083783187*^9}, {3.7562173531723537`*^9, 3.7562173557974944`*^9}, {
   3.756217388658599*^9, 3.7562174182695303`*^9}, {3.7562183260204*^9, 
   3.756218393461444*^9}, 3.7562184279979334`*^9, 3.756218462390367*^9, {
   3.756265877091672*^9, 3.75626594872042*^9}, {3.756266077242824*^9, 
   3.756266088446519*^9}, 3.756386047487858*^9, {3.7563861685098486`*^9, 
   3.756386178369737*^9}, {3.763128228424569*^9, 3.763128248925647*^9}, 
   3.763128301990958*^9, 3.763128350352852*^9, {3.763128394981219*^9, 
   3.7631285176907797`*^9}, {3.763128648697665*^9, 3.7631286571199846`*^9}, {
   3.7631289332856216`*^9, 3.7631289388328066`*^9}, 3.763128980053726*^9, {
   3.763129010274045*^9, 3.7631290525419135`*^9}, {3.763129095512905*^9, 
   3.7631290986380696`*^9}, {3.7631291869188585`*^9, 
   3.7631292321712184`*^9}, {3.763129262329049*^9, 3.763129296315238*^9}, 
   3.7641672979418344`*^9, {3.764167333678089*^9, 3.7641673664610868`*^9}, {
   3.7641674131041417`*^9, 3.764167584644418*^9}, 3.7641676343658047`*^9, {
   3.764167688399872*^9, 3.764167825735221*^9}, {3.7641679588626356`*^9, 
   3.7641680898070335`*^9}, {3.7641681631077776`*^9, 
   3.7641682190638256`*^9}, {3.7803179982648587`*^9, 3.780318002357644*^9}, {
   3.7803181382812157`*^9, 3.7803181526373124`*^9}, {3.7803181840675554`*^9, 
   3.780318231168728*^9}, {3.780318282734722*^9, 3.7803184345602207`*^9}, {
   3.7821415177358365`*^9, 3.782141554242532*^9}, 3.782384374658817*^9, {
   3.7823844065848827`*^9, 3.782384456325077*^9}, {3.782384594553824*^9, 
   3.782384621906704*^9}, {3.7823846879248314`*^9, 3.782384742443571*^9}, {
   3.782384803460476*^9, 3.7823849320264115`*^9}, 3.782385070324035*^9, 
   3.7823859375229983`*^9, 3.7896162047830315`*^9, {3.791895656024561*^9, 
   3.7918956587389655`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"TestQQ0", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "prec_", ",", "testQQ0_", ",", 
    "outPrec_", ",", "stream_", ",", "outputMode_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
        "**"}], "**"}], "**"}], "**"}], "**", "**", "**", "**", "**", "**", "**",
     "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
     "**", "**", "**", "**", "**", "**", "**", "**", "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "TestQQ0", " ", "tests", " ", "if", " ", "the", " ", 
    "scalar", " ", "product", " ", "of", " ", "quadrupole", " ", 
    "operators"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", 
    " ", "\[Lambda]", " ", "is", " ", "equal", " ", "to", " ", "values", " ", 
    "calculated", " ", "using", " ", "the"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "eigenvalues", " ", "of", " ", "Casimir", " ", "operator", " ", "of", " ",
      "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "group", " ", 
     SubscriptBox["C", "2"], 
     RowBox[{"(", 
      RowBox[{"SU", 
       RowBox[{"(", "3", ")"}]}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"Q", "\[CenterDot]", "Q"}], "+", 
     RowBox[{"3", 
      RowBox[{"L", "\[CenterDot]", 
       RowBox[{"L", "."}]}]}]}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "       ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "       ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "    ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"testQQ0", " ", "-", " ", 
    RowBox[{"test", " ", 
     RowBox[{"case", ":"}]}]}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "           ", 
   RowBox[{"1", " ", "-", " ", 
    RowBox[{
    "verdict", " ", "if", " ", "the", " ", "scalar", " ", "product", " ", 
     "of", " ", "quadrupole", " ", "operators", " ", "is", " ", "correct"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "           ", 
   RowBox[{"2", " ", "-", " ", 
    RowBox[{
    "output", " ", "of", " ", "the", " ", "matrix", " ", "of", " ", "the", 
     " ", "scalar", " ", "product", " ", "of", " ", "quadrupole"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "               ", 
   RowBox[{
   "operators", " ", "and", " ", "verdict", " ", "if", " ", "the", " ", 
    "scalar", " ", "product", " ", "of", " ", "quadrupole"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "               ", 
   RowBox[{"operators", " ", "is", " ", "correct"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"outPrec", " ", "-", " ", 
    RowBox[{
    "output", " ", "precision", " ", "of", " ", "numerical", " ", 
     "calculations"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"stream", "     ", "-", " ", 
    RowBox[{
    "reference", " ", "to", " ", "the", " ", "output", " ", "stream"}]}], " ",
    "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"outputMode", " ", "-", " ", 
    RowBox[{"output", " ", 
     RowBox[{"to", ":"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "              ", 
   RowBox[{
    RowBox[{"0", " ", "-", " ", "notebook"}], ",", " ", 
    RowBox[{"1", " ", "-", "  ", "file"}], ",", " ", 
    RowBox[{"2", " ", "-", " ", 
     RowBox[{"notebook", " ", "and", " ", "file"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "QQ0m", ",", "Cm", ",", "testN", ",", "base", ",", "matm", ",", 
      "qVisi"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"base", "=", "9.5"}], ";", " ", 
     RowBox[{"(*", 
      RowBox[{
      "base", " ", "for", " ", "evaluation", " ", "of", " ", "the", " ", 
       "accuracy", " ", "of", " ", "the", " ", "orthonormalization"}], "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"qVisi", "=", 
      RowBox[{"qMatrica", "[", 
       RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"matm", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], "/", 
       "2"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"QQ0m", "=", 
      RowBox[{"QQ0matrix", "[", 
       RowBox[{
       "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", "qVisi"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Cm", "=", 
      RowBox[{"CasimirMatrix", "[", 
       RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"testN", "=", 
      RowBox[{"Norm", "[", 
       RowBox[{"QQ0m", "-", "Cm"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"QQ0m", "=", 
      RowBox[{"SetPrecision", "[", 
       RowBox[{"QQ0m", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
         RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", "\"\<Input for calculation of QQ0:\>\"", "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", 
         RowBox[{
         "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", ",",
           "\[Mu]"}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Print", "[", "\"\<Output of QQ0 calculation:\>\"", "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"testQQ0", "\[Equal]", "2"}], ",", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<QQ0=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "QQ0m", "]"}]}], "]"}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"10.", "^", 
               RowBox[{"-", "prec"}]}], ")"}], "-", "testN"}], "]"}], "<", 
           RowBox[{"base", "^", 
            RowBox[{"-", "prec"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Test: QQ0 is Equal to Casimir values\>\"", "]"}],
           ",", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Test: QQ0 is Not Equal to Casimir values\>\"", 
           "]"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Or", "[", 
        RowBox[{
         RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
         RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"WriteString", "[", 
         RowBox[{"stream", ",", "\"\<Input for calculation of QQ0:\\n\>\""}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"WriteString", "[", 
         RowBox[{"stream", ",", 
          RowBox[{"\"\<lambda=\>\"", "<>", 
           RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", "\"\<, mu=\>\"",
            "<>", 
           RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", 
           "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"WriteString", "[", 
         RowBox[{"stream", ",", "\"\<Output of QQ0 calculation:\\n\>\""}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"testQQ0", "\[Equal]", "2"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"WriteString", "[", 
            RowBox[{"stream", ",", "\"\<QQ0=\\n\>\""}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Export", "[", 
            RowBox[{"stream", ",", "QQ0m", ",", "\"\<Table\>\""}], "]"}], ";",
            "\[IndentingNewLine]", 
           RowBox[{"WriteString", "[", 
            RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"10.", "^", 
               RowBox[{"-", "prec"}]}], ")"}], "-", "testN"}], "]"}], "<", 
           RowBox[{"base", "^", 
            RowBox[{"-", "prec"}]}]}], ",", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Test: QQ0 is Equal to Casimir values\\n\>\""}],
            "]"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"WriteString", "[", 
            RowBox[{
            "stream", ",", "\"\<QQ0 is Not Equal to Casimir values\\n\>\""}], 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"WriteString", "[", 
         RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Close", "[", "stream", "]"}], ";"}]}], "\[IndentingNewLine]",
       "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7498009302132826`*^9, 3.749801047469426*^9}, {
   3.749801233135441*^9, 3.7498012708718*^9}, {3.749801361876612*^9, 
   3.7498013643923693`*^9}, {3.7498014090517626`*^9, 3.7498014266620646`*^9}, 
   3.749801465836025*^9, {3.750076517804002*^9, 3.750076521319832*^9}, {
   3.7502169872402782`*^9, 3.750217026898614*^9}, {3.7507312941162243`*^9, 
   3.7507313203207273`*^9}, {3.761725631868944*^9, 3.761725721811174*^9}, {
   3.761725811128372*^9, 3.761725833629533*^9}, {3.7617258911794558`*^9, 
   3.761725950449023*^9}, {3.7617260510168095`*^9, 3.7617260680020804`*^9}, {
   3.7617261093167725`*^9, 3.7617262042592444`*^9}, 3.7617262411205807`*^9, {
   3.7617263077334595`*^9, 3.7617263355786543`*^9}, {3.7617263750963573`*^9, 
   3.761726520916525*^9}, {3.7617265856386766`*^9, 3.7617265887169666`*^9}, {
   3.7617266396883974`*^9, 3.7617266495014353`*^9}, {3.7617267002384725`*^9, 
   3.7617267176768723`*^9}, {3.7617268522933283`*^9, 3.7617269108432865`*^9}, 
   3.7617269784718637`*^9, {3.761727038318735*^9, 3.761727039428174*^9}, {
   3.761727096118651*^9, 3.7617270997282405`*^9}, 3.761727200889812*^9, {
   3.761727244423352*^9, 3.761727378195987*^9}, 3.7617276735240464`*^9, {
   3.7617277056976132`*^9, 3.7617277109322405`*^9}, {3.7617331643596992`*^9, 
   3.7617331685942965`*^9}, {3.761733469063221*^9, 3.761733478376235*^9}, {
   3.7617335122217393`*^9, 3.7617335273788123`*^9}, {3.7625811356917543`*^9, 
   3.762581245089178*^9}, {3.7625812785172596`*^9, 3.7625812877029195`*^9}, {
   3.762581336994583*^9, 3.7625813663721743`*^9}, {3.762581402698462*^9, 
   3.762581461616533*^9}, {3.762581507912678*^9, 3.7625816953758645`*^9}, {
   3.762581739151245*^9, 3.7625817432349405`*^9}, 3.7625818688152723`*^9, {
   3.7637326105985065`*^9, 3.763732617270729*^9}, 3.779936279699233*^9, {
   3.77993641635671*^9, 3.779936419965542*^9}, {3.779936450083147*^9, 
   3.7799364816538467`*^9}, {3.7799367833067737`*^9, 3.779936845932708*^9}, {
   3.779936878956148*^9, 3.7799368960302563`*^9}, {3.779936933055304*^9, 
   3.7799369385227804`*^9}, {3.779937097581719*^9, 3.77993712307572*^9}, 
   3.77993749986674*^9, {3.77993835956354*^9, 3.7799383809178925`*^9}, {
   3.779967747193279*^9, 3.779967788558592*^9}, {3.7801037667433634`*^9, 
   3.7801037811933146`*^9}, 3.780298456580716*^9, {3.7803186255660963`*^9, 
   3.7803186279405336`*^9}, {3.780318721043626*^9, 3.780318734118674*^9}, {
   3.780318775236663*^9, 3.7803187929981203`*^9}, {3.7803188233815823`*^9, 
   3.780318838831078*^9}, {3.780318872854317*^9, 3.780318908314726*^9}, {
   3.7803189513226585`*^9, 3.780318966553494*^9}, {3.780319065280221*^9, 
   3.7803192655013247`*^9}, 3.780319536816857*^9, {3.7823850389720383`*^9, 
   3.7823850454395914`*^9}, {3.782385095724309*^9, 3.7823853794909377`*^9}, {
   3.7823855775566635`*^9, 3.7823857348648057`*^9}, 3.782385772152893*^9, {
   3.782916711873849*^9, 3.782916718981553*^9}, 3.782916763018113*^9, 
   3.7829168457173567`*^9, {3.7829169019879355`*^9, 3.7829169742678165`*^9}, {
   3.7829170418612747`*^9, 3.782917063403083*^9}, {3.7829171458395205`*^9, 
   3.7829171832213497`*^9}, 3.7829172288512373`*^9, 3.7829174014059763`*^9, 
   3.7829174383363853`*^9, {3.7829174944484115`*^9, 3.782917606625198*^9}, 
   3.7829179946975307`*^9, {3.7829903327798*^9, 3.782990342449361*^9}, {
   3.78299038197386*^9, 3.78299042397965*^9}, 3.782990695074977*^9, {
   3.791895662716973*^9, 3.791895666289379*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H4QQBarElement", "[", 
   RowBox[{
   "\[Lambda]_", ",", "\[Mu]_", ",", "il_", ",", "Ll_", ",", "Ml_", ",", 
    "ip_", ",", "Lp_", ",", "Mp_", ",", "prec_", ",", "qVisi_"}], "]"}], ":=", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "H4QQBarElement", " ", "calculates", " ", "the", " ", 
    "matrix", " ", "element", " ", "of", " ", "the", " ", 
    SubscriptBox["H", 
     RowBox[{"4", "QQ"}]], " ", "operator", " ", "with", " ", 
    RowBox[{"bars", "."}]}], " ", "*)"}], "\[IndentingNewLine]", " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"il", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ll", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ml", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ip", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Lp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Mp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "i", ",", "L", ",", "M", ",", "\[Eta]", ",", "ats", ",", "ats1", ",", 
      "t1", ",", "t2", ",", "t3", ",", "r1", ",", "r2", ",", "tv", ",", 
      "Lsum1", ",", "Lsum2", ",", "\[Alpha]minK", ",", "\[Alpha]maxK"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Lsum1", "=", 
      RowBox[{"Max", "[", 
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"Ll", "-", "2"}], "]"}], ",", 
        RowBox[{"Abs", "[", 
         RowBox[{"Lp", "-", "2"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Lsum2", "=", 
      RowBox[{"Min", "[", 
       RowBox[{
        RowBox[{"Ll", "+", "2"}], ",", 
        RowBox[{"Lp", "+", "2"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"L", "=", "Lsum1"}], ",", 
       RowBox[{"L", "<=", "Lsum2"}], ",", 
       RowBox[{"L", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Alpha]minK", "=", 
         RowBox[{"AlphaminK", "[", 
          RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]maxK", "=", 
         RowBox[{"AlphamaxK", "[", 
          RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "\[Alpha]minK"}], ",", 
          RowBox[{"i", "<=", "\[Alpha]maxK"}], ",", 
          RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ats1", "=", "0"}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"M", "=", 
              RowBox[{"-", "L"}]}], ",", 
             RowBox[{"M", "<=", "L"}], ",", 
             RowBox[{"M", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"t1", "=", 
               RowBox[{"Sum", "[", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"KG", "[", 
                   RowBox[{"2", ",", "\[Eta]", ",", "2", ",", 
                    RowBox[{"-", "\[Eta]"}], ",", "4", ",", "0"}], "]"}], "*",
                   "\[IndentingNewLine]", 
                  RowBox[{"KG", "[", 
                   RowBox[{
                   "Ll", ",", "Ml", ",", "2", ",", "\[Eta]", ",", "L", ",", 
                    "M"}], "]"}], "*", "\[IndentingNewLine]", 
                  RowBox[{"KG", "[", 
                   RowBox[{"L", ",", "M", ",", "2", ",", 
                    RowBox[{"-", "\[Eta]"}], ",", "Lp", ",", "Mp"}], "]"}]}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{"\[Eta]", ",", 
                   RowBox[{"-", "2"}], ",", "2"}], "}"}]}], 
                "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"t2", "=", 
               RowBox[{
                RowBox[{"KG", "[", 
                 RowBox[{
                 "Ll", ",", "Ml", ",", "2", ",", "2", ",", "L", ",", "M"}], 
                 "]"}], "*", "\[IndentingNewLine]", 
                RowBox[{"KG", "[", 
                 RowBox[{
                 "L", ",", "M", ",", "2", ",", "2", ",", "Lp", ",", "Mp"}], 
                 "]"}]}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"t3", "=", 
               RowBox[{
                RowBox[{"KG", "[", 
                 RowBox[{"Ll", ",", "Ml", ",", "2", ",", 
                  RowBox[{"-", "2"}], ",", "L", ",", "M"}], "]"}], "*", 
                "\[IndentingNewLine]", 
                RowBox[{"KG", "[", 
                 RowBox[{"L", ",", "M", ",", "2", ",", 
                  RowBox[{"-", "2"}], ",", "Lp", ",", "Mp"}], "]"}]}]}], ";", 
              "\[IndentingNewLine]", 
              RowBox[{"tv", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"Sqrt", "[", 
                  RowBox[{"14", "/", "5"}], "]"}], "*", "t1"}], "+", "t2", 
                "+", "t3"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"ats1", "=", 
               RowBox[{"ats1", "+", "tv"}]}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"r1", "=", 
            RowBox[{"RML", "[", 
             RowBox[{
             "\[Mu]", ",", "\[Lambda]", ",", "i", ",", "L", ",", "il", ",", 
              "Ll", ",", "prec", ",", "qVisi"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"r2", "=", 
            RowBox[{"RML", "[", 
             RowBox[{
             "\[Mu]", ",", "\[Lambda]", ",", "ip", ",", "Lp", ",", "i", ",", 
              "L", ",", "prec", ",", "qVisi"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"ats", "=", 
            RowBox[{"ats", "+", 
             RowBox[{
              RowBox[{"1", "/", 
               RowBox[{"Sqrt", "[", 
                RowBox[{
                 RowBox[{"2", "*", "L"}], "+", "1"}], "]"}]}], "*", "ats1", 
              "*", "r1", "*", "r2"}]}]}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"2", "*", "Lp"}], "+", "1"}], "]"}]}], "*", "ats"}], "]"}], 
     ";"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.6965950878812847`*^9, 3.696595164695073*^9}, {
   3.696595204077209*^9, 3.6965956483628283`*^9}, {3.6965958933315687`*^9, 
   3.696595929160676*^9}, {3.696595966423051*^9, 3.696595979043852*^9}, {
   3.6965962178182707`*^9, 3.696596332849783*^9}, {3.6965963818519707`*^9, 
   3.6965968328234663`*^9}, {3.6965969840383997`*^9, 3.696596993487191*^9}, {
   3.69659702773744*^9, 3.69659712138752*^9}, {3.696597183790506*^9, 
   3.696597369968813*^9}, {3.696756542879863*^9, 3.696756779448571*^9}, {
   3.696916202875866*^9, 3.696916203408037*^9}, {3.6969189294113092`*^9, 
   3.696918930646531*^9}, {3.696919491359126*^9, 3.696919496322249*^9}, {
   3.696920983023795*^9, 3.696921150663252*^9}, {3.696921187122201*^9, 
   3.6969212089992037`*^9}, 3.6969212486921453`*^9, {3.6969221596784353`*^9, 
   3.696922256664651*^9}, {3.696922765245824*^9, 3.696922776732502*^9}, {
   3.696922847673451*^9, 3.696922875278623*^9}, {3.696923080834352*^9, 
   3.696923092948565*^9}, {3.696923431534596*^9, 3.696923436001315*^9}, {
   3.6969235370474653`*^9, 3.6969235673257523`*^9}, {3.69703546817181*^9, 
   3.6970354826857653`*^9}, {3.697269644928653*^9, 3.6972696453106747`*^9}, {
   3.7567863063692193`*^9, 3.7567865155208683`*^9}, {3.756786553600974*^9, 
   3.7567865605076103`*^9}, 3.7567866147760696`*^9, {3.7567866547156863`*^9, 
   3.756786756299158*^9}, 3.7567870132970257`*^9, {3.756787043532996*^9, 
   3.756787067034251*^9}, {3.756788387494722*^9, 3.75678843638791*^9}, {
   3.756788604084214*^9, 3.756788607225029*^9}, {3.756788638679785*^9, 
   3.7567886400079823`*^9}, {3.7567887892033253`*^9, 3.756788805766696*^9}, {
   3.7567889107565975`*^9, 3.756788919194562*^9}, 3.757218759255947*^9, 
   3.757218862573886*^9, {3.757218908404441*^9, 3.7572189099826527`*^9}, {
   3.7572189976560464`*^9, 3.7572190115942836`*^9}, {3.757219070675537*^9, 
   3.7572190857700796`*^9}, {3.7572192525444527`*^9, 3.757219276733225*^9}, {
   3.757219381364728*^9, 3.7572193861306067`*^9}, {3.7572231814356594`*^9, 
   3.757223194092561*^9}, 3.7573101165992265`*^9, {3.757310146788333*^9, 
   3.757310179977579*^9}, {3.7573102379806137`*^9, 3.757310258294197*^9}, {
   3.757315890858758*^9, 3.7573159143599744`*^9}, 3.75731599031709*^9, {
   3.7573162087192106`*^9, 3.7573162413771744`*^9}, {3.7573164260119057`*^9, 
   3.757316429762102*^9}, {3.7573164643732967`*^9, 3.7573164671234436`*^9}, {
   3.75731654820582*^9, 3.7573165739884157`*^9}, {3.7573197501101584`*^9, 
   3.7573197520946417`*^9}, {3.757319879445111*^9, 3.757319891398847*^9}, {
   3.7573201573659573`*^9, 3.757320223166313*^9}, {3.7573202696218824`*^9, 
   3.757320425192564*^9}, {3.7573227451628165`*^9, 3.757322761819968*^9}, 
   3.7573229060306573`*^9, 3.75732295378319*^9, {3.7573240747653685`*^9, 
   3.7573241025949574`*^9}, {3.7573242114757094`*^9, 3.757324213444542*^9}, {
   3.7573243030273733`*^9, 3.757324313670492*^9}, {3.7573243771793847`*^9, 
   3.7573243918676558`*^9}, 3.7573244505582423`*^9, {3.7573259522153497`*^9, 
   3.757325978482361*^9}, {3.7574729075506983`*^9, 3.757472911191518*^9}, {
   3.7574729759917965`*^9, 3.757472980867078*^9}, {3.7574731076862235`*^9, 
   3.7574731282185535`*^9}, {3.757473273430373*^9, 3.757473311526102*^9}, {
   3.7574733442465754`*^9, 3.7574733601849174`*^9}, {3.757473396514973*^9, 
   3.7574734364389277`*^9}, {3.7574734666436357`*^9, 3.75747351395863*^9}, {
   3.757473547413509*^9, 3.757473623511263*^9}, {3.7574737255478783`*^9, 
   3.7574737274073524`*^9}, {3.757473760737254*^9, 3.7574737911294537`*^9}, {
   3.757473823787426*^9, 3.757474010031597*^9}, 3.757474166992972*^9, {
   3.7574742038230333`*^9, 3.757474224105351*^9}, {3.7575583424406853`*^9, 
   3.757558386693018*^9}, 3.757560537526102*^9, {3.757567798544205*^9, 
   3.757567800559953*^9}, 3.7575720611988173`*^9, 3.757573356376335*^9, {
   3.7575733984254007`*^9, 3.757573409613489*^9}, {3.757690071141547*^9, 
   3.757690073547929*^9}, {3.75802714002385*^9, 3.7580272336694083`*^9}, {
   3.7580308736671286`*^9, 3.758030876261015*^9}, {3.758030943233287*^9, 
   3.7580309747505703`*^9}, {3.7580310430979176`*^9, 3.758031047691907*^9}, {
   3.7580310813343005`*^9, 3.7580311498535347`*^9}, {3.758038709503853*^9, 
   3.758038713175922*^9}, {3.760932929498559*^9, 3.760932935295738*^9}, 
   3.76639651726112*^9, 3.766396549037345*^9, {3.7663966574127345`*^9, 
   3.766396706976841*^9}, {3.76639678645793*^9, 3.7663969617690287`*^9}, {
   3.7663999082685804`*^9, 3.7663999091592484`*^9}, {3.7664012659513288`*^9, 
   3.7664012667838836`*^9}, {3.7664014598658514`*^9, 
   3.7664014780920267`*^9}, {3.766401576338649*^9, 3.76640158216354*^9}, {
   3.766401614638233*^9, 3.76640161914224*^9}, 3.7664515775085173`*^9, {
   3.7664516266673565`*^9, 3.766451652653097*^9}, {3.7806509691416273`*^9, 
   3.7806510215379105`*^9}, {3.780882964312275*^9, 3.7808829708891854`*^9}, {
   3.7808832257241917`*^9, 3.7808832910213394`*^9}, {3.780883547793285*^9, 
   3.780883560540282*^9}, {3.7808836088726635`*^9, 3.7808836658904963`*^9}, {
   3.780883708552342*^9, 3.780883713582406*^9}, {3.7823175850560865`*^9, 
   3.782317611206396*^9}, 3.782317647447651*^9, 3.782385927009848*^9, 
   3.782385959923977*^9, {3.7823860036480646`*^9, 3.782386142977476*^9}, 
   3.791895672950591*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H4QQBarMatrix", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "matm_", ",", "prec_", ",", "qVisi_"}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "H4QQBarMatrix", " ", "calculates", " ", "the", " ", 
    "matrix", " ", "of", " ", "the", " ", 
    SubscriptBox["H", 
     RowBox[{"4", "QQ"}]], " ", "operator", " ", "with", " ", "bars"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", 
    " ", 
    RowBox[{"\[Lambda]", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"matm", "  ", "-", " ", 
    RowBox[{"dimension", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representation", " ", 
     "for"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k1", ",", "k2", ",", "il", ",", "ip", ",", "K", ",",
       "Ks", ",", "Lmax", ",", "Lmaxs", ",", "Lstep", ",", "Lsteps", ",", 
      "Lmin", ",", "Lmins", ",", "Ll", ",", "Lp", ",", "Ml", ",", "Mp", ",", 
      "H4Q"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"H4Q", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"matm", ",", "matm"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"k1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "il"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", 
           RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
             RowBox[{"Lmin", "=", "0"}], ",", 
             RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmin", "=", "K"}], ";", 
           RowBox[{"Lstep", "=", "1"}], ";", 
           RowBox[{"Lmax", "=", 
            RowBox[{"\[Mu]", "-", 
             RowBox[{"2", "*", "il"}], "+", "\[Lambda]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", "Lmin"}], ",", 
          RowBox[{"Ll", "<=", "Lmax"}], ",", 
          RowBox[{"Ll", "=", 
           RowBox[{"Ll", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"Ml", "=", 
              RowBox[{"-", "Ll"}]}], ",", 
             RowBox[{"Ml", "<=", "Ll"}], ",", 
             RowBox[{"Ml", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"k1", "=", 
               RowBox[{"k1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"k2", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"ip", "=", "0"}], ",", 
                RowBox[{"ip", "<=", "\[Alpha]max"}], ",", 
                RowBox[{"ip", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Ks", "=", 
                  RowBox[{"\[Mu]", "-", 
                   RowBox[{"2", "*", "ip"}]}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "\[Equal]", "0"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmaxs", "=", "\[Lambda]"}], ";", 
                    RowBox[{"Lsteps", "=", "2"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
                    RowBox[{"Lmins", "=", "0"}], ",", 
                    RowBox[{"Lmins", "=", "1"}]}], "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "!=", "0"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmins", "=", "Ks"}], ";", 
                    RowBox[{"Lsteps", "=", "1"}], ";", 
                    RowBox[{"Lmaxs", "=", 
                    RowBox[{"\[Mu]", "-", 
                    RowBox[{"2", "*", "ip"}], "+", "\[Lambda]"}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"Lp", "=", "Lmins"}], ",", 
                   RowBox[{"Lp", "<=", "Lmaxs"}], ",", 
                   RowBox[{"Lp", "=", 
                    RowBox[{"Lp", "+", "Lsteps"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"Mp", "=", 
                    RowBox[{"-", "Lp"}]}], ",", 
                    RowBox[{"Mp", "<=", "Lp"}], ",", 
                    RowBox[{"Mp", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"k2", "=", 
                    RowBox[{"k2", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"H4Q", "[", 
                    RowBox[{"[", 
                    RowBox[{"k1", ",", "k2"}], "]"}], "]"}], "=", 
                    RowBox[{"H4QQBarElement", "[", 
                    RowBox[{
                    "\[Lambda]", ",", "\[Mu]", ",", "il", ",", "Ll", ",", 
                    "Ml", ",", "ip", ",", "Lp", ",", "Mp", ",", "prec", ",", 
                    "qVisi"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}],
                     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "H4Q", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7566544285801563`*^9, 3.7566544409714327`*^9}, 
   3.7566546310127*^9, {3.756654667420843*^9, 3.7566547448311863`*^9}, {
   3.7566547948650684`*^9, 3.756654830913819*^9}, {3.756654903698894*^9, 
   3.756654911621209*^9}, 3.7566551205540547`*^9, {3.7566551670252476`*^9, 
   3.756655173931881*^9}, {3.7566552329349604`*^9, 3.7566553399249663`*^9}, {
   3.7566553750674567`*^9, 3.756655401928224*^9}, {3.756655448680684*^9, 
   3.7566554606657124`*^9}, {3.756786179143777*^9, 3.7567862079265456`*^9}, 
   3.7572155583966584`*^9, {3.7572157272649107`*^9, 3.7572157457346325`*^9}, {
   3.7572158762571225`*^9, 3.757215880132325*^9}, 3.7572159223376703`*^9, {
   3.757216006217084*^9, 3.7572161155509577`*^9}, {3.757217543533931*^9, 
   3.757217563831854*^9}, {3.757320039344122*^9, 3.7573200771742373`*^9}, {
   3.7573227245054803`*^9, 3.757322731318339*^9}, {3.757324676257638*^9, 
   3.757324682398562*^9}, {3.757397970765443*^9, 3.7573980031421423`*^9}, {
   3.757472391960107*^9, 3.75747249343419*^9}, {3.7574726985865855`*^9, 
   3.7574727301663675`*^9}, 3.757472960569112*^9, {3.757558710226057*^9, 
   3.7575587136949887`*^9}, {3.7575593084137692`*^9, 
   3.7575593115389338`*^9}, {3.7575608990138655`*^9, 3.757560902435927*^9}, {
   3.7575721483596516`*^9, 3.7575721531099224`*^9}, {3.7575725167852745`*^9, 
   3.7575725191291533`*^9}, {3.7575735162909746`*^9, 3.757573518431733*^9}, {
   3.7576879492771316`*^9, 3.7576879565431585`*^9}, {3.757691315597641*^9, 
   3.7576913190978155`*^9}, {3.7580272808125052`*^9, 
   3.7580272851564827`*^9}, {3.758031253062087*^9, 3.758031368208765*^9}, {
   3.7580315650642757`*^9, 3.758031570236423*^9}, {3.7580386306090765`*^9, 
   3.7580386450316896`*^9}, {3.75803868245553*^9, 3.758038686315134*^9}, {
   3.758039211322583*^9, 3.75803930453059*^9}, {3.7580393378604655`*^9, 
   3.7580393623148794`*^9}, 3.7580393926914773`*^9, {3.758039434599928*^9, 
   3.7580394348343143`*^9}, 3.7580397649907045`*^9, {3.758039893450607*^9, 
   3.7580398938881044`*^9}, 3.758162573056305*^9, 3.7581628072873745`*^9, 
   3.758162882853854*^9, {3.758162989781353*^9, 3.7581629899376116`*^9}, {
   3.758163509136897*^9, 3.7581635093556786`*^9}, 3.7581636598635745`*^9, 
   3.7581681775965443`*^9, {3.758168234318269*^9, 3.758168244959454*^9}, 
   3.7581682930557337`*^9, 3.7581683713098497`*^9, 3.758168410561914*^9, {
   3.758168464799142*^9, 3.75816850945776*^9}, {3.7607163240322113`*^9, 
   3.7607163389392447`*^9}, {3.760932858385447*^9, 3.7609328726361933`*^9}, {
   3.7664012244265924`*^9, 3.7664012600043592`*^9}, {3.76640142457428*^9, 
   3.766401453447564*^9}, {3.766401516362591*^9, 3.76640153008976*^9}, {
   3.780651059562691*^9, 3.7806510747176485`*^9}, {3.7822716869803*^9, 
   3.782271700602095*^9}, {3.782316837156675*^9, 3.782316896692316*^9}, {
   3.782316948695709*^9, 3.782316953757053*^9}, {3.7823174298399363`*^9, 
   3.7823174646130056`*^9}, 3.782317626249834*^9, {3.782386208415204*^9, 
   3.7823862879461484`*^9}, 3.7896162094850464`*^9, {3.791895676070596*^9, 
   3.7918956785354004`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"HQL32BarElement", "[", 
   RowBox[{
   "\[Lambda]_", ",", "\[Mu]_", ",", "il_", ",", "Ll_", ",", "Ml_", ",", 
    "ip_", ",", "Lp_", ",", "Mp_", ",", "prec_", ",", "qVisi_"}], "]"}], ":=", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "HQL32BarElement", " ", "calculates", " ", "the", " ", 
    "matrix", " ", "element", " ", "of", " ", "the", " ", 
    SubscriptBox["H", 
     RowBox[{"3", "QL"}]], " ", "operator"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"with", " ", 
    RowBox[{"bars", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"il", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ll", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Ml", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "bra"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"ip", "    ", "-", " ", 
    RowBox[{
    "the", " ", "sequence", " ", "number", " ", "of", " ", "the", " ", 
     "given", " ", "orthonormalized", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state", " ", "in", " ", "the", " ", "list"}]}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "of", " ", "the", " ", "maximum", " ", "possible", " ", "number", " ", 
    "of", " ", "BM", " ", "states", " ", "for", " ", "given", " ", "value", 
    " ", "of", " ", "\[Mu]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Lp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "orbital", " ", "angular", " ", 
     "momentum", " ", "of", " ", "the", " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"Mp", "    ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "the", " ", "projection", " ", "of", " ", "the", 
     " ", "orbital", " ", "angular", " ", "momentum", " ", "of", " ", "the", 
     " ", "ket"}], "-", 
    RowBox[{"BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "i", ",", "L", ",", "M", ",", "ats", ",", "t1", ",", "term1", ",", 
      "term2", ",", "r1", ",", "m1", ",", "m2"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"i", "=", "ip"}], ";", "\[IndentingNewLine]", 
     RowBox[{"L", "=", "Lp"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"term1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Mp", 
        StyleBox["==", "OperatorCharacter"], 
        RowBox[{"Ml", "+", "2"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"m2", "=", 
           RowBox[{"-", "1"}]}], ",", 
          RowBox[{"m2", "\[LessEqual]", "1"}], ",", 
          RowBox[{"m2", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"m1", "=", 
            RowBox[{"2", "-", "m2"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Abs", "[", "m1", "]"}], ">", "2"}], ",", 
             RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"M", "=", 
            RowBox[{"Mp", "-", "m2"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Abs", "[", "M", "]"}], ">", "L"}], ",", 
             RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"t1", "=", 
            RowBox[{
             RowBox[{"KG", "[", 
              RowBox[{
              "2", ",", "m1", ",", "1", ",", "m2", ",", "3", ",", "2"}], 
              "]"}], "\[IndentingNewLine]", "*", 
             RowBox[{"KG", "[", 
              RowBox[{
              "Ll", ",", "Ml", ",", "2", ",", "m1", ",", "L", ",", "M"}], 
              "]"}], "\[IndentingNewLine]", "*", 
             RowBox[{"LkLab", "[", 
              RowBox[{
              "ip", ",", "Lp", ",", "Mp", ",", "m2", ",", "i", ",", "L", ",", 
               "M"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"term1", "=", 
            RowBox[{"term1", "+", "t1"}]}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"term2", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"Ml", 
        StyleBox["==", "OperatorCharacter"], 
        RowBox[{"Mp", "+", "2"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"m2", "=", 
           RowBox[{"-", "1"}]}], ",", 
          RowBox[{"m2", "\[LessEqual]", "1"}], ",", 
          RowBox[{"m2", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"m1", "=", 
            RowBox[{
             RowBox[{"-", "2"}], "-", "m2"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Abs", "[", "m1", "]"}], ">", "2"}], ",", 
             RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"M", "=", 
            RowBox[{"Mp", "-", "m2"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Abs", "[", "M", "]"}], ">", "L"}], ",", 
             RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"t1", "=", 
            RowBox[{
             RowBox[{"KG", "[", 
              RowBox[{"2", ",", "m1", ",", "1", ",", "m2", ",", "3", ",", 
               RowBox[{"-", "2"}]}], "]"}], "\[IndentingNewLine]", "*", 
             RowBox[{"KG", "[", 
              RowBox[{
              "Ll", ",", "Ml", ",", "2", ",", "m1", ",", "L", ",", "M"}], 
              "]"}], "\[IndentingNewLine]", "*", 
             RowBox[{"LkLab", "[", 
              RowBox[{
              "ip", ",", "Lp", ",", "Mp", ",", "m2", ",", "i", ",", "L", ",", 
               "M"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"term2", "=", 
            RowBox[{"term2", "+", "t1"}]}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"term1", "-", "term2"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"ats", 
        StyleBox["\[Equal]", "OperatorCharacter"], "0"}], ",", 
       RowBox[{
        RowBox[{"Return", "[", "0", "]"}], ";"}]}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"r1", "=", 
      RowBox[{"RML", "[", 
       RowBox[{
       "\[Mu]", ",", "\[Lambda]", ",", "i", ",", "L", ",", "il", ",", "Ll", 
        ",", "prec", ",", "qVisi"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"ats", "=", 
      RowBox[{"ats", "*", 
       RowBox[{"r1", "/", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"2", "*", "L"}], "+", "1"}], "]"}]}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "ats", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6965950878812847`*^9, 3.696595164695073*^9}, {
   3.696595204077209*^9, 3.6965956483628283`*^9}, {3.6965958933315687`*^9, 
   3.696595929160676*^9}, {3.696595966423051*^9, 3.696595979043852*^9}, {
   3.6965962178182707`*^9, 3.696596332849783*^9}, {3.6965963818519707`*^9, 
   3.6965968328234663`*^9}, {3.6965969840383997`*^9, 3.696596993487191*^9}, {
   3.69659702773744*^9, 3.69659712138752*^9}, {3.696597183790506*^9, 
   3.696597369968813*^9}, {3.696756542879863*^9, 3.696756779448571*^9}, {
   3.696916202875866*^9, 3.696916203408037*^9}, {3.6969189294113092`*^9, 
   3.696918930646531*^9}, {3.696919491359126*^9, 3.696919496322249*^9}, {
   3.696920983023795*^9, 3.696921150663252*^9}, {3.696921187122201*^9, 
   3.6969212089992037`*^9}, 3.6969212486921453`*^9, {3.6969221596784353`*^9, 
   3.696922256664651*^9}, {3.696922765245824*^9, 3.696922776732502*^9}, {
   3.696922847673451*^9, 3.696922875278623*^9}, {3.696923080834352*^9, 
   3.696923092948565*^9}, {3.696923431534596*^9, 3.696923436001315*^9}, {
   3.6969235370474653`*^9, 3.6969235673257523`*^9}, {3.69703546817181*^9, 
   3.6970354826857653`*^9}, {3.697269644928653*^9, 3.6972696453106747`*^9}, {
   3.7567863063692193`*^9, 3.7567865155208683`*^9}, {3.756786553600974*^9, 
   3.7567865605076103`*^9}, 3.7567866147760696`*^9, {3.7567866547156863`*^9, 
   3.756786756299158*^9}, 3.7567870132970257`*^9, {3.756787043532996*^9, 
   3.756787067034251*^9}, {3.756788387494722*^9, 3.75678843638791*^9}, {
   3.756788604084214*^9, 3.756788607225029*^9}, {3.756788638679785*^9, 
   3.7567886400079823`*^9}, {3.7567887892033253`*^9, 3.756788805766696*^9}, {
   3.7567889107565975`*^9, 3.756788919194562*^9}, 3.757218759255947*^9, 
   3.757218862573886*^9, {3.757218908404441*^9, 3.7572189099826527`*^9}, {
   3.7572189976560464`*^9, 3.7572190115942836`*^9}, {3.757219070675537*^9, 
   3.7572190857700796`*^9}, {3.7572192525444527`*^9, 3.757219276733225*^9}, {
   3.757219381364728*^9, 3.7572193861306067`*^9}, {3.7572231814356594`*^9, 
   3.757223194092561*^9}, 3.7573101165992265`*^9, {3.757310146788333*^9, 
   3.757310179977579*^9}, {3.7573102379806137`*^9, 3.757310258294197*^9}, {
   3.757315890858758*^9, 3.7573159143599744`*^9}, 3.75731599031709*^9, {
   3.7573162087192106`*^9, 3.7573162413771744`*^9}, {3.7573164260119057`*^9, 
   3.757316429762102*^9}, {3.7573164643732967`*^9, 3.7573164671234436`*^9}, {
   3.75731654820582*^9, 3.7573165739884157`*^9}, {3.7573197501101584`*^9, 
   3.7573197520946417`*^9}, {3.757319879445111*^9, 3.757319891398847*^9}, {
   3.7573201573659573`*^9, 3.757320223166313*^9}, {3.7573202696218824`*^9, 
   3.757320425192564*^9}, {3.7573227451628165`*^9, 3.757322761819968*^9}, 
   3.7573229060306573`*^9, 3.75732295378319*^9, {3.7573240747653685`*^9, 
   3.7573241025949574`*^9}, {3.7573242114757094`*^9, 3.757324213444542*^9}, {
   3.7573243030273733`*^9, 3.757324313670492*^9}, {3.7573243771793847`*^9, 
   3.7573243918676558`*^9}, 3.7573244505582423`*^9, {3.7573259522153497`*^9, 
   3.757325978482361*^9}, {3.7574729075506983`*^9, 3.757472911191518*^9}, {
   3.7574729759917965`*^9, 3.757472980867078*^9}, {3.7574731076862235`*^9, 
   3.7574731282185535`*^9}, {3.757473273430373*^9, 3.757473311526102*^9}, {
   3.7574733442465754`*^9, 3.7574733601849174`*^9}, {3.757473396514973*^9, 
   3.7574734364389277`*^9}, {3.7574734666436357`*^9, 3.75747351395863*^9}, {
   3.757473547413509*^9, 3.757473623511263*^9}, {3.7574737255478783`*^9, 
   3.7574737274073524`*^9}, {3.757473760737254*^9, 3.7574737911294537`*^9}, {
   3.757473823787426*^9, 3.757474010031597*^9}, 3.757474166992972*^9, {
   3.7574742038230333`*^9, 3.757474224105351*^9}, {3.7575583424406853`*^9, 
   3.757558386693018*^9}, 3.757560537526102*^9, {3.757567798544205*^9, 
   3.757567800559953*^9}, 3.7575720611988173`*^9, 3.757573356376335*^9, {
   3.7575733984254007`*^9, 3.757573409613489*^9}, {3.757690071141547*^9, 
   3.757690073547929*^9}, {3.75802714002385*^9, 3.7580272336694083`*^9}, {
   3.7580308736671286`*^9, 3.758030876261015*^9}, {3.758030943233287*^9, 
   3.7580309747505703`*^9}, {3.7580310430979176`*^9, 3.758031047691907*^9}, {
   3.7580310813343005`*^9, 3.7580311498535347`*^9}, {3.758038709503853*^9, 
   3.758038713175922*^9}, {3.760932929498559*^9, 3.760932935295738*^9}, {
   3.766380496099668*^9, 3.7663805551340284`*^9}, {3.7663989877191067`*^9, 
   3.7663989881410017`*^9}, {3.7663990203770723`*^9, 3.766399025986742*^9}, {
   3.76639911966354*^9, 3.76639917338514*^9}, {3.7663992149967036`*^9, 
   3.7663992566394987`*^9}, {3.7663993459723186`*^9, 
   3.7663993502225623`*^9}, {3.76639940408475*^9, 3.766399444368122*^9}, {
   3.7664511285912676`*^9, 3.7664512231930103`*^9}, {3.766451362169066*^9, 
   3.7664514479079523`*^9}, {3.7664515052547164`*^9, 3.7664515172084947`*^9}, 
   3.766543024378689*^9, 3.7665431751991215`*^9, {3.7665432059819937`*^9, 
   3.7665432335303173`*^9}, 3.766543263563145*^9, {3.766543293689926*^9, 
   3.7665433875386114`*^9}, {3.766543484871832*^9, 3.766543491153417*^9}, 
   3.7665435776736126`*^9, {3.76654365972478*^9, 3.766543711415002*^9}, {
   3.766543746541859*^9, 3.766543762277049*^9}, {3.76654381337351*^9, 
   3.7665438428750367`*^9}, {3.7809239166311884`*^9, 
   3.7809239764166355`*^9}, {3.7809240414794545`*^9, 3.780924074737253*^9}, {
   3.780924148425485*^9, 3.7809241577670336`*^9}, {3.780924292391911*^9, 
   3.7809243229000535`*^9}, {3.7809243855284405`*^9, 
   3.7809244484824305`*^9}, {3.7809244879887075`*^9, 3.78092453688581*^9}, 
   3.7809245762828007`*^9, {3.78092526736458*^9, 3.780925309073584*^9}, {
   3.780925441185407*^9, 3.7809254637736425`*^9}, {3.7809255088411617`*^9, 
   3.780925524790537*^9}, {3.780925851358361*^9, 3.780925933713983*^9}, {
   3.780926018258091*^9, 3.780926029021185*^9}, {3.7809262407709446`*^9, 
   3.780926293305505*^9}, {3.7810993050917854`*^9, 3.781099357646738*^9}, {
   3.78109966773511*^9, 3.7810998797346787`*^9}, 3.7811007654281006`*^9, {
   3.7811008032317047`*^9, 3.7811008103709707`*^9}, {3.781101004674082*^9, 
   3.7811010237478223`*^9}, {3.7811011102898273`*^9, 
   3.7811011451722918`*^9}, {3.7811043014823494`*^9, 3.7811043159320645`*^9}, 
   3.7815844490006776`*^9, {3.781585089542981*^9, 3.781585118775234*^9}, {
   3.781665237961336*^9, 3.781665246845496*^9}, {3.7816653931893206`*^9, 
   3.7816653947017126`*^9}, 3.781665455354916*^9, {3.781665649170965*^9, 
   3.7816656595862055`*^9}, {3.781665756647792*^9, 3.7816657750488424`*^9}, {
   3.7816658167589283`*^9, 3.781665882923218*^9}, 3.781665914042139*^9, {
   3.7816659972877884`*^9, 3.7816660043827963`*^9}, {3.781781297081794*^9, 
   3.7817813439211893`*^9}, {3.781781504443635*^9, 3.7817815145818777`*^9}, {
   3.781781595162032*^9, 3.7817816141911535`*^9}, {3.781781719767556*^9, 
   3.781781728468331*^9}, {3.781782047794283*^9, 3.7817820736502714`*^9}, {
   3.781782546956824*^9, 3.781782559953766*^9}, {3.7817828505727406`*^9, 
   3.7817828543846483`*^9}, {3.781782958659017*^9, 3.781782964470147*^9}, {
   3.781783027064796*^9, 3.7817831048458166`*^9}, {3.781783245627033*^9, 
   3.781783247798394*^9}, {3.7817833957010946`*^9, 3.781783396966422*^9}, {
   3.7817906058354206`*^9, 3.7817906115059624`*^9}, {3.781790650871697*^9, 
   3.7817907303864937`*^9}, {3.7817919794218783`*^9, 3.78179199301243*^9}, {
   3.7817920278948865`*^9, 3.781792049233904*^9}, {3.781792142198424*^9, 
   3.7817921501809206`*^9}, {3.7817923732715187`*^9, 3.781792414745813*^9}, {
   3.7817924528930874`*^9, 3.781792498869028*^9}, {3.78179254624881*^9, 
   3.781792550169462*^9}, {3.7817944055301137`*^9, 3.781794413028349*^9}, {
   3.781794459189364*^9, 3.781794493915574*^9}, {3.78180148562855*^9, 
   3.7818015132026577`*^9}, {3.781801748821368*^9, 3.781801780673206*^9}, {
   3.781802171913591*^9, 3.78180217814676*^9}, 3.7819231514190164`*^9, 
   3.7819235992096577`*^9, 3.781930225218775*^9, {3.7819302639777517`*^9, 
   3.7819302843638425`*^9}, {3.782317227666584*^9, 3.7823172282133274`*^9}, {
   3.782317275171026*^9, 3.782317312506304*^9}, {3.78231771938385*^9, 
   3.7823177216961293`*^9}, {3.7823870046323524`*^9, 3.7823870611037483`*^9}, 
   3.782387364802701*^9, 3.790997550290138*^9, 3.7918956825446076`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H3QLBarMatrix", "[", 
   RowBox[{
   "\[Mu]_", ",", "\[Lambda]_", ",", "matm_", ",", "prec_", ",", "qVisi_"}], 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "H3QLBarMatrix", " ", "calculates", " ", "the", " ", 
    "matrix", " ", "of", " ", "the", " ", 
    SubscriptBox["H", 
     RowBox[{"3", "QL"}]], " ", "operator", " ", "with", " ", "bars"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", 
    " ", 
    RowBox[{"\[Lambda]", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"matm", "  ", "-", " ", 
    RowBox[{"dimension", " ", "of", " ", "the", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representation", " ", 
     "for"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "         ", 
   RowBox[{
   "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"qVisi", " ", "-", " ", 
    RowBox[{
    "the", " ", "matrix", " ", "of", " ", "the", " ", "precalculated", " ", 
     "coefficients", " ", 
     SubsuperscriptBox["q", "ijk", 
      RowBox[{"(", "\[Lambda]\[Mu]", ")"}]]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
     "\[Alpha]max", ",", "k1", ",", "k2", ",", "il", ",", "ip", ",", "K", ",",
       "Ks", ",", "Lmax", ",", "Lmaxs", ",", "Lstep", ",", "Lsteps", ",", 
      "Lmin", ",", "Lmins", ",", "Ll", ",", "Lp", ",", "Ml", ",", "Mp", ",", 
      "H4Q"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"H4Q", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"matm", ",", "matm"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"k1", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"il", "=", "0"}], ",", 
       RowBox[{"il", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"il", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "il"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", 
           RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
             RowBox[{"Lmin", "=", "0"}], ",", 
             RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmin", "=", "K"}], ";", 
           RowBox[{"Lstep", "=", "1"}], ";", 
           RowBox[{"Lmax", "=", 
            RowBox[{"\[Mu]", "-", 
             RowBox[{"2", "*", "il"}], "+", "\[Lambda]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Ll", "=", "Lmin"}], ",", 
          RowBox[{"Ll", "<=", "Lmax"}], ",", 
          RowBox[{"Ll", "=", 
           RowBox[{"Ll", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"Ml", "=", 
              RowBox[{"-", "Ll"}]}], ",", 
             RowBox[{"Ml", "<=", "Ll"}], ",", 
             RowBox[{"Ml", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"k1", "=", 
               RowBox[{"k1", "+", "1"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"k2", "=", "0"}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"ip", "=", "0"}], ",", 
                RowBox[{"ip", "<=", "\[Alpha]max"}], ",", 
                RowBox[{"ip", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Ks", "=", 
                  RowBox[{"\[Mu]", "-", 
                   RowBox[{"2", "*", "ip"}]}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "\[Equal]", "0"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmaxs", "=", "\[Lambda]"}], ";", 
                    RowBox[{"Lsteps", "=", "2"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
                    RowBox[{"Lmins", "=", "0"}], ",", 
                    RowBox[{"Lmins", "=", "1"}]}], "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{"Ks", "!=", "0"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"Lmins", "=", "Ks"}], ";", 
                    RowBox[{"Lsteps", "=", "1"}], ";", 
                    RowBox[{"Lmaxs", "=", 
                    RowBox[{"\[Mu]", "-", 
                    RowBox[{"2", "*", "ip"}], "+", "\[Lambda]"}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"Lp", "=", "Lmins"}], ",", 
                   RowBox[{"Lp", "<=", "Lmaxs"}], ",", 
                   RowBox[{"Lp", "=", 
                    RowBox[{"Lp", "+", "Lsteps"}]}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"Mp", "=", 
                    RowBox[{"-", "Lp"}]}], ",", 
                    RowBox[{"Mp", "<=", "Lp"}], ",", 
                    RowBox[{"Mp", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"k2", "=", 
                    RowBox[{"k2", "+", "1"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"H4Q", "[", 
                    RowBox[{"[", 
                    RowBox[{"k1", ",", "k2"}], "]"}], "]"}], "=", 
                    RowBox[{"HQL32BarElement", "[", 
                    RowBox[{
                    "\[Lambda]", ",", "\[Mu]", ",", "il", ",", "Ll", ",", 
                    "Ml", ",", "ip", ",", "Lp", ",", "Mp", ",", "prec", ",", 
                    "qVisi"}], "]"}]}], ";"}]}], "\[IndentingNewLine]", "]"}],
                     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "H4Q", "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.7566544285801563`*^9, 3.7566544409714327`*^9}, 
   3.7566546310127*^9, {3.756654667420843*^9, 3.7566547448311863`*^9}, {
   3.7566547948650684`*^9, 3.756654830913819*^9}, {3.756654903698894*^9, 
   3.756654911621209*^9}, 3.7566551205540547`*^9, {3.7566551670252476`*^9, 
   3.756655173931881*^9}, {3.7566552329349604`*^9, 3.7566553399249663`*^9}, {
   3.7566553750674567`*^9, 3.756655401928224*^9}, {3.756655448680684*^9, 
   3.7566554606657124`*^9}, {3.756786179143777*^9, 3.7567862079265456`*^9}, 
   3.7572155583966584`*^9, {3.7572157272649107`*^9, 3.7572157457346325`*^9}, {
   3.7572158762571225`*^9, 3.757215880132325*^9}, 3.7572159223376703`*^9, {
   3.757216006217084*^9, 3.7572161155509577`*^9}, {3.757217543533931*^9, 
   3.757217563831854*^9}, {3.757320039344122*^9, 3.7573200771742373`*^9}, {
   3.7573227245054803`*^9, 3.757322731318339*^9}, {3.757324676257638*^9, 
   3.757324682398562*^9}, {3.757397970765443*^9, 3.7573980031421423`*^9}, {
   3.757472391960107*^9, 3.75747249343419*^9}, {3.7574726985865855`*^9, 
   3.7574727301663675`*^9}, 3.757472960569112*^9, {3.757558710226057*^9, 
   3.7575587136949887`*^9}, {3.7575593084137692`*^9, 
   3.7575593115389338`*^9}, {3.7575608990138655`*^9, 3.757560902435927*^9}, {
   3.7575721483596516`*^9, 3.7575721531099224`*^9}, {3.7575725167852745`*^9, 
   3.7575725191291533`*^9}, {3.7575735162909746`*^9, 3.757573518431733*^9}, {
   3.7576879492771316`*^9, 3.7576879565431585`*^9}, {3.757691315597641*^9, 
   3.7576913190978155`*^9}, {3.7580272808125052`*^9, 
   3.7580272851564827`*^9}, {3.758031253062087*^9, 3.758031368208765*^9}, {
   3.7580315650642757`*^9, 3.758031570236423*^9}, {3.7580386306090765`*^9, 
   3.7580386450316896`*^9}, {3.75803868245553*^9, 3.758038686315134*^9}, {
   3.758039211322583*^9, 3.75803930453059*^9}, {3.7580393378604655`*^9, 
   3.7580393623148794`*^9}, 3.7580393926914773`*^9, {3.758039434599928*^9, 
   3.7580394348343143`*^9}, 3.7580397649907045`*^9, {3.758039893450607*^9, 
   3.7580398938881044`*^9}, 3.758162573056305*^9, 3.7581628072873745`*^9, 
   3.758162882853854*^9, {3.758162989781353*^9, 3.7581629899376116`*^9}, {
   3.758163509136897*^9, 3.7581635093556786`*^9}, 3.7581636598635745`*^9, 
   3.7581681775965443`*^9, {3.758168234318269*^9, 3.758168244959454*^9}, 
   3.7581682930557337`*^9, 3.7581683713098497`*^9, 3.758168410561914*^9, {
   3.758168464799142*^9, 3.75816850945776*^9}, {3.7607163240322113`*^9, 
   3.7607163389392447`*^9}, {3.760932858385447*^9, 3.7609328726361933`*^9}, {
   3.7663803399664593`*^9, 3.7663804188299828`*^9}, {3.7663805715255136`*^9, 
   3.7663805971674876`*^9}, 3.766390339239192*^9, 3.7663990345965896`*^9, {
   3.766399101865753*^9, 3.7663991028501596`*^9}, {3.7663994608690104`*^9, 
   3.7663994790730815`*^9}, 3.7665429704852524`*^9, 3.76654301290936*^9, {
   3.766543854969447*^9, 3.7665438622198057`*^9}, {3.7809246239122553`*^9, 
   3.7809246408301325`*^9}, {3.7811007388721647`*^9, 
   3.7811007494943542`*^9}, {3.781790326664839*^9, 3.7817903646402783`*^9}, 
   3.7817904141911187`*^9, {3.7817921149079742`*^9, 3.781792123546563*^9}, {
   3.7818016933343782`*^9, 3.7818017120646534`*^9}, 3.7819229561347227`*^9, 
   3.7819230226500034`*^9, {3.7822748213108397`*^9, 3.7822748299810123`*^9}, {
   3.7823169744712076`*^9, 3.782317020147642*^9}, 3.78231723924198*^9, {
   3.7823176875475903`*^9, 3.7823176894846478`*^9}, {3.7823585893174734`*^9, 
   3.7823585988464804`*^9}, {3.7823586329325204`*^9, 
   3.7823586347130547`*^9}, {3.782358676534283*^9, 3.782358727975616*^9}, {
   3.782387115778068*^9, 3.7823871735638733`*^9}, 3.7823873525868263`*^9, 
   3.7896162121716194`*^9, {3.791895686553815*^9, 3.791895687739417*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Lboundaries", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Lboundaries", " ", "outputs", " ", "the", " ", 
    "boundaries", " ", "of", " ", "the", " ", "possible", " ", "values"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "of", " ", "the", " ", "L", " ", "of", " ", "the", " ", "BM", " ", "basis",
     " ", "for", " ", "the", " ", "given", " ", "\[Mu]", " ", "and", " ", 
    "\[Lambda]", " ", 
    RowBox[{"values", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "output"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    SubsuperscriptBox["L", "min", "one"], "   ", "-", " ", 
    RowBox[{
    "minimal", " ", "value", " ", "of", " ", "L", " ", "for", " ", "which", 
     " ", "there", " ", "exists", " ", "at", " ", "least", " ", "one", " ", 
     "BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    SubsuperscriptBox["L", "min", "all"], "   ", "-", " ", 
    RowBox[{
    "minimal", " ", "value", " ", "of", " ", "L", " ", "for", " ", "which", 
     " ", "there", " ", "exists", " ", "maximum", " ", "number", " ", "of", 
     " ", "BM", " ", "states"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    SubsuperscriptBox["L", "max", "all"], "   ", "-", " ", 
    RowBox[{
    "maximal", " ", "value", " ", "of", " ", "L", " ", "for", " ", "which", 
     " ", "there", " ", "exists", " ", "maximum", " ", "number", " ", "of", 
     " ", "BM", " ", "states"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    SubsuperscriptBox["L", "max", "one"], "   ", "-", " ", 
    RowBox[{
    "maximal", " ", "value", " ", "of", " ", "L", " ", "for", " ", "which", 
     " ", "there", " ", "exists", " ", "at", " ", "least", " ", "one", " ", 
     "BM", " ", "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "K", ",", "Lmin", ",", "Lmax", ",", "Lstep", ",", "Lminp", ",", "Lminpp",
       ",", "Lmaxp", ",", "Lmaxpp", ",", "\[Alpha]max", ",", "\[Alpha]maxK", 
      ",", "\[Alpha]minK", ",", "atsak"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"atsak", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Lmaxp", "=", 
      RowBox[{"\[Mu]", "+", "\[Lambda]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"K", "=", 
      RowBox[{"\[Mu]", "-", 
       RowBox[{"2", "*", "\[Alpha]max"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmaxpp", "=", "\[Lambda]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
          RowBox[{"Lminp", "=", "0"}], ",", 
          RowBox[{"Lminp", "=", "1"}]}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmaxpp", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "\[Alpha]max"}], "+", "\[Lambda]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Lminp", "=", "K"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"K", "=", "\[Mu]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmax", "=", "\[Lambda]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
          RowBox[{"Lmin", "=", "0"}], ",", 
          RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Lmax", "=", 
         RowBox[{"\[Mu]", "+", "\[Lambda]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Lstep", "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Lmin", "=", "K"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"Lminpp", "=", "Lmin"}], ",", 
       RowBox[{"Lminpp", "<=", "Lmax"}], ",", 
       RowBox[{"Lminpp", "=", 
        RowBox[{"Lminpp", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Alpha]maxK", "=", 
         RowBox[{"AlphamaxK", "[", 
          RowBox[{"\[Mu]", ",", "Lminpp", ",", "\[Lambda]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]minK", "=", 
         RowBox[{"AlphaminK", "[", 
          RowBox[{"\[Mu]", ",", "Lminpp", ",", "\[Lambda]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[Alpha]minK", "\[Equal]", "0"}], "&&", 
           RowBox[{"\[Alpha]maxK", "==", "\[Alpha]max"}]}], ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}], ";"}]}], 
      "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"atsak", "=", 
      RowBox[{"{", 
       RowBox[{"Lminp", ",", "Lminpp", ",", "Lmaxpp", ",", "Lmaxp"}], "}"}]}],
      ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<\!\(\*SubsuperscriptBox[\(L\), \(min\), \(one\)]\)=\>\"", ",", 
         "Lminp", ",", 
         "\"\<, \!\(\*SubsuperscriptBox[\(L\), \(min\), \(all\)]\)=\>\"", ",",
          "Lminpp", ",", 
         "\"\<, \!\(\*SubsuperscriptBox[\(L\), \(max\), \(all\)]\)=\>\"", ",",
          "Lmaxpp", ",", 
         "\"\<, \!\(\*SubsuperscriptBox[\(L\), \(max\), \(one\)]\)=\>\"", ",",
          "Lmaxp"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "atsak", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.761832852046376*^9, 3.7618328611336603`*^9}, {
   3.7618329353758526`*^9, 3.7618329520911446`*^9}, {3.7619181551585426`*^9, 
   3.761918170409369*^9}, {3.7619182364284487`*^9, 3.7619182376628857`*^9}, {
   3.7619182816495743`*^9, 3.7619182905094156`*^9}, {3.761918348668745*^9, 
   3.7619184202818875`*^9}, {3.76191845636189*^9, 3.761918600682001*^9}, 
   3.761918648043866*^9, {3.761918738173606*^9, 3.7619187841604013`*^9}, {
   3.7619188767277684`*^9, 3.761918983670868*^9}, {3.761919052940161*^9, 
   3.761919074097525*^9}, {3.7619199614846945`*^9, 3.761920013799924*^9}, {
   3.761920044348404*^9, 3.76192005055188*^9}, {3.7619205007005463`*^9, 
   3.7619205149825563`*^9}, {3.761920550703165*^9, 3.7619206018464766`*^9}, {
   3.7619206377546225`*^9, 3.7619206695375586`*^9}, {3.7619207069613805`*^9, 
   3.761920733212781*^9}, {3.761920842499782*^9, 3.761920931629471*^9}, {
   3.761921166360567*^9, 3.761921176579829*^9}, {3.761921216581935*^9, 
   3.761921256396533*^9}, {3.7619213470419445`*^9, 3.7619213854970694`*^9}, 
   3.761921571709988*^9, {3.7619245478581886`*^9, 3.7619245534209766`*^9}, {
   3.7619245856883*^9, 3.7619245869539905`*^9}, 3.761924625159124*^9, {
   3.761924706866547*^9, 3.76192473086781*^9}, {3.761924867906292*^9, 
   3.7619248850790553`*^9}, {3.7619249818810143`*^9, 3.761924991194006*^9}, {
   3.761925037696449*^9, 3.7619250665885963`*^9}, {3.761925126138598*^9, 
   3.7619251444989433`*^9}, {3.7619252087054663`*^9, 
   3.7619252209717116`*^9}, {3.7619252525827503`*^9, 
   3.7619252556141834`*^9}, {3.761926195211398*^9, 3.7619262074151416`*^9}, {
   3.7619262422450976`*^9, 3.7619262531362977`*^9}, {3.76209820131067*^9, 
   3.7620982119107523`*^9}, {3.762098389489545*^9, 3.762098453991851*^9}, {
   3.76209849501389*^9, 3.7620985005145607`*^9}, 3.7620985342897053`*^9, {
   3.7620985992755747`*^9, 3.7620986669074173`*^9}, 3.762098730053075*^9, 
   3.762099863573383*^9, {3.790566030887324*^9, 3.790566049871165*^9}, {
   3.790566085183506*^9, 3.7905661551990695`*^9}, {3.790566344447358*^9, 
   3.7905663483517113`*^9}, {3.7905676678764353`*^9, 
   3.7905676717752285`*^9}, {3.7905677368632402`*^9, 3.7905677399961524`*^9}, 
   3.7910425240479*^9, 3.7910437656777067`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Aboundaries", "[", 
   RowBox[{"\[Mu]_", ",", "L_", ",", "\[Lambda]_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "Aboundaries", " ", "outputs", " ", "the", " ", 
    "boundaries", " ", "of", " ", "the", " ", "possible", " ", "values"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "of", " ", "the", " ", "index", " ", "\[Alpha]", " ", "of", " ", "the", 
     " ", "BM", " ", "basis", " ", "for", " ", "the", " ", "given", " ", 
     "values", " ", "of", " ", "\[Mu]"}], ",", " ", 
    RowBox[{"\[Lambda]", " ", "and", " ", 
     RowBox[{"L", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"L", "     ", "-", " ", 
    RowBox[{
    "value", " ", "of", " ", "orbital", " ", "angular", " ", "momentum"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "output"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    SubscriptBox["\[Alpha]", "minK"], "  ", "-", " ", 
    RowBox[{
    "minimum", " ", "value", " ", "of", " ", "\[Alpha]", " ", "for", " ", 
     "which", " ", "there", " ", "exist", " ", "the", " ", "BM", " ", 
     "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    SubscriptBox["\[Alpha]", "maxK"], "  ", "-", " ", 
    RowBox[{
    "maximum", " ", "value", " ", "of", " ", "\[Alpha]", " ", "for", " ", 
     "which", " ", "there", " ", "exist", " ", "the", " ", "BM", " ", 
     "state"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"dim", 
     RowBox[{"(", "A", ")"}]}], "-", " ", 
    RowBox[{
    "dimension", " ", "of", " ", "the", " ", "orthonormalization", " ", 
     "matrix", " ", "with", " ", "nonzero", " ", "matrix", " ", 
     "elements"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\[Alpha]maxK", ",", "\[Alpha]minK", ",", "\[Alpha]", ",", "\[Alpha]max",
       ",", "K", ",", "Lmax", ",", "Lstep", ",", "Lmin", ",", "zyme", ",", 
      "Lp"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<\[Mu]=\>\"", ",", "\[Mu]", ",", "\"\<, \[Lambda]=\>\"", ",", 
        "\[Lambda]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"zyme", "=", "0"}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]max", "=", 
      RowBox[{"Quotient", "[", 
       RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"\[Alpha]", "=", "0"}], ",", 
       RowBox[{"\[Alpha]", "<=", "\[Alpha]max"}], ",", 
       RowBox[{"\[Alpha]", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"K", "=", 
         RowBox[{"\[Mu]", "-", 
          RowBox[{"2", "*", "\[Alpha]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmax", "=", "\[Lambda]"}], ";", 
           RowBox[{"Lstep", "=", "2"}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"EvenQ", "[", "\[Lambda]", "]"}], ",", 
             RowBox[{"Lmin", "=", "0"}], ",", 
             RowBox[{"Lmin", "=", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"K", "!=", "0"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Lmin", "=", "K"}], ";", 
           RowBox[{"Lstep", "=", "1"}], ";", 
           RowBox[{"Lmax", "=", 
            RowBox[{"\[Mu]", "-", 
             RowBox[{"2", "*", "\[Alpha]"}], "+", "\[Lambda]"}]}]}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Alpha]=\>\"", ",", "\[Alpha]", ",", "\"\<, K=\>\"", ",", 
            "K", ",", "\"\<, Lmin=\>\"", ",", "Lmin", ",", "\"\<, Lmax=\>\"", 
            ",", "Lmax", ",", "\"\<, Lstep=\>\"", ",", "Lstep"}], "]"}], 
          ";"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"Lp", "=", "Lmin"}], ",", 
          RowBox[{"Lp", "<=", "Lmax"}], ",", 
          RowBox[{"Lp", "=", 
           RowBox[{"Lp", "+", "Lstep"}]}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"L", "\[Equal]", "Lp"}], ",", 
             RowBox[{
              RowBox[{"zyme", "=", "1"}], ";"}]}], "]"}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"zyme", "==", "0"}], ",", 
       RowBox[{
        RowBox[{"Print", "[", 
         RowBox[{"\"\<Aboundaries: not allowed L=\>\"", ",", "L"}], "]"}], 
        ";", 
        RowBox[{"Quit", "[", "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]maxK", "=", 
      RowBox[{"AlphamaxK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Alpha]minK", "=", 
      RowBox[{"AlphaminK", "[", 
       RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"atsak", "=", 
      RowBox[{"{", 
       RowBox[{"\[Alpha]minK", ",", "\[Alpha]maxK", ",", 
        RowBox[{"\[Alpha]maxK", "-", "\[Alpha]minK", "+", "1"}]}], "}"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<\!\(\*SubscriptBox[\(\[Alpha]\), \(minK\)]\)=\>\"", ",", 
         "\[Alpha]minK", ",", 
         "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(maxK\)]\)=\>\"", ",", 
         "\[Alpha]maxK", ",", "\"\<, dim(A)=\>\"", ",", 
         RowBox[{"\[Alpha]maxK", "-", "\[Alpha]minK", "+", "1"}]}], "]"}], 
       ";"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "atsak", "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.761832852046376*^9, 3.7618328611336603`*^9}, {
   3.7618329353758526`*^9, 3.7618329520911446`*^9}, {3.7619181551585426`*^9, 
   3.761918170409369*^9}, {3.7619182364284487`*^9, 3.7619182376628857`*^9}, {
   3.7619182816495743`*^9, 3.7619182905094156`*^9}, {3.761918348668745*^9, 
   3.7619184202818875`*^9}, {3.76191845636189*^9, 3.761918600682001*^9}, 
   3.761918648043866*^9, {3.761918738173606*^9, 3.7619187841604013`*^9}, {
   3.7619188767277684`*^9, 3.761918983670868*^9}, {3.761919052940161*^9, 
   3.761919074097525*^9}, {3.7619199614846945`*^9, 3.761920013799924*^9}, {
   3.761920044348404*^9, 3.76192005055188*^9}, {3.7619205007005463`*^9, 
   3.7619205149825563`*^9}, {3.761920550703165*^9, 3.7619206018464766`*^9}, {
   3.7619206377546225`*^9, 3.7619206695375586`*^9}, {3.7619207069613805`*^9, 
   3.761920733212781*^9}, {3.761920842499782*^9, 3.761920931629471*^9}, {
   3.761921166360567*^9, 3.761921176579829*^9}, {3.761921216581935*^9, 
   3.761921256396533*^9}, {3.7619213470419445`*^9, 3.7619213854970694`*^9}, 
   3.761921571709988*^9, {3.7619245478581886`*^9, 3.7619245534209766`*^9}, {
   3.7619245856883*^9, 3.7619245869539905`*^9}, 3.761924625159124*^9, {
   3.761924706866547*^9, 3.76192473086781*^9}, {3.761924867906292*^9, 
   3.7619248850790553`*^9}, {3.7619249818810143`*^9, 3.761924991194006*^9}, {
   3.761925037696449*^9, 3.7619250665885963`*^9}, {3.761925126138598*^9, 
   3.7619251444989433`*^9}, {3.7619252087054663`*^9, 
   3.7619252209717116`*^9}, {3.7619252525827503`*^9, 
   3.7619252556141834`*^9}, {3.761926195211398*^9, 3.7619262074151416`*^9}, {
   3.7619262422450976`*^9, 3.7619262531362977`*^9}, {3.76209820131067*^9, 
   3.7620982119107523`*^9}, {3.762098389489545*^9, 3.762098453991851*^9}, {
   3.76209849501389*^9, 3.7620985005145607`*^9}, 3.7620985342897053`*^9, {
   3.7620985992755747`*^9, 3.7620986669074173`*^9}, 3.762098730053075*^9, {
   3.762099129199487*^9, 3.7620991669253235`*^9}, 3.7620992037739377`*^9, {
   3.7620992595331817`*^9, 3.762099359487949*^9}, {3.762099389822208*^9, 
   3.7620994147608647`*^9}, {3.7620996587678137`*^9, 3.7620996844369617`*^9}, 
   3.7620998140472994`*^9, 3.762100043560605*^9, {3.7621000781627197`*^9, 
   3.762100079625698*^9}, {3.7621001232128115`*^9, 3.762100195725244*^9}, {
   3.7621002808481007`*^9, 3.7621003206606965`*^9}, {3.7621003571470685`*^9, 
   3.762100370056691*^9}, {3.762100418384969*^9, 3.7621005597694073`*^9}, {
   3.7621006403703156`*^9, 3.7621006957743196`*^9}, {3.7623173548909025`*^9, 
   3.7623174355357437`*^9}, {3.7623174708501263`*^9, 
   3.7623175920439763`*^9}, {3.7623176380151434`*^9, 
   3.7623176769859424`*^9}, {3.762317707534425*^9, 3.7623178639957795`*^9}, {
   3.7623179252958784`*^9, 3.7623179296398573`*^9}, {3.790568443621974*^9, 
   3.790568481587566*^9}, 3.7905686182229156`*^9, {3.7905699445289373`*^9, 
   3.7905699478786573`*^9}, 3.791042134437319*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"userCalculations", "[", 
   RowBox[{"\[Mu]_", ",", "\[Lambda]_", ",", "prec_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Function", " ", "userCalculations", " ", "calculates", " ", "the", " ", 
    "user", " ", "defined", " ", "operator"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "for", " ", "given", " ", "values", " ", "of", " ", "\[Mu]", " ", "and", 
    " ", 
    RowBox[{"\[Lambda]", "."}]}], " ", "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"On", " ", "entry"}], ","}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Mu]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"\[Lambda]", "     ", "-", " ", 
    RowBox[{"quantum", " ", "number", " ", "labeling", " ", "SU", 
     RowBox[{"(", "3", ")"}], " ", "irreducible", " ", "representations"}]}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"prec", "  ", "-", " ", 
    RowBox[{"precision", " ", "of", " ", "numerical", " ", "calculations"}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
                "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
         "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{"matm", ",", "userMatrix"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"matm", "=", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], "/", 
       "2"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"userMatrix", "=", 
      RowBox[{"ConstantArray", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"matm", ",", "matm"}], "}"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Place", " ", "the", " ", "user", " ", "code", " ", "here"}], 
      " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "userMatrix", "]"}], ";"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.790913840027372*^9, 3.790913870162821*^9}, {
   3.7909139114346004`*^9, 3.790913979619069*^9}, {3.79091401262015*^9, 
   3.790914159520694*^9}, {3.7909142832007127`*^9, 3.790914287011098*^9}, 
   3.7918957041662455`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "**", " ", "**", " ", "**", " ", "**", " ", "**", " ", "**", " ", "**", 
    " ", "**", " ", "**", " ", "**", " ", "**", " ", "**", " ", "**", " ", "**",
     " ", "**", " ", "**", " ", "**", " ", "**", " ", "**", " ", "**", " ", "**",
     " ", "**", " ", "**", " ", "**", " ", "**", " ", "**", " ", "**", " ", 
    "**"}], "**)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nd", "=", 
     RowBox[{"NotebookDirectory", "[", "]"}]}], ";", 
    RowBox[{"SetDirectory", "[", "nd", "]"}], ";", 
    RowBox[{
    "it", " ", "was", " ", "shifted", " ", "to", " ", "the", " ", "head", " ",
      "of", " ", "program"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], ";"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"needAppend", "=", "0"}], ";"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"nd", "=", 
     RowBox[{"NotebookDirectory", "[", "]"}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"SetDirectory", "[", "nd", "]"}], ";"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"inputFile", "=", "\"\<input.txt\>\""}], ";"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"OpenRead", "[", "inputFile", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"num", "=", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"Import", "[", 
        RowBox[{"inputFile", ",", "\"\<Table\>\""}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"_", "?", "NumberQ"}], ",", "___"}], "}"}]}], "]"}]}], ";"}],
    "\n", 
   RowBox[{
    RowBox[{"Close", "[", "inputFile", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"outputMode", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"output", ":", " ", 
       RowBox[{"0", " ", "-", " ", "notebook"}]}], ",", " ", 
      RowBox[{"1", " ", "-", " ", "file"}], ",", " ", 
      RowBox[{"2", " ", "-", " ", 
       RowBox[{"notebook", " ", "and", " ", "file"}]}]}], " ", "*)"}], "\n", 
    RowBox[{"prec", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"accuracy", " ", "of", " ", "calculations"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"outPrec", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "3"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", 
     RowBox[{"output", " ", "precision"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"prec", "<", "outPrec"}], ",", 
      RowBox[{
       RowBox[{"Print", "[", "\"\<prec<outPrec\>\"", "]"}], ";", 
       RowBox[{"Quit", "[", "]"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"outputUn", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "1"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "normalized", " ", "BM", " ", "overlap", " ", 
       "integrals", " ", "matrix", " ", "to", " ", "notebook"}]}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"outputAn", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "2"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "A", " ", "matrix", " ", "to", " ", 
       "notebook"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"testON", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "3"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"BM", " ", "basis", " ", "orthonormalization", " ", 
       RowBox[{"test", ":", " ", 
        RowBox[{"1", " ", "-", " ", "verdict"}]}]}], ",", " ", 
      RowBox[{"2", " ", "-", " ", 
       RowBox[{
       "output", " ", "of", " ", "the", " ", "matrix", " ", "of", " ", "the", 
        " ", "product", " ", "of", " ", "BM", " ", "basis", " ", "vactors", 
        " ", "to", " ", "notebook", " ", "and", " ", "verdict"}]}]}], " ", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"outputQ", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "4"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "Q", " ", "matrix", " ", "to", " ", 
       "notebook"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"testQQ0", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "5"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{"QQ0", " ", 
       RowBox[{"test", ":", " ", 
        RowBox[{"1", " ", "-", " ", "verdict"}]}]}], ",", " ", 
      RowBox[{"2", " ", "-", " ", 
       RowBox[{
       "output", " ", "of", " ", "QQ0", " ", "matrix", " ", "to", " ", 
        "notebook", " ", "and", " ", "verdict"}]}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"outputH3QL", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "6"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "H3QLBar", " ", "matrix", " ", "and", " ", 
       "its", " ", "eigenvalues", " ", "matrix", " ", "to", " ", 
       "notebook"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"outputH4QQ", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "7"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "H4QQ", " ", "matrix", " ", "and", " ", "its",
        " ", "eigenvalues", " ", "matrix", " ", "to", " ", "notebook"}]}], 
     " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"outputHSU3H3QL", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "8"}], "]"}], "]"}]}], ";", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{"output", " ", "of", " ", "HSU", 
       RowBox[{"(", "3", ")"}]}], "+", 
      RowBox[{
      "H3QLBar", " ", "matrix", " ", "and", " ", "its", " ", "eigenvalues", 
       " ", "matrix", " ", "to", " ", "notebook"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"outputHSU3H4QQ", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "9"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{"output", " ", "of", " ", "HSU", 
       RowBox[{"(", "3", ")"}]}], "+", 
      RowBox[{
      "H4QQBar", " ", "matrix", " ", "and", " ", "its", " ", "eigenvalues", 
       " ", "matrix", " ", "to", " ", "notebook"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"outputHSU3H3QLH4QQ", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "10"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{"output", " ", "of", " ", "HSU", 
       RowBox[{"(", "3", ")"}]}], "+", "H3QLBar", "+", 
      RowBox[{
      "H4QQBar", " ", "matrix", " ", "and", " ", "its", " ", "eigenvalues", 
       " ", "matrix", " ", "to", " ", "notebook"}]}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"outputLboundaries", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "11"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "the", " ", "possible", " ", "values", " ", 
       "of", " ", "the", " ", "L", " ", "of", " ", "the", " ", "BM", " ", 
       "basis", " ", "for", " ", "the", " ", "given", " ", "\[Mu]", " ", 
       "and", " ", "\[Lambda]", " ", "values", " ", "to", " ", "notebook"}]}],
      " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"outputAboundaries", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "12"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "the", " ", "possible", " ", "values", " ", 
       "of", " ", "the", " ", "L", " ", "of", " ", "the", " ", "BM", " ", 
       "basis", " ", "for", " ", "the", " ", "given", " ", "\[Mu]", " ", 
       "and", " ", "\[Lambda]", " ", "values", " ", "to", " ", "notebook"}]}],
      " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"outputL", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "13"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "L", " ", "matrix", " ", "to", " ", 
       "notebook"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"outputTimeTest", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "14"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "time", " ", "test", " ", "to", " ", 
       "notebook"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"userFunction", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "15"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "user", " ", "matrix", " ", "to", " ", 
       "notebook"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"qsmall", "=", 
     RowBox[{"num", "[", 
      RowBox[{"[", 
       RowBox[{"2", ",", "16"}], "]"}], "]"}]}], ";", " ", 
    RowBox[{"(*", " ", 
     RowBox[{"1", " ", "-", " ", 
      RowBox[{
      "output", " ", "of", " ", "q", " ", "matrix", " ", "to", " ", 
       "notebook"}]}], " ", "*)"}], "\[IndentingNewLine]", 
    RowBox[{"assoc", "=", 
     RowBox[{"<|", 
      RowBox[{
       RowBox[{"\"\<outputUn\>\"", "\[Rule]", "3"}], ",", 
       RowBox[{"\"\<outputAn\>\"", "\[Rule]", "4"}], ",", 
       RowBox[{"\"\<testON\>\"", "\[Rule]", "5"}], ",", 
       RowBox[{"\"\<outputQ\>\"", "\[Rule]", "6"}], ",", 
       RowBox[{"\"\<testQQ0\>\"", "\[Rule]", "7"}], ",", 
       RowBox[{"\"\<outputH3QL\>\"", "\[Rule]", "8"}], ",", 
       RowBox[{"\"\<outputH4QQ\>\"", "\[Rule]", "9"}], ",", 
       RowBox[{"\"\<outputHSU3H3QL\>\"", "\[Rule]", "10"}], ",", 
       RowBox[{"\"\<outputHSU3H4QQ\>\"", "\[Rule]", "11"}], ",", 
       RowBox[{"\"\<outputHSU3H3QLH4QQ\>\"", "\[Rule]", "12"}], ",", 
       RowBox[{"\"\<outputLboundaries\>\"", "\[Rule]", "13"}], ",", 
       RowBox[{"\"\<outputAboundaries\>\"", "\[Rule]", "14"}], ",", 
       RowBox[{"\"\<outputL\>\"", "\[Rule]", "15"}], ",", 
       RowBox[{"\"\<outputTimeTest\>\"", "\[Rule]", "16"}], ",", 
       RowBox[{"\"\<userFunction\>\"", "\[Rule]", "17"}], ",", 
       RowBox[{"\"\<qsmall\>\"", "\[Rule]", "18"}]}], "|>"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputTimeTest", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"\[Lambda]", "=", 
         RowBox[{"num", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"assoc", "[", "\"\<outputTimeTest\>\"", "]"}], ",", "1"}],
            "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Mu]", "=", 
         RowBox[{"num", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"assoc", "[", "\"\<outputTimeTest\>\"", "]"}], ",", "2"}],
            "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"L", "=", 
         RowBox[{"num", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"assoc", "[", "\"\<outputTimeTest\>\"", "]"}], ",", "3"}],
            "]"}], "]"}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"UUtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputUn\>\"", "]"}], ",", "1"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputUn\>\"", "]"}], ",", "2"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"L", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputUn\>\"", "]"}], ",", "3"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Lboundaries", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"L", "<", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"L", ">", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Inconsistent input:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<L should be in the range: [\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<,..., \>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<]\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"outputUn", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Timing of overlap integrals:\>\"", "]"}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L", ",", 
            "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"UUtime", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"UU", "=", 
               RowBox[{"UmatrixM", "[", 
                RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec"}], 
                "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<overlap integrals CPU time=\>\"", ",", "UUtime"}], 
           "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AAtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAn\>\"", "]"}], ",", "1"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAn\>\"", "]"}], ",", "2"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"L", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAn\>\"", "]"}], ",", "3"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Lboundaries", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"L", "<", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"L", ">", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Inconsistent input:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<L should be in the range: [\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<,..., \>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<]\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"outputAn", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Timing of orthonormalization matrix A:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L", ",", 
            "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AAtime", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"AA", "=", 
               RowBox[{"Amatrix", "[", 
                RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec"}], 
                "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<A matrix CPU time=\>\"", ",", "AAtime"}], "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"AAtesttime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<testON\>\"", "]"}], ",", "1"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<testON\>\"", "]"}], ",", "2"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"L", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<testON\>\"", "]"}], ",", "3"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Lboundaries", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"L", "<", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"L", ">", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Inconsistent input:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<L should be in the range: [\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<,..., \>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<]\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"testON", ">", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Timing of BM basis orthonormalization test:\>\"",
            "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L", ",", 
            "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AAtesttime", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TestOrthonormalization", "[", 
               RowBox[{
               "\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec", ",", "3", 
                ",", "outPrec", ",", "stream", ",", "3"}], "]"}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<BM basis orthonormalization test CPU time=\>\"", ",", 
            "AAtesttime"}], "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"Qtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"outputQ", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputQ\>\"", "]"}], ",", "1"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Mu]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputQ\>\"", "]"}], ",", "2"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Eta]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputQ\>\"", "]"}], ",", "3"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Timing of matrix Q:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Eta]=\>\"", ",", "\[Eta]", ",", 
            "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"matm", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
            "/", "2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qtime1", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"qVisi", "=", 
               RowBox[{"qMatrica", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Qtime2", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Qm", "=", 
               RowBox[{"Qmatrix", "[", 
                RowBox[{
                "\[Mu]", ",", "\[Lambda]", ",", "\[Eta]", ",", "matm", ",", 
                 "prec", ",", "qVisi"}], "]"}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Qtime", "=", 
           RowBox[{"Qtime1", "+", "Qtime2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<Q matrix CPU time=\>\"", ",", "Qtime"}], "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"QQ0testtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"testQQ0", ">", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<testQQ0\>\"", "]"}], ",", "1"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Mu]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<testQQ0\>\"", "]"}], ",", "2"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Timing of QQ0 test:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"QQ0testtime", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"TestQQ0", "[", 
               RowBox[{
               "\[Mu]", ",", "\[Lambda]", ",", "prec", ",", "3", ",", 
                "outPrec", ",", "stream", ",", "3"}], "]"}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<QQ0 test CPU time=\>\"", ",", "QQ0testtime"}], "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"H3QLtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"outputH3QL", ">", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputH3QL\>\"", "]"}], ",", "1"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Mu]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputH3QL\>\"", "]"}], ",", "2"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Timing of matrix H3QL:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"matm", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
            "/", "2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"H3QLtime1", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"qVisi", "=", 
               RowBox[{"qMatrica", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"H3QLtime2", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"H3QLBar", "=", 
               RowBox[{"H3QLBarMatrix", "[", 
                RowBox[{
                "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", 
                 "qVisi"}], "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"H3QLtime3", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Ev", "=", 
               RowBox[{"Eigenvalues", "[", "H3QLBar", "]"}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"H3QLtime", "=", 
           RowBox[{"H3QLtime1", "+", "H3QLtime2", "+", "H3QLtime3"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<H3QL matrix CPU time=\>\"", ",", "H3QLtime"}], "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"H4QQtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"outputH4QQ", ">", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputH4QQ\>\"", "]"}], ",", "1"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Mu]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputH4QQ\>\"", "]"}], ",", "2"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Timing of matrix H4QQ:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"matm", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
            "/", "2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"H4QQtime1", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"qVisi", "=", 
               RowBox[{"qMatrica", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"H4QQtime2", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"H4QQBar", "=", 
               RowBox[{"H4QQBarMatrix", "[", 
                RowBox[{
                "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", 
                 "qVisi"}], "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"H4QQtime3", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Ev", "=", 
               RowBox[{"Eigenvalues", "[", "H4QQBar", "]"}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"H4QQtime", "=", 
           RowBox[{"H4QQtime1", "+", "H4QQtime2", "+", "H4QQtime3"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<H4QQ matrix CPU time=\>\"", ",", "H4QQtime"}], "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"HSU3H3QLtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"outputHSU3H3QL", ">", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", 
              "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Mu]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", 
              "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Kappa]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", 
              "3"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Beta]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", 
              "4"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Gamma]3QL", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", 
              "5"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Timing of matrix HSU3H3QL:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Kappa]=\>\"", ",", "\[Kappa]", ",", 
            "\"\<, \[Beta]=\>\"", ",", "\[Beta]", ",", 
            "\"\<, \[Gamma]3QL=\>\"", ",", "\[Gamma]3QL", ",", "I", ",", 
            "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"matm", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
            "/", "2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLtime1", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"qVisi", "=", 
               RowBox[{"qMatrica", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLtime2", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"QQ0m", "=", 
               RowBox[{"CasimirMatrix", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLtime3", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"LL0m", "=", 
               RowBox[{"LL0matrix", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLtime4", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"HSU3", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "\[Kappa]"}], "*", "QQ0m"}], "+", 
                RowBox[{"\[Beta]", "*", "LL0m"}]}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLtime5", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"H3QLBar", "=", 
               RowBox[{"H3QLBarMatrix", "[", 
                RowBox[{
                "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", 
                 "qVisi"}], "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLtime6", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"HSU3H3QLBar", "=", 
               RowBox[{"HSU3", "+", 
                RowBox[{"I", "*", "\[Gamma]3QL", "*", "H3QLBar"}]}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLtime7", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Ev", "=", 
               RowBox[{"Eigenvalues", "[", "HSU3H3QLBar", "]"}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLtime", "=", 
           RowBox[{
           "HSU3H3QLtime1", "+", "HSU3H3QLtime2", "+", "HSU3H3QLtime3", "+", 
            "HSU3H3QLtime4", "+", "HSU3H3QLtime5", "+", "HSU3H3QLtime6", "+", 
            "HSU3H3QLtime7"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<HSU3H3QL matrix CPU time=\>\"", ",", "HSU3H3QLtime"}],
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"HSU3H4QQtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"outputHSU3H4QQ", ">", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", 
              "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Mu]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", 
              "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Kappa]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", 
              "3"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Beta]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", 
              "4"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Gamma]4QQ", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", 
              "5"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Timing of matrix HSU3H4QQ:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Kappa]=\>\"", ",", "\[Kappa]", ",", 
            "\"\<, \[Beta]=\>\"", ",", "\[Beta]", ",", 
            "\"\<, \[Gamma]4QQ=\>\"", ",", "\[Gamma]4QQ", ",", 
            "\"\<, prec=\>\"", ",", "prec"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"matm", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
            "/", "2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"HSU3H4QQtime1", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"qVisi", "=", 
               RowBox[{"qMatrica", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H4QQtime2", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"QQ0m", "=", 
               RowBox[{"CasimirMatrix", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H4QQtime3", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"LL0m", "=", 
               RowBox[{"LL0matrix", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H4QQtime4", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"HSU3", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "\[Kappa]"}], "*", "QQ0m"}], "+", 
                RowBox[{"\[Beta]", "*", "LL0m"}]}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H4QQtime5", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"H4QQBar", "=", 
               RowBox[{"H4QQBarMatrix", "[", 
                RowBox[{
                "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", 
                 "qVisi"}], "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"HSU3H4QQtime6", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"HSU3H4QQBar", "=", 
               RowBox[{"HSU3", "+", 
                RowBox[{"\[Gamma]4QQ", "*", "H4QQBar"}]}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H4QQtime7", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Ev", "=", 
               RowBox[{"Eigenvalues", "[", "HSU3H4QQBar", "]"}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H4QQtime", "=", 
           RowBox[{
           "HSU3H4QQtime1", "+", "HSU3H4QQtime2", "+", "HSU3H4QQtime3", "+", 
            "HSU3H4QQtime4", "+", "HSU3H4QQtime5", "+", "HSU3H4QQtime6", "+", 
            "HSU3H4QQtime7"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<HSU3H4QQ matrix CPU time=\>\"", ",", "HSU3H4QQtime"}],
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"HSU3H3QLH4QQtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"outputHSU3H4QQ", ">", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
              "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Mu]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
              "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Kappa]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
              "3"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Beta]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
              "4"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Gamma]3QL", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
              "5"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Gamma]4QQ", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
              "6"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Timing of matrix HSU3H3QLH4QQ:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Kappa]=\>\"", ",", "\[Kappa]", ",", 
            "\"\<, \[Beta]=\>\"", ",", "\[Beta]", ",", 
            "\"\<, \[Gamma]3QL=\>\"", ",", "\[Gamma]3QL", ",", "I", ",", 
            "\"\<, \[Gamma]4QQ=\>\"", ",", "\[Gamma]4QQ"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"matm", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
              RowBox[{"(", 
               RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
            "/", "2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime1", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"qVisi", "=", 
               RowBox[{"qMatrica", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime2", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"QQ0m", "=", 
               RowBox[{"CasimirMatrix", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime3", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"LL0m", "=", 
               RowBox[{"LL0matrix", "[", 
                RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime4", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"HSU3", "=", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "\[Kappa]"}], "*", "QQ0m"}], "+", 
                RowBox[{"\[Beta]", "*", "LL0m"}]}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime5", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"H3QLBar", "=", 
               RowBox[{"H3QLBarMatrix", "[", 
                RowBox[{
                "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", 
                 "qVisi"}], "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime6", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"H4QQBar", "=", 
               RowBox[{"H4QQBarMatrix", "[", 
                RowBox[{
                "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", 
                 "qVisi"}], "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime7", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"HSU3H3QLBarH4QQBar", "=", 
               RowBox[{"HSU3", "+", 
                RowBox[{"I", "*", "\[Gamma]3QL", "*", "H3QLBar"}], "+", 
                RowBox[{"\[Gamma]4QQ", "*", "H4QQBar"}]}]}], ";"}], 
             "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime8", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Ev", "=", 
               RowBox[{"Eigenvalues", "[", "HSU3H3QLBarH4QQBar", "]"}]}], 
              ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"HSU3H3QLH4QQtime", "=", 
           RowBox[{
           "HSU3H3QLH4QQtime1", "+", "HSU3H3QLH4QQtime2", "+", 
            "HSU3H3QLH4QQtime3", "+", "HSU3H3QLH4QQtime4", "+", 
            "HSU3H3QLH4QQtime5", "+", "HSU3H3QLH4QQtime6", "+", 
            "HSU3H3QLH4QQtime7", "+", "HSU3H3QLH4QQtime8"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<HSU3H3QLH4QQ matrix CPU time=\>\"", ",", "HSU3H3QLH4QQtime"}],
            "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"qsmtime", "=", "0"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"qsmall", ">", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Lambda]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<qsmall\>\"", "]"}], ",", "1"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"\[Mu]", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<qsmall\>\"", "]"}], ",", "2"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"L", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<qsmall\>\"", "]"}], ",", "3"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"k", "=", 
           RowBox[{"num", "[", 
            RowBox[{"[", 
             RowBox[{
              RowBox[{"assoc", "[", "\"\<qsmall\>\"", "]"}], ",", "4"}], 
             "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"atsak", "=", 
           RowBox[{"Lboundaries", "[", 
            RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Or", "[", 
             RowBox[{
              RowBox[{"L", "<", 
               RowBox[{"atsak", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ",", 
              RowBox[{"L", ">", 
               RowBox[{"atsak", "[", 
                RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"Print", "[", "\"\<Inconsistent input:\>\"", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"Print", "[", 
              RowBox[{"\"\<L should be in the range: [\>\"", ",", 
               RowBox[{"atsak", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<,..., \>\"", ",", 
               RowBox[{"atsak", "[", 
                RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<]\>\""}], "]"}], 
             ";", "\[IndentingNewLine]", 
             RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Timing of matrix q:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L", ",", "\"\<, k=\>\"", 
            ",", "k"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"qsmtime", "=", 
           RowBox[{"First", "[", 
            RowBox[{"Timing", "[", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"qsm", "=", 
               RowBox[{"qcoeff", "[", 
                RowBox[{
                "\[Mu]", ",", "L", ",", "\[Lambda]", ",", "k", ",", "prec"}], 
                "]"}]}], ";"}], "\[IndentingNewLine]", "]"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<q matrix CPU time=\>\"", ",", "qsmtime"}], "]"}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<Total CPU time=\>\"", ",", 
         RowBox[{
         "UUtime", "+", "AAtime", "+", "AAtesttime", "+", "Qtime", "+", 
          "QQ0testtime", "+", "H3QLtime", "+", "H4QQtime", "+", 
          "HSU3H3QLtime", "+", "HSU3H4QQtime", "+", "HSU3H3QLH4QQtime", "+", 
          "qsmtime"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputUn", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputUn\>\"", "]"}], ",", "1"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputUn\>\"", "]"}], ",", "2"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"L", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputUn\>\"", "]"}], ",", "3"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Lboundaries", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"L", "<", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"L", ">", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Inconsistent input:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<L should be in the range: [\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<,..., \>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<]\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]minK", "=", 
        RowBox[{"AlphaminK", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]maxK", "=", 
        RowBox[{"AlphamaxK", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]max", "=", 
        RowBox[{"Quotient", "[", 
         RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"UU", "=", 
        RowBox[{"UmatrixM", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"UU", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"UU", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of U matrix:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Output of U calculation:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<dimension of the U matrix=\>\"", ",", 
            RowBox[{"\[Alpha]max", "+", "1"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(\[Alpha]\), \(min\)]\)=\>\"", ",", "0", 
            ",", "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(minK\)]\)=\>\"", 
            ",", "\[Alpha]minK", ",", 
            "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(maxK\)]\)=\>\"", ",", 
            "\[Alpha]maxK", ",", 
            "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(max\)]\)=\>\"", ",", 
            "\[Alpha]max"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<U=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "UU", "]"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Input for calculation of U matrix:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", "\"\<, L=\>\"", "<>", 
             RowBox[{"ToString", "[", "L", "]"}], "<>", "\"\<\\n\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Output of U calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the U matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"\[Alpha]max", "+", "1"}], "]"}], "<>", 
             "\"\<\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<alpha_min=0, alpha_minK=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]minK", "]"}], "<>", 
             "\"\<, alpha_maxK=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]maxK", "]"}], "<>", 
             "\"\<, alpha_max=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]max", "]"}], "<>", 
             "\"\<\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<U=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "UU", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputAn", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAn\>\"", "]"}], ",", "1"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAn\>\"", "]"}], ",", "2"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"L", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAn\>\"", "]"}], ",", "3"}], "]"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Lboundaries", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"L", "<", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"L", ">", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Inconsistent input:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<L should be in the range: [\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<,..., \>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<]\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]minK", "=", 
        RowBox[{"AlphaminK", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]maxK", "=", 
        RowBox[{"AlphamaxK", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]max", "=", 
        RowBox[{"Quotient", "[", 
         RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"AA", "=", 
        RowBox[{"Amatrix", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec"}], "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"AA", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"AA", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of A matrix:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Output of A calculation:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<dimension of the A matrix=\>\"", ",", 
            RowBox[{"\[Alpha]max", "+", "1"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(\[Alpha]\), \(min\)]\)=\>\"", ",", "0", 
            ",", "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(minK\)]\)=\>\"", 
            ",", "\[Alpha]minK", ",", 
            "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(maxK\)]\)=\>\"", ",", 
            "\[Alpha]maxK", ",", 
            "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(max\)]\)=\>\"", ",", 
            "\[Alpha]max"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<A=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "AA", "]"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Input for calculation of A matrix:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", "\"\<, L=\>\"", "<>", 
             RowBox[{"ToString", "[", "L", "]"}], "<>", "\"\<\\n\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Output of A calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the A matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"\[Alpha]max", "+", "1"}], "]"}], "<>", 
             "\"\<\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<alpha_min=0, alpha_minK=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]minK", "]"}], "<>", 
             "\"\<, alpha_maxK=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]maxK", "]"}], "<>", 
             "\"\<, alpha_max=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]max", "]"}], "<>", 
             "\"\<\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<A=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "AA", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"Or", "[", 
       RowBox[{
        RowBox[{"testON", "\[Equal]", "1"}], ",", 
        RowBox[{"testON", "\[Equal]", "2"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<testON\>\"", "]"}], ",", "1"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<testON\>\"", "]"}], ",", "2"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"L", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<testON\>\"", "]"}], ",", "3"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Lboundaries", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"L", "<", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"L", ">", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Inconsistent input:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<L should be in the range: [\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<,..., \>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<]\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"TestOrthonormalization", "[", 
        RowBox[{
        "\[Mu]", ",", "L", ",", "\[Lambda]", ",", "prec", ",", "testON", ",", 
         "outPrec", ",", "stream", ",", "outputMode"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputQ", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputQ\>\"", "]"}], ",", "1"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputQ\>\"", "]"}], ",", "2"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Eta]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputQ\>\"", "]"}], ",", "3"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"qVisi", "=", 
        RowBox[{"qMatrica", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"matm", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
         "/", "2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Qm", "=", 
        RowBox[{"Qmatrix", "[", 
         RowBox[{
         "\[Mu]", ",", "\[Lambda]", ",", "\[Eta]", ",", "matm", ",", "prec", 
          ",", "qVisi"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Qm", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"Qm", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of Q matrix:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Eta]=\>\"", ",", "\[Eta]"}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Output of Q calculation:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<dimension of the Q matrix=\>\"", ",", "matm"}], "]"}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Q matrix indeces:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<Q=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "Qm", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Input for calculation of Q matrix:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", "\"\<, eta=\>\"", 
             "<>", 
             RowBox[{"ToString", "[", "\[Eta]", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Output of Q calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the Q matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Q matrix indeces:\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Q=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "Qm", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"Or", "[", 
       RowBox[{
        RowBox[{"testQQ0", "\[Equal]", "1"}], ",", 
        RowBox[{"testQQ0", "\[Equal]", "2"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<testQQ0\>\"", "]"}], ",", "1"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<testQQ0\>\"", "]"}], ",", "2"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"needAppend", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{"stream", "=", 
          RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"stream", "=", 
           RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"TestQQ0", "[", 
        RowBox[{
        "\[Mu]", ",", "\[Lambda]", ",", "prec", ",", "testQQ0", ",", 
         "outPrec", ",", "stream", ",", "outputMode"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputH3QL", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputH3QL\>\"", "]"}], ",", "1"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputH3QL\>\"", "]"}], ",", "2"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"qVisi", "=", 
        RowBox[{"qMatrica", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"matm", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
         "/", "2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"H3QLBar", "=", 
        RowBox[{"I", "*", 
         RowBox[{"H3QLBarMatrix", "[", 
          RowBox[{
          "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", "qVisi"}],
           "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"Eigenvalues", "[", "H3QLBar", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"H3QLBar", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"H3QLBar", ",", "outPrec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"Ev", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of H3QLBar matrix:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Output of H3QLBar calculation:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<dimension of the H3QLBar matrix=\>\"", ",", "matm"}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<H3QLBar matrix indeces:\>\"", "]"}], ";",
           "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<H3QLBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "H3QLBar", "]"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<E of H3QLBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "Ev", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Input for calculation of H3QLBar matrix:\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Output of H3QLBar calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the H3QLBar matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<H3QLBar matrix indeces:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"WriteString", "[", 
             RowBox[{"stream", ",", "\"\<H3QLBar=\\n\>\""}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Export", "[", 
             RowBox[{"stream", ",", "H3QLBar", ",", "\"\<Table\>\""}], "]"}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"WriteString", "[", 
             RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Im(H3QLBar)=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"Im", "[", "H3QLBar", "]"}], ",", "\"\<Table\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"WriteString", "[", 
             RowBox[{"stream", ",", "\"\<E of H3QLBar=\\n\>\""}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Export", "[", 
             RowBox[{"stream", ",", "Ev", ",", "\"\<Table\>\""}], "]"}], 
            ";"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<E of H3QLBar=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"Re", "[", "Ev", "]"}], ",", "\"\<Table\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputH4QQ", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputH4QQ\>\"", "]"}], ",", "1"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputH4QQ\>\"", "]"}], ",", "2"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"qVisi", "=", 
        RowBox[{"qMatrica", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"matm", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
         "/", "2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"H4QQBar", "=", 
        RowBox[{"H4QQBarMatrix", "[", 
         RowBox[{
         "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", "qVisi"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"Eigenvalues", "[", "H4QQBar", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"H4QQBar", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"H4QQBar", ",", "outPrec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"Ev", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of H4QQBar matrix:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Output of H4QQBar calculation:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<dimension of the H4QQ matrix=\>\"", ",", "matm"}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<H4QQBar matrix indeces:\>\"", "]"}], ";",
           "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<H4QQBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "H4QQBar", "]"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<E of H4QQBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "Ev", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Input for calculation of H4QQBar matrix:\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Output of H4QQBar calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the H4QQBar matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<H4QQBar matrix indeces:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<H4QQBar=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "H4QQBar", ",", "\"\<Table\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<E of H4QQBar=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "Ev", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputHSU3H3QL", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", "1"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", "2"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Kappa]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", "3"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", "4"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Gamma]3QL", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QL\>\"", "]"}], ",", "5"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"qVisi", "=", 
        RowBox[{"qMatrica", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"matm", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
         "/", "2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"QQ0m", "=", 
        RowBox[{"CasimirMatrix", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"LL0m", "=", 
        RowBox[{"LL0matrix", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"HSU3", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[Kappa]"}], "*", "QQ0m"}], "+", 
         RowBox[{"\[Beta]", "*", "LL0m"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"H3QLBar", "=", 
        RowBox[{"H3QLBarMatrix", "[", 
         RowBox[{
         "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", "qVisi"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"HSU3H3QLBar", "=", 
        RowBox[{"HSU3", "+", 
         RowBox[{"I", "*", "\[Gamma]3QL", "*", "H3QLBar"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"Eigenvalues", "[", "HSU3H3QLBar", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"HSU3H3QLBar", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"HSU3H3QLBar", ",", "outPrec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"Ev", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", 
           "\"\<Input for calculation of HSU(3)+H3QLBar matrix:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Kappa]=\>\"", ",", "\[Kappa]", ",", 
            "\"\<, \[Beta]=\>\"", ",", "\[Beta]", ",", 
            "\"\<, \[Gamma]3QL=\>\"", ",", "\[Gamma]3QL"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Output of HSU(3)+H3QLBar calculation:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<dimension of the HSU(3)+H3QLBar matrix=\>\"", ",", "matm"}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<HSU(3)+H3QLBar matrix indeces:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<HSU(3)+H3QLBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "HSU3H3QLBar", "]"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<E of HSU(3)+H3QLBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "Ev", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Input for calculation of HSU(3)+H3QLBar matrix:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", 
             "\"\<, kappa=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Kappa]", "]"}], "<>", 
             "\"\<, beta=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Beta]", "]"}], "<>", 
             "\"\<, gamma3QL=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Gamma]3QL", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Output of HSU(3)+H3QLBar calculation:\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the HSU(3)+H3QLBar matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<HSU(3)+H3QLBar matrix indeces:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Re(HSU(3)+H3QLBar)=\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"Re", "[", "HSU3H3QLBar", "]"}], ",", "\"\<Table\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Im(HSU(3)+H3QLBar)=\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"Im", "[", "HSU3H3QLBar", "]"}], ",", "\"\<Table\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<E of HSU(3)+H3QLBar=\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "Ev", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputHSU3H4QQ", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", "1"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", "2"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Kappa]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", "3"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", "4"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Gamma]4QQ", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H4QQ\>\"", "]"}], ",", "5"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"qVisi", "=", 
        RowBox[{"qMatrica", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"matm", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
         "/", "2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"QQ0m", "=", 
        RowBox[{"CasimirMatrix", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"LL0m", "=", 
        RowBox[{"LL0matrix", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"HSU3", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[Kappa]"}], "*", "QQ0m"}], "+", 
         RowBox[{"\[Beta]", "*", "LL0m"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"H4QQBar", "=", 
        RowBox[{"H4QQBarMatrix", "[", 
         RowBox[{
         "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", "qVisi"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"HSU3H4QQBar", "=", 
        RowBox[{"HSU3", "+", 
         RowBox[{"\[Gamma]4QQ", "*", "H4QQBar"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"Eigenvalues", "[", "HSU3H4QQBar", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"HSU3H4QQBar", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"HSU3H4QQBar", ",", "outPrec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"Ev", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", 
           "\"\<Input for calculation of HSU(3)+H4QQBar matrix:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Kappa]=\>\"", ",", "\[Kappa]", ",", 
            "\"\<, \[Beta]=\>\"", ",", "\[Beta]", ",", 
            "\"\<, \[Gamma]4QQ=\>\"", ",", "\[Gamma]4QQ"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Output of HSU(3)+H4QQBar calculation:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<dimension of the HSU(3)+H4QQBar matrix=\>\"", ",", "matm"}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<HSU(3)+H4QQBar matrix indeces:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<HSU3H4QQBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "HSU3H4QQBar", "]"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<E of HSU3H4QQBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "Ev", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Input for calculation of HSU(3)+H4QQBar matrix:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", 
             "\"\<, kappa=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Kappa]", "]"}], "<>", 
             "\"\<, beta=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Beta]", "]"}], "<>", 
             "\"\<, gamma4QQ=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Gamma]4QQ", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Output of HSU(3)+H4QQBar calculation:\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the HSU(3)+H4QQBar=\>\"", "<>", 
             RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<HSU(3)+H4QQBar matrix indeces:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<HSU(3)+H4QQBar=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "HSU3H4QQBar", ",", "\"\<Table\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<E of HSU(3)+H4QQBar=\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "Ev", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputHSU3H3QLH4QQ", "\[Equal]", "1"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
           "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
           "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Kappa]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
           "3"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
           "4"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Gamma]3QL", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
           "5"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Gamma]4QQ", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputHSU3H3QLH4QQ\>\"", "]"}], ",", 
           "6"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"qVisi", "=", 
        RowBox[{"qMatrica", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"matm", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
         "/", "2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"QQ0m", "=", 
        RowBox[{"CasimirMatrix", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"LL0m", "=", 
        RowBox[{"LL0matrix", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "matm"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"HSU3", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[Kappa]"}], "*", "QQ0m"}], "+", 
         RowBox[{"\[Beta]", "*", "LL0m"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"H3QLBar", "=", 
        RowBox[{"H3QLBarMatrix", "[", 
         RowBox[{
         "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", "qVisi"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"H4QQBar", "=", 
        RowBox[{"H4QQBarMatrix", "[", 
         RowBox[{
         "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "prec", ",", "qVisi"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"HSU3H3QLBarH4QQBar", "=", 
        RowBox[{"HSU3", "+", 
         RowBox[{"I", "*", "\[Gamma]3QL", "*", "H3QLBar"}], "+", 
         RowBox[{"\[Gamma]4QQ", "*", "H4QQBar"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"Eigenvalues", "[", "HSU3H3QLBarH4QQBar", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"HSU3H3QLBarH4QQBar", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"HSU3H3QLBarH4QQBar", ",", "outPrec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Ev", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"Ev", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", 
           "\"\<Input for calculation of HSU(3)+H3QLBar+H4QQBar matrix:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Kappa]=\>\"", ",", "\[Kappa]", ",", 
            "\"\<, \[Beta]=\>\"", ",", "\[Beta]", ",", 
            "\"\<, \[Gamma]3QL=\>\"", ",", "\[Gamma]3QL", ",", 
            "\"\<, \[Gamma]4QQ=\>\"", ",", "\[Gamma]4QQ"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", 
           "\"\<Output of HSU(3)+H3QLBar+H4QQBar calculation:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<dimension of the HSU(3)+H3QLBar+H4QQBar matrix=\>\"", ",", 
            "matm"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<HSU(3)+H3QLBar+H4QQBar matrix indeces:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<HSU(3)+H3QLBar+H4QQBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "HSU3H3QLBarH4QQBar", "]"}]}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<E of HSU(3)+H3QLBar+H4QQBar=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "Ev", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Input for calculation of HSU(3)+H3QLBar+H4QQBar matrix:\\n\>\
\""}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", 
             "\"\<, kappa=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Kappa]", "]"}], "<>", 
             "\"\<, beta=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Beta]", "]"}], "<>", 
             "\"\<, gamma3QL=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Gamma]3QL", "]"}], "<>", 
             "\"\<, gamma4QQ=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Gamma]4QQ", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Output of HSU(3)+H3QLBar+H4QQBar calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the HSU(3)+H3QLBar+H4QQBar=\>\"", "<>", 
             RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<HSU(3)+H3QLBar+H4QQBar matrix indeces:\\n\>\""}], "]"}], ";",
           "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"WriteString", "[", 
             RowBox[{"stream", ",", "\"\<HSU(3)+H3QLBar+H4QQBar=\\n\>\""}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Export", "[", 
             RowBox[{
             "stream", ",", "HSU3H3QLBarH4QQBar", ",", "\"\<Table\>\""}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"WriteString", "[", 
             RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Re(HSU(3)+H3QLBar+H4QQBar)=\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"Re", "[", "HSU3H3QLBarH4QQBar", "]"}], ",", 
            "\"\<Table\>\""}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Im(HSU(3)+H3QLBar+H4QQBar)=\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"Im", "[", "HSU3H3QLBarH4QQBar", "]"}], ",", 
            "\"\<Table\>\""}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<E of HSU(3)+H3QLBar+H4QQBar=\\n\>\""}],
            "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "Ev", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputLboundaries", "\[Equal]", "1"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputLboundaries\>\"", "]"}], ",", 
           "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputLboundaries\>\"", "]"}], ",", 
           "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Lboundaries", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of L boundaries:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Output of L boundaries calculation:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\!\(\*SubsuperscriptBox[\(L\), \(min\), \(one\)]\)=\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            "\"\<, \!\(\*SubsuperscriptBox[\(L\), \(min\), \(all\)]\)=\>\"", 
            ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            "\"\<, \!\(\*SubsuperscriptBox[\(L\), \(max\), \(all\)]\)=\>\"", 
            ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", 
            "\"\<, \!\(\*SubsuperscriptBox[\(L\), \(max\), \(one\)]\)=\>\"", 
            ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Input for calculation of L boundaries:\\n\>\""}], "]"}], ";",
           "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Output of L boundaries calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<L^one_min=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"atsak", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "<>", 
             "\"\<, L^all_min=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"atsak", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "]"}], "<>", 
             "\"\<, L^all_max=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"atsak", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "<>", 
             "\"\<, L^one_max=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"atsak", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputAboundaries", "\[Equal]", "1"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAboundaries\>\"", "]"}], ",", 
           "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAboundaries\>\"", "]"}], ",", 
           "2"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"L", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputAboundaries\>\"", "]"}], ",", 
           "3"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Lboundaries", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"L", "<", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], ",", 
           RowBox[{"L", ">", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Inconsistent input:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<L should be in the range: [\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<,..., \>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<]\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Quit", "[", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"atsak", "=", 
        RowBox[{"Aboundaries", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", 
           "\"\<Input for calculation of \[Alpha] boundaries:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Output of \[Alpha] boundaries calculation:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(\[Alpha]\), \(minK\)]\)=\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", 
            "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(maxK\)]\)=\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<, dim(A)=\>\"", ",", 
            RowBox[{"atsak", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Input for calculation of alpha boundaries:\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", "\"\<, L=\>\"", "<>", 
             RowBox[{"ToString", "[", "L", "]"}], "<>", "\"\<\\n\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Output of alpha boundaries calculation:\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<alpha_minK=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"atsak", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "]"}], "<>", 
             "\"\<, alpha_maxK=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"atsak", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "]"}], "<>", 
             "\"\<, dim(A)=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"atsak", "[", 
               RowBox[{"[", "3", "]"}], "]"}], "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"outputL", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputL\>\"", "]"}], ",", "1"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputL\>\"", "]"}], ",", "2"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Eta]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<outputL\>\"", "]"}], ",", "3"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"matm", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
         "/", "2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Qm", "=", 
        RowBox[{"Lmatrix", "[", 
         RowBox[{
         "\[Mu]", ",", "\[Lambda]", ",", "\[Eta]", ",", "matm", ",", "prec"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Qm", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"Qm", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of L matrix:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, \[Eta]=\>\"", ",", "\[Eta]"}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Output of L calculation:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<dimension of the L matrix=\>\"", ",", "matm"}], "]"}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<L matrix indeces:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<L=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "Qm", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Input for calculation of L matrix:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", "\"\<, eta=\>\"", 
             "<>", 
             RowBox[{"ToString", "[", "\[Eta]", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Output of L calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the L matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<L matrix indeces:\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<L=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "Qm", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"userFunction", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<userFunction\>\"", "]"}], ",", "1"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<userFunction\>\"", "]"}], ",", "2"}], 
          "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"matm", "=", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Mu]", "+", "1"}], ")"}], "*", 
           RowBox[{"(", 
            RowBox[{"\[Lambda]", "+", "\[Mu]", "+", "2"}], ")"}]}], ")"}], 
         "/", "2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"userCalculations", ":", " ", 
         RowBox[{
          RowBox[{"user", " ", "function"}], " ", "-", " ", 
          RowBox[{"to", " ", "be", " ", "implemented"}]}]}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"userMatrix", "=", 
        RowBox[{"userCalculations", "[", 
         RowBox[{"\[Mu]", ",", "\[Lambda]", ",", "prec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"userMatrix", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"userMatrix", ",", "outPrec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of user matrix:\>\"", 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Output of user calculations:\>\"", "]"}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<dimension of the user matrix=\>\"", ",", "matm"}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<User matrix indeces:\>\"", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<userMatrix=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "userMatrix", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", 
            "\"\<Input for calculation of user matrix:\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", 
             "\"\<\\n\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Output of user calculations:\\n\>\""}],
            "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the user matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", "matm", "]"}], "<>", "\"\<\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<User matrix indeces:\\n\>\""}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Qindces", "[", 
           RowBox[{
           "\[Mu]", ",", "\[Lambda]", ",", "matm", ",", "stream", ",", 
            "outputFlag"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<userMatrix=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "userMatrix", ",", "\"\<Table\>\""}], "]"}],
           ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"qsmall", "\[Equal]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Lambda]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<qsmall\>\"", "]"}], ",", "1"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<qsmall\>\"", "]"}], ",", "2"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"L", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<qsmall\>\"", "]"}], ",", "3"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"k", "=", 
        RowBox[{"num", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"assoc", "[", "\"\<qsmall\>\"", "]"}], ",", "4"}], "]"}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"qsm", "=", 
        RowBox[{"qcoeff", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]", ",", "k", ",", "prec"}],
          "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"qsm", "=", 
        RowBox[{"SetPrecision", "[", 
         RowBox[{"qsm", ",", "outPrec"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]minK", "=", 
        RowBox[{"AlphaminK", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]maxK", "=", 
        RowBox[{"AlphamaxK", "[", 
         RowBox[{"\[Mu]", ",", "L", ",", "\[Lambda]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]max", "=", 
        RowBox[{"Quotient", "[", 
         RowBox[{"\[Mu]", ",", "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "0"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", "\"\<\>\"", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
          "Print", "[", "\"\<Input for calculation of q matrix:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\[Lambda]=\>\"", ",", "\[Lambda]", ",", "\"\<, \[Mu]=\>\"", 
            ",", "\[Mu]", ",", "\"\<, L=\>\"", ",", "L", ",", "\"\<, k=\>\"", 
            ",", "k"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", "\"\<Output of q calculation:\>\"", "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "0"}], ";", 
          RowBox[{"stream", "=", "Null"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<dimension of the q matrix=\>\"", ",", 
            RowBox[{"\[Alpha]max", "+", "1"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{
           "\"\<\!\(\*SubscriptBox[\(\[Alpha]\), \(min\)]\)=\>\"", ",", "0", 
            ",", "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(minK\)]\)=\>\"", 
            ",", "\[Alpha]minK", ",", 
            "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(maxK\)]\)=\>\"", ",", 
            "\[Alpha]maxK", ",", 
            "\"\<, \!\(\*SubscriptBox[\(\[Alpha]\), \(max\)]\)=\>\"", ",", 
            "\[Alpha]max"}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Print", "[", 
           RowBox[{"\"\<q=\>\"", ",", 
            RowBox[{"MatrixForm", "[", "qsm", "]"}]}], "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"Or", "[", 
          RowBox[{
           RowBox[{"outputMode", "\[Equal]", "1"}], ",", 
           RowBox[{"outputMode", "\[Equal]", "2"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"needAppend", "\[Equal]", "0"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"stream", "=", 
             RowBox[{"OpenWrite", "[", "outputFile", "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"stream", "=", 
              RowBox[{"OpenAppend", "[", "outputFile", "]"}]}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{"WriteString", "[", 
              RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";"}]}], 
           "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{
           "stream", ",", "\"\<Input for calculation of q matrix:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<lambda=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Lambda]", "]"}], "<>", 
             "\"\<, mu=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Mu]", "]"}], "<>", "\"\<, L=\>\"", "<>", 
             RowBox[{"ToString", "[", "L", "]"}], "<>", "\"\<, k=\>\"", "<>", 
             RowBox[{"ToString", "[", "k", "]"}], "<>", "\"\<\\n\\n\>\""}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<Output of q calculation:\\n\>\""}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<dimension of the q matrix=\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"\[Alpha]max", "+", "1"}], "]"}], "<>", 
             "\"\<\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", 
            RowBox[{"\"\<alpha_min=0, alpha_minK=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]minK", "]"}], "<>", 
             "\"\<, alpha_maxK=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]maxK", "]"}], "<>", 
             "\"\<, alpha_max=\>\"", "<>", 
             RowBox[{"ToString", "[", "\[Alpha]max", "]"}], "<>", 
             "\"\<\\n\>\""}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"outputFlag", "=", "1"}], ";", "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<q=\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Export", "[", 
           RowBox[{"stream", ",", "qsm", ",", "\"\<Table\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"WriteString", "[", 
           RowBox[{"stream", ",", "\"\<\\n\>\""}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Close", "[", "stream", "]"}], ";"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"needAppend", "=", "1"}], ";"}]}], "\[IndentingNewLine]", 
     "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"end", " ", "of", " ", "SU3BMB", " ", "program"}], "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7536016712007494`*^9, 3.753601685857747*^9}, {
   3.753601739141822*^9, 3.7536017519237175`*^9}, {3.753601873695773*^9, 
   3.753601878289765*^9}, {3.7536022967336493`*^9, 3.7536022998119345`*^9}, {
   3.7536023675654984`*^9, 3.7536023796286325`*^9}, {3.7536024409443583`*^9, 
   3.75360245210117*^9}, {3.7536025662790756`*^9, 3.7536025697948847`*^9}, {
   3.75360268436341*^9, 3.7536026974265985`*^9}, {3.75360290553127*^9, 
   3.753602907968921*^9}, {3.7536031082450814`*^9, 3.7536031801394615`*^9}, {
   3.7536032539714956`*^9, 3.753603267003431*^9}, {3.7536033382103033`*^9, 
   3.7536033700713263`*^9}, {3.753603406104473*^9, 3.753603410745341*^9}, {
   3.753603481545965*^9, 3.753603545627462*^9}, {3.7536036248034987`*^9, 
   3.7536036318507233`*^9}, {3.753603704073293*^9, 3.7536037814119344`*^9}, {
   3.7536038326646547`*^9, 3.7536038587597756`*^9}, 3.7536038961992464`*^9, {
   3.7536039458424807`*^9, 3.753603948451993*^9}, {3.75360398564145*^9, 
   3.7536039884072213`*^9}, {3.7536040260810757`*^9, 
   3.7536040565670557`*^9}, {3.75360672980856*^9, 3.7536067306679792`*^9}, 
   3.7536074285060096`*^9, {3.7536763585812116`*^9, 3.753676398442685*^9}, {
   3.7536766437654877`*^9, 3.7536766771737537`*^9}, {3.7536768574020023`*^9, 
   3.75367687018391*^9}, {3.753676900623027*^9, 3.753676925733699*^9}, 
   3.7536769618918543`*^9, {3.753678144594705*^9, 3.753678178268352*^9}, {
   3.7536783219790344`*^9, 3.753678369106513*^9}, {3.753678963356494*^9, 
   3.7536789664504104`*^9}, 3.7536791095204325`*^9, 3.75367925712197*^9, 
   3.753679308796538*^9, 3.753679395691759*^9, 3.753679455960554*^9, 
   3.7536796066716056`*^9, 3.753679637001299*^9, {3.7536796950043554`*^9, 
   3.7536797207400804`*^9}, 3.7536798039475813`*^9, 3.753679868419722*^9, 
   3.753679898671312*^9, 3.7536799318605843`*^9, {3.7536799765191574`*^9, 
   3.7536799961139393`*^9}, 3.7536801073541636`*^9, {3.7536803106617575`*^9, 
   3.753680315521388*^9}, {3.753680594207922*^9, 3.7536806128026247`*^9}, {
   3.753680718073811*^9, 3.7536807344809003`*^9}, {3.7536808008125124`*^9, 
   3.753680841737582*^9}, 3.7538453025750265`*^9, {3.7538462891565714`*^9, 
   3.753846331096279*^9}, {3.7538464543215084`*^9, 3.7538464832292795`*^9}, {
   3.7538465156997128`*^9, 3.7538465522641363`*^9}, {3.7538465877660065`*^9, 
   3.753846658254095*^9}, 3.753846710381851*^9, {3.7538470229920235`*^9, 
   3.7538470627285104`*^9}, {3.753847095261468*^9, 3.7538471122779675`*^9}, {
   3.753847152326972*^9, 3.753847157374112*^9}, 3.75384896221904*^9, {
   3.753933913693469*^9, 3.7539340911562805`*^9}, {3.753934225805254*^9, 
   3.753934228685773*^9}, {3.753934265043919*^9, 3.7539342683702736`*^9}, {
   3.753934441523473*^9, 3.753934617402916*^9}, {3.7539347966186247`*^9, 
   3.753934800098858*^9}, {3.753934850192688*^9, 3.7539348575424995`*^9}, {
   3.7539349204003015`*^9, 3.7539349298964844`*^9}, {3.753934982201047*^9, 
   3.753935000240938*^9}, {3.7539352070911245`*^9, 3.753935217536619*^9}, {
   3.7539352695521154`*^9, 3.753935297515632*^9}, 3.7539353352420397`*^9, {
   3.7539354095396833`*^9, 3.753935595152422*^9}, {3.7539356263461313`*^9, 
   3.7539356303669777`*^9}, {3.753935665285817*^9, 3.7539356957110205`*^9}, {
   3.7539357272476826`*^9, 3.753935747532731*^9}, {3.7539366614568434`*^9, 
   3.753936696996579*^9}, {3.754364289444754*^9, 3.7543642971170287`*^9}, {
   3.7543649332023954`*^9, 3.754364944465315*^9}, 3.754364974759861*^9, 
   3.7544501754722643`*^9, 3.7544502445701785`*^9, {3.7544506827128267`*^9, 
   3.7544507555003223`*^9}, {3.754450793470537*^9, 3.7544508501601734`*^9}, 
   3.7544510286659765`*^9, 3.754451083293251*^9, {3.754451120931014*^9, 
   3.7544511478771753`*^9}, 3.754451188517696*^9, 3.7544513665082974`*^9, {
   3.754451409065237*^9, 3.754451482906186*^9}, {3.7544515368990145`*^9, 
   3.7544515492955227`*^9}, {3.7544515882409797`*^9, 
   3.7544516066742144`*^9}, {3.754451687749568*^9, 3.7544517409018135`*^9}, {
   3.75445178166171*^9, 3.7544517870636015`*^9}, {3.754451966614338*^9, 
   3.754452021003273*^9}, {3.7544520762298746`*^9, 3.754452127484269*^9}, 
   3.7544521585979757`*^9, 3.7544522657506866`*^9, 3.754452333120473*^9, {
   3.754455426359842*^9, 3.7544554284739885`*^9}, {3.7544554742207465`*^9, 
   3.7544555144136767`*^9}, 3.7544555582223444`*^9, {3.7544628446741066`*^9, 
   3.7544628695112844`*^9}, {3.7544693263514977`*^9, 
   3.7544693508331347`*^9}, {3.754470170351923*^9, 3.7544703023477993`*^9}, 
   3.7544900873973103`*^9, 3.7544902342421885`*^9, 3.7544903255615797`*^9, 
   3.7544903930936174`*^9, 3.754490589907174*^9, 3.75449065243738*^9, 
   3.7544906834696054`*^9, 3.754492023899931*^9, 3.754495496879369*^9, 
   3.754497555198485*^9, 3.754497629729348*^9, 3.7544976611873913`*^9, 
   3.7544977081897745`*^9, {3.7544977780159087`*^9, 3.754497781669012*^9}, {
   3.7544978119035587`*^9, 3.754497831958734*^9}, {3.754498029819167*^9, 
   3.7544980361045847`*^9}, {3.754498109681105*^9, 3.754498120967312*^9}, {
   3.754498184187278*^9, 3.754498190932996*^9}, {3.754719855059081*^9, 
   3.7547199229397583`*^9}, 3.754720012488037*^9, {3.754720055925985*^9, 
   3.7547200598223205`*^9}, {3.754720190990794*^9, 3.7547202062895017`*^9}, {
   3.754720257227823*^9, 3.754720293636367*^9}, {3.7547203447967362`*^9, 
   3.754720375011141*^9}, {3.754722011134483*^9, 3.754722015275669*^9}, {
   3.754722275598751*^9, 3.7547223157683372`*^9}, {3.7600271105045958`*^9, 
   3.7600271403030176`*^9}, {3.7600271744610825`*^9, 3.760027184977237*^9}, {
   3.7600272330891466`*^9, 3.760027255715357*^9}, {3.760027318718646*^9, 
   3.7600273247502384`*^9}, {3.760628047321458*^9, 3.760628060744048*^9}, {
   3.7606281184814615`*^9, 3.760628123809846*^9}, 3.7606283148355184`*^9, {
   3.7606283607910805`*^9, 3.7606283866830463`*^9}, 3.7606284675310493`*^9, {
   3.76062851095522*^9, 3.760628512502165*^9}, {3.7606285479571743`*^9, 
   3.7606285794744587`*^9}, 3.7606298563871727`*^9, {3.7606299113900633`*^9, 
   3.760629920531171*^9}, 3.7606299827844453`*^9, {3.760630111978736*^9, 
   3.760630112306903*^9}, {3.7606304282297463`*^9, 3.760630430870513*^9}, {
   3.7606306838369427`*^9, 3.760630684383849*^9}, 3.760630759981574*^9, 
   3.7606308804410324`*^9, 3.760630984852775*^9, {3.7606310482467327`*^9, 
   3.760631048746761*^9}, 3.7606311992687197`*^9, {3.760631325947259*^9, 
   3.7606313262128754`*^9}, {3.7606314600636663`*^9, 3.7606314604386883`*^9}, 
   3.760631491002792*^9, 3.760631562897202*^9, 3.7606316317445726`*^9, {
   3.760631672918633*^9, 3.760631673293652*^9}, {3.7606317946593895`*^9, 
   3.7606317949094048`*^9}, {3.760631859412795*^9, 3.760631859819069*^9}, 
   3.760631893055213*^9, {3.7606319504488363`*^9, 3.7606319507457237`*^9}, 
   3.7606320247183666`*^9, {3.761740691958928*^9, 3.761740736211255*^9}, {
   3.761740959269883*^9, 3.761740978942772*^9}, {3.7617410305548625`*^9, 
   3.761741031398654*^9}, {3.7617414062819777`*^9, 3.7617414161574974`*^9}, 
   3.7617418322367153`*^9, 3.7617419834640026`*^9, 3.76174202352861*^9, 
   3.761748807125692*^9, 3.7617922274938593`*^9, {3.7617922611150284`*^9, 
   3.7617923198837442`*^9}, 3.761792350947878*^9, 3.761792396278408*^9, {
   3.76179242951451*^9, 3.761792500002614*^9}, {3.7617925408641376`*^9, 
   3.761792550145876*^9}, {3.7625317042567387`*^9, 3.7625317171949177`*^9}, {
   3.7625798709576626`*^9, 3.7625799172338467`*^9}, {3.7625799533318143`*^9, 
   3.76257995459226*^9}, 3.7625814695481124`*^9, {3.762581723967371*^9, 
   3.7625817240799527`*^9}, {3.7625817669977036`*^9, 
   3.7625818240428004`*^9}, {3.7625819120627136`*^9, 3.762581923413595*^9}, {
   3.7625819724114437`*^9, 3.7625820301254296`*^9}, {3.7625820737286177`*^9, 
   3.7625820833793826`*^9}, {3.762582178738385*^9, 3.762582193652698*^9}, {
   3.7625822634818535`*^9, 3.7625822741865883`*^9}, {3.7625906396431527`*^9, 
   3.7625906491124215`*^9}, {3.7625913154130917`*^9, 3.762591404902153*^9}, {
   3.762915045697965*^9, 3.7629150658095684`*^9}, {3.7629151340891304`*^9, 
   3.7629151641410017`*^9}, {3.762915208146118*^9, 3.762915281760095*^9}, 
   3.7629153657532024`*^9, {3.762916118376924*^9, 3.7629161265289783`*^9}, {
   3.7637315283072042`*^9, 3.763731637500465*^9}, 3.779935320945334*^9, {
   3.779935392069503*^9, 3.779935414142387*^9}, {3.779935482862228*^9, 
   3.7799354879388304`*^9}, {3.7799355655146494`*^9, 3.779935577574306*^9}, {
   3.779935661979043*^9, 3.7799356638848486`*^9}, {3.7799357062651887`*^9, 
   3.779935818410683*^9}, {3.779935853092513*^9, 3.7799358820235357`*^9}, {
   3.779935986779809*^9, 3.779936117609782*^9}, 3.7799363186122675`*^9, {
   3.779936630418756*^9, 3.779936670065372*^9}, {3.7799367232716126`*^9, 
   3.779936765639069*^9}, 3.779936952113653*^9, {3.779937141181159*^9, 
   3.779937141680725*^9}, {3.779937303660509*^9, 3.779937385235365*^9}, {
   3.779937424444905*^9, 3.779937462453684*^9}, {3.779937933687747*^9, 
   3.779937942341944*^9}, {3.77993798378533*^9, 3.7799380911686206`*^9}, {
   3.7799381995051556`*^9, 3.77993834967293*^9}, {3.7799674348554153`*^9, 
   3.7799674534760714`*^9}, {3.7799675904775705`*^9, 3.779967628968542*^9}, 
   3.779967836277395*^9, 3.7799681369782624`*^9, {3.7799688293170743`*^9, 
   3.7799688452192745`*^9}, {3.7799711441993427`*^9, 3.779971144746269*^9}, 
   3.779974087869137*^9, {3.779974164748168*^9, 3.7799741691233964`*^9}, {
   3.77997641975803*^9, 3.779976421820634*^9}, {3.779977466734524*^9, 
   3.7799774809227643`*^9}, {3.779978974500704*^9, 3.7799789777508726`*^9}, 
   3.780103583278679*^9, {3.7801036778998113`*^9, 3.7801036797896624`*^9}, {
   3.780103755071418*^9, 3.78010381022202*^9}, {3.780104247484163*^9, 
   3.7801042604501677`*^9}, {3.7801043033303967`*^9, 3.780104311344474*^9}, 
   3.7801101292130857`*^9, 3.780110223862687*^9, {3.780280351601545*^9, 
   3.780280358755927*^9}, {3.7802810909967175`*^9, 3.7802811004007545`*^9}, {
   3.780281622425871*^9, 3.780281633532631*^9}, {3.7802830930288315`*^9, 
   3.7802831426919556`*^9}, 3.7802832237038755`*^9, 3.7802837672279396`*^9, 
   3.7802888172348146`*^9, {3.7802985025695934`*^9, 3.7802985237364893`*^9}, 
   3.780298565728641*^9, {3.7802986542859273`*^9, 3.7802986678299274`*^9}, {
   3.780298719414179*^9, 3.7802987238975086`*^9}, {3.7802988840782413`*^9, 
   3.7802988890954094`*^9}, {3.7802995939206085`*^9, 
   3.7802995982945395`*^9}, {3.7803053225870934`*^9, 
   3.7803053483779106`*^9}, {3.7803055004384503`*^9, 
   3.7803055588801813`*^9}, {3.780305596558506*^9, 3.780305611898978*^9}, {
   3.780305649936904*^9, 3.780305673806258*^9}, 3.7803059580698423`*^9, 
   3.7803059972324924`*^9, {3.7803065011365614`*^9, 3.780306518444991*^9}, 
   3.780318697721319*^9, {3.780319003888417*^9, 3.780319044456995*^9}, {
   3.780319331174774*^9, 3.7803193536072025`*^9}, {3.7803194913277426`*^9, 
   3.7803195243041816`*^9}, {3.7803195545939255`*^9, 
   3.7803196096281767`*^9}, {3.7803197313204904`*^9, 3.780319781762005*^9}, {
   3.7803199880902557`*^9, 3.7803199955419526`*^9}, {3.7803200305177736`*^9, 
   3.7803201062372546`*^9}, {3.78032013879211*^9, 3.7803201546165104`*^9}, {
   3.780320207978613*^9, 3.780320293086199*^9}, {3.7803203636008453`*^9, 
   3.7803203940960646`*^9}, 3.7803204720149174`*^9, {3.780324727117056*^9, 
   3.780324793775894*^9}, {3.78032492213892*^9, 3.780324947710738*^9}, {
   3.7803250356431627`*^9, 3.780325043219507*^9}, {3.7803251622099953`*^9, 
   3.780325184282565*^9}, {3.780325279528516*^9, 3.7803252821060443`*^9}, {
   3.7803253373586574`*^9, 3.780325345122795*^9}, 3.7803254909189177`*^9, {
   3.7803255367515564`*^9, 3.7803256112812233`*^9}, {3.780325663084128*^9, 
   3.78032568270452*^9}, {3.780325745814356*^9, 3.780325845731303*^9}, {
   3.780325957626861*^9, 3.7803259972920537`*^9}, {3.7803261094060497`*^9, 
   3.780326213368676*^9}, {3.780326264966223*^9, 3.780326311486209*^9}, {
   3.7803263453844852`*^9, 3.780326380660077*^9}, {3.7803264533148565`*^9, 
   3.780326616622527*^9}, {3.7803269584817305`*^9, 3.78032702178192*^9}, {
   3.780327066177438*^9, 3.7803270737225294`*^9}, {3.7803271423782516`*^9, 
   3.7803271714059467`*^9}, {3.7803272672894707`*^9, 3.780327284394823*^9}, 
   3.780451112015292*^9, {3.780649976567165*^9, 3.7806500064685726`*^9}, {
   3.780650090412788*^9, 3.78065012155097*^9}, {3.7806501577827964`*^9, 
   3.7806501899650803`*^9}, {3.78065024542846*^9, 3.7806502715653653`*^9}, {
   3.7806503068093247`*^9, 3.780650402627679*^9}, 3.7806504350600405`*^9, {
   3.7806505205186605`*^9, 3.780650529455506*^9}, {3.78065057440355*^9, 
   3.780650620737775*^9}, {3.7806510901518297`*^9, 3.780651104996629*^9}, {
   3.780651311557612*^9, 3.780651329366229*^9}, {3.7806513962276936`*^9, 
   3.780651415098274*^9}, 3.7806515956909833`*^9, {3.7808822725425014`*^9, 
   3.7808822874165325`*^9}, {3.781922400647875*^9, 3.78192242273662*^9}, 
   3.781922469287856*^9, 3.7819225004214487`*^9, {3.7819225402089767`*^9, 
   3.7819226156780944`*^9}, 3.78192265784006*^9, 3.7819226958776617`*^9, {
   3.7819227406796217`*^9, 3.781922767629043*^9}, 3.7819264493063145`*^9, {
   3.7819303571276646`*^9, 3.7819303727490177`*^9}, 3.7820979113003182`*^9, {
   3.7820979926433554`*^9, 3.782098013497547*^9}, {3.7820991349629235`*^9, 
   3.7820991889527464`*^9}, {3.782099220679618*^9, 3.7820992400032115`*^9}, {
   3.7820992814622307`*^9, 3.78209930948685*^9}, {3.7820993590401793`*^9, 
   3.7820994258057337`*^9}, 3.782100437453627*^9, 3.782141299233879*^9, {
   3.782141634335947*^9, 3.7821417024758635`*^9}, 3.782141754807305*^9, {
   3.7821418137175655`*^9, 3.782141843554623*^9}, 3.782142003097387*^9, {
   3.7821422105452642`*^9, 3.7821422370549097`*^9}, {3.782142316598386*^9, 
   3.78214234273527*^9}, {3.7821424288396997`*^9, 3.782142533349171*^9}, {
   3.7821426575383883`*^9, 3.7821427217286572`*^9}, {3.7821428267973967`*^9, 
   3.7821428701778226`*^9}, {3.7821429541747217`*^9, 
   3.7821429966803045`*^9}, {3.7821430479029517`*^9, 
   3.7821430668843355`*^9}, {3.782143236020356*^9, 3.7821432898393927`*^9}, {
   3.782270719705266*^9, 3.782270760774911*^9}, 3.7822708107087803`*^9, 
   3.7822708847226486`*^9, {3.782270958670457*^9, 3.782271054252652*^9}, {
   3.7822711152851663`*^9, 3.782271176023246*^9}, 3.7822712262611127`*^9, {
   3.782271533873742*^9, 3.7822715424811096`*^9}, 3.7822717295640306`*^9, 
   3.7822717629936905`*^9, {3.7822718299779067`*^9, 3.782271847692616*^9}, {
   3.7822718794063673`*^9, 3.782271921865185*^9}, {3.7822721344424562`*^9, 
   3.782272196146983*^9}, {3.7822722285793257`*^9, 3.7822722424195375`*^9}, {
   3.7822722867997627`*^9, 3.7822723165427475`*^9}, {3.782274207787716*^9, 
   3.782274462656412*^9}, 3.7822745015531845`*^9, {3.7822745763977833`*^9, 
   3.7822745932372675`*^9}, 3.782274633805846*^9, {3.782274663830038*^9, 
   3.782274736221486*^9}, 3.782274799847141*^9, {3.7822748499919047`*^9, 
   3.782274858099057*^9}, {3.7822748987145014`*^9, 3.782275033997615*^9}, {
   3.7822750820178246`*^9, 3.782275090611801*^9}, 3.782275240248511*^9, {
   3.7822754769628706`*^9, 3.7822754832738657`*^9}, 3.782278805145915*^9, {
   3.7822788521181126`*^9, 3.7822788584124165`*^9}, {3.782278900707336*^9, 
   3.782278941580134*^9}, {3.7822790755474353`*^9, 3.7822790861729927`*^9}, {
   3.7822791349317207`*^9, 3.782279162298859*^9}, {3.78227920108401*^9, 
   3.782279258862901*^9}, {3.782279319470271*^9, 3.7822793279728465`*^9}, {
   3.782279449019861*^9, 3.782279552747625*^9}, {3.7822796940468845`*^9, 
   3.7822797222362614`*^9}, {3.7822797562804365`*^9, 
   3.7822797610052457`*^9}, {3.7823098600452414`*^9, 3.7823098968046875`*^9}, 
   3.7823099435773835`*^9, {3.782309983601802*^9, 3.7823100134586334`*^9}, {
   3.7823101114222827`*^9, 3.7823101157024984`*^9}, {3.7823101665186524`*^9, 
   3.78231019708991*^9}, {3.7823103060825663`*^9, 3.78231031181559*^9}, {
   3.782310421292106*^9, 3.7823104456145067`*^9}, {3.78231048144983*^9, 
   3.782310495587467*^9}, {3.782310554417345*^9, 3.782310570944401*^9}, {
   3.7823106206060133`*^9, 3.7823106397889967`*^9}, {3.782310709553831*^9, 
   3.7823107363600235`*^9}, {3.782310839635005*^9, 3.7823108419469604`*^9}, {
   3.7823109092280436`*^9, 3.7823109114774804`*^9}, {3.782310978589238*^9, 
   3.782310983478716*^9}, {3.782311065631273*^9, 3.782311071051859*^9}, 
   3.782311112870148*^9, {3.782311232299328*^9, 3.7823112332209744`*^9}, {
   3.7823112931131687`*^9, 3.782311295675028*^9}, {3.7823113260766315`*^9, 
   3.782311335371622*^9}, 3.782311387406124*^9, 3.7823114190703793`*^9, {
   3.782311487681856*^9, 3.782311497710759*^9}, {3.782311639333684*^9, 
   3.7823116427082033`*^9}, 3.7823117303458815`*^9, 3.7823117713203278`*^9, {
   3.7823118093894987`*^9, 3.7823118622389526`*^9}, {3.782311902791915*^9, 
   3.7823119264738426`*^9}, {3.782311971979062*^9, 3.7823119806173534`*^9}, 
   3.7823120665686646`*^9, {3.782312126664193*^9, 3.7823121448158717`*^9}, {
   3.782312214145994*^9, 3.7823122562142344`*^9}, 3.782312309467311*^9, {
   3.782312359892953*^9, 3.7823123651729555`*^9}, {3.7823124783364797`*^9, 
   3.782312486615782*^9}, {3.782312523825781*^9, 3.782312529449448*^9}, {
   3.782312566942731*^9, 3.7823125717072334`*^9}, {3.7823126258976593`*^9, 
   3.782312626850561*^9}, {3.7823130209908886`*^9, 3.7823130343468037`*^9}, {
   3.782313065167681*^9, 3.7823130943171096`*^9}, {3.7823131334797287`*^9, 
   3.782313161319036*^9}, {3.7823132393475475`*^9, 3.782313268168892*^9}, {
   3.782313317001151*^9, 3.7823133659293547`*^9}, {3.782313437553117*^9, 
   3.7823134419739547`*^9}, {3.7823194687623997`*^9, 
   3.7823194736831245`*^9}, {3.7823858177827835`*^9, 3.782385831014044*^9}, 
   3.7823858629752746`*^9, {3.782387192590654*^9, 3.782387196652199*^9}, 
   3.782879637432659*^9, {3.7828796814691377`*^9, 3.7828797611066484`*^9}, 
   3.7828798105637608`*^9, 3.7828799300853167`*^9, {3.7828799864627047`*^9, 
   3.7828799957911973`*^9}, 3.7828802644490356`*^9, {3.7828803212169285`*^9, 
   3.78288037639347*^9}, {3.782880410401136*^9, 3.782880422007779*^9}, {
   3.782880585300123*^9, 3.782880605233055*^9}, {3.782880637553461*^9, 
   3.782880726472844*^9}, {3.782880882123757*^9, 3.782880898950471*^9}, {
   3.7828809309742255`*^9, 3.7828809669191785`*^9}, {3.7828811055760236`*^9, 
   3.782881109372045*^9}, {3.7828811405365868`*^9, 3.782881165202655*^9}, {
   3.7828812794903545`*^9, 3.7828812904877663`*^9}, {3.782881323792471*^9, 
   3.782881330134726*^9}, {3.7828813883085003`*^9, 3.7828814292051277`*^9}, {
   3.782881465995353*^9, 3.7828814745402603`*^9}, {3.7828815565368614`*^9, 
   3.7828815684712815`*^9}, {3.7828816586710835`*^9, 
   3.7828816609830785`*^9}, {3.782881693303562*^9, 3.7828817037542276`*^9}, {
   3.7828817411204343`*^9, 3.7828817745969763`*^9}, 3.7828819304850893`*^9, 
   3.7828819639925203`*^9, {3.782882008437792*^9, 3.78288216590339*^9}, {
   3.782882209268188*^9, 3.7828822224370165`*^9}, {3.7828822654737625`*^9, 
   3.7828822655831013`*^9}, {3.782882301590214*^9, 3.7828823209919357`*^9}, {
   3.782882352971116*^9, 3.7828823819642925`*^9}, {3.7828824157375836`*^9, 
   3.7828824338742094`*^9}, {3.7828824943284597`*^9, 
   3.7828825215743904`*^9}, {3.7828825527233133`*^9, 3.782882687863351*^9}, {
   3.782882739275134*^9, 3.7828827394313188`*^9}, {3.7828827845925636`*^9, 
   3.782882841344838*^9}, {3.782882940324196*^9, 3.7828829917808*^9}, 
   3.7828830218518934`*^9, {3.7828831621335073`*^9, 3.7828831665699935`*^9}, {
   3.782883226024723*^9, 3.78288329516701*^9}, {3.7828833322988977`*^9, 
   3.7828833457176538`*^9}, 3.782883388488802*^9, {3.7828834573500156`*^9, 
   3.782883460489732*^9}, {3.782901034426925*^9, 3.7829010649225025`*^9}, {
   3.782901145434807*^9, 3.7829011889871187`*^9}, {3.782901226636816*^9, 
   3.7829013202866535`*^9}, {3.7829013553097277`*^9, 3.782901381865965*^9}, {
   3.7829041663968906`*^9, 3.782904167052844*^9}, {3.782904287413356*^9, 
   3.7829043167033405`*^9}, 3.7829043787981043`*^9, {3.78290443109832*^9, 
   3.782904432582327*^9}, {3.7829047081630635`*^9, 3.7829047123964453`*^9}, {
   3.7829050830799685`*^9, 3.7829050833766203`*^9}, 3.782905137270026*^9, 
   3.7829054702584114`*^9, 3.782905554975135*^9, {3.782909855096013*^9, 
   3.782909870139347*^9}, 3.7829099270790753`*^9, {3.7829099761003246`*^9, 
   3.782909998969906*^9}, {3.782910030821789*^9, 3.782910032758833*^9}, 
   3.7829100713591638`*^9, {3.782910105335506*^9, 3.78291012717413*^9}, {
   3.782910181397112*^9, 3.7829101836309595`*^9}, {3.782910236680978*^9, 
   3.7829102811080236`*^9}, {3.7829103242072587`*^9, 3.782910371089469*^9}, {
   3.7829104421821537`*^9, 3.782910472659322*^9}, {3.78291070450084*^9, 
   3.7829107221373177`*^9}, {3.782910919671457*^9, 3.7829109281225877`*^9}, {
   3.7829110083849535`*^9, 3.782911096663683*^9}, {3.7829111716147985`*^9, 
   3.782911199280164*^9}, {3.7829112374144955`*^9, 3.782911360307449*^9}, {
   3.7829114039065666`*^9, 3.7829114457902064`*^9}, 3.7829114941069145`*^9, 
   3.782911973970228*^9, {3.7829127984002123`*^9, 3.7829128466857257`*^9}, {
   3.7829163710584044`*^9, 3.7829164169229374`*^9}, 3.7829164887650843`*^9, 
   3.7829173133642435`*^9, {3.782917754717549*^9, 3.782917771385545*^9}, 
   3.782917876816451*^9, {3.782959756248548*^9, 3.78295984749249*^9}, {
   3.7829598875455704`*^9, 3.7829600062547913`*^9}, {3.7829600407151136`*^9, 
   3.78296012148*^9}, {3.7829602058976393`*^9, 3.78296028727143*^9}, {
   3.7829603400715075`*^9, 3.7829603416024027`*^9}, {3.7829604184280715`*^9, 
   3.782960546243182*^9}, 3.782960712081436*^9, {3.7829607907972918`*^9, 
   3.7829608197714353`*^9}, {3.7829609015998473`*^9, 3.782961017278082*^9}, {
   3.782961490000017*^9, 3.7829615411925216`*^9}, {3.7829616000380516`*^9, 
   3.7829616495420284`*^9}, {3.7829616929380674`*^9, 3.782961817832657*^9}, {
   3.782962040063163*^9, 3.7829620427503633`*^9}, 3.7829620735421667`*^9, 
   3.782962315737661*^9, {3.7829640313092756`*^9, 3.782964107869343*^9}, {
   3.7829642565854945`*^9, 3.782964318088728*^9}, {3.7829645303383493`*^9, 
   3.7829645436945763`*^9}, {3.7829645905741777`*^9, 3.782964601290362*^9}, {
   3.7829653273632784`*^9, 3.7829653376575136`*^9}, {3.7829653871458693`*^9, 
   3.782965498402751*^9}, {3.782965616296884*^9, 3.7829657641087265`*^9}, {
   3.78296579546038*^9, 3.7829658136904993`*^9}, {3.7829658479048796`*^9, 
   3.782965864775879*^9}, {3.7829658963778477`*^9, 3.782965911686714*^9}, {
   3.7829659450694866`*^9, 3.782966007976601*^9}, {3.7829660418927536`*^9, 
   3.782966115062804*^9}, {3.782966274230768*^9, 3.7829662747462254`*^9}, {
   3.7829663120343285`*^9, 3.7829664491765847`*^9}, {3.782966601611997*^9, 
   3.78296665627101*^9}, {3.782966715819542*^9, 3.7829667270824766`*^9}, {
   3.782966852681888*^9, 3.782966922198457*^9}, {3.7829669663755636`*^9, 
   3.7829670563700094`*^9}, {3.782967109562668*^9, 3.782967251294943*^9}, 
   3.7829673010200157`*^9, {3.782967737356803*^9, 3.7829677482292056`*^9}, {
   3.7829859710217357`*^9, 3.7829860324158335`*^9}, {3.782986095869322*^9, 
   3.782986151497177*^9}, {3.7829862037345695`*^9, 3.7829862072827396`*^9}, {
   3.782986287263918*^9, 3.7829863005108037`*^9}, {3.7829863808356547`*^9, 
   3.7829864006944227`*^9}, 3.782986435201922*^9, {3.782986475801746*^9, 
   3.7829865669859357`*^9}, {3.7829865976349745`*^9, 3.7829866867390127`*^9}, 
   3.7829868646997085`*^9, {3.782987911906516*^9, 3.782987958957986*^9}, 
   3.782987990731759*^9, {3.782989285094716*^9, 3.782989313181551*^9}, {
   3.7829893619826055`*^9, 3.78298940287951*^9}, 3.78298947828622*^9, {
   3.782989861776946*^9, 3.7829899120307484`*^9}, {3.7829899849369183`*^9, 
   3.7829899995272007`*^9}, {3.782991564376301*^9, 3.7829916072412148`*^9}, {
   3.7829920513139353`*^9, 3.782992090026101*^9}, {3.782992373446344*^9, 
   3.7829924100471015`*^9}, {3.7905654476193666`*^9, 
   3.7905655009083557`*^9}, {3.790565610210121*^9, 3.7905656232770767`*^9}, {
   3.790565718635635*^9, 3.7905657204681735`*^9}, {3.7905657551734753`*^9, 
   3.790565777086323*^9}, {3.7905658110299015`*^9, 3.7905658175096984`*^9}, {
   3.7905658503958387`*^9, 3.7905658904625063`*^9}, {3.7905664440483212`*^9, 
   3.790566551983754*^9}, {3.7905666089742565`*^9, 3.7905667201983404`*^9}, 
   3.7905667544619923`*^9, {3.7905668012265325`*^9, 3.7905668219203634`*^9}, {
   3.7905688566889696`*^9, 3.790568890359236*^9}, {3.7905689911349683`*^9, 
   3.7905690305343213`*^9}, {3.7905691366189566`*^9, 3.790569187692941*^9}, 
   3.790569222986692*^9, {3.7905693658246613`*^9, 3.7905693900365715`*^9}, {
   3.7905697096484118`*^9, 3.790569775041644*^9}, 3.7905698183207417`*^9, {
   3.790569996086767*^9, 3.7905700072917356`*^9}, 3.790570046016157*^9, 
   3.790651648916865*^9, 3.7906516902994204`*^9, {3.7906517731875863`*^9, 
   3.7906520608449683`*^9}, {3.7906521399536457`*^9, 3.790652140750532*^9}, {
   3.790652184575968*^9, 3.79065218872847*^9}, 3.790652298049063*^9, {
   3.7906523536630125`*^9, 3.790652355768371*^9}, {3.7906524421040773`*^9, 
   3.7906524624234977`*^9}, 3.790652534568102*^9, {3.790732931277563*^9, 
   3.79073299566652*^9}, {3.79073309980301*^9, 3.7907331107886925`*^9}, {
   3.7907331456990232`*^9, 3.790733151315482*^9}, {3.7907353761135273`*^9, 
   3.7907354792711673`*^9}, {3.7907454087563105`*^9, 
   3.7907454128959694`*^9}, {3.790745446483364*^9, 3.790745455012574*^9}, {
   3.790745668574044*^9, 3.790745680602524*^9}, {3.7907606590504546`*^9, 
   3.79076072707268*^9}, 3.790760853137703*^9, {3.790760889928074*^9, 
   3.7907610860731926`*^9}, 3.790761131083089*^9, {3.7907612851084976`*^9, 
   3.790761292287319*^9}, 3.790761348797284*^9, {3.7907614519024224`*^9, 
   3.7907614525862436`*^9}, 3.7907616631690187`*^9, {3.790762259475125*^9, 
   3.790762263541376*^9}, {3.7907624131706295`*^9, 3.7907624181308646`*^9}, {
   3.7907626812286057`*^9, 3.790762700907596*^9}, {3.7907627314280634`*^9, 
   3.790762871059822*^9}, 3.7907629221614895`*^9, 3.790762960965337*^9, 
   3.7907629981574755`*^9, 3.7907630880823975`*^9, {3.790763166819119*^9, 
   3.7907633136487904`*^9}, {3.790765132556841*^9, 3.7907651683407865`*^9}, {
   3.790823260366955*^9, 3.790823307621835*^9}, {3.7908234795671234`*^9, 
   3.790823483816122*^9}, {3.7908235955271826`*^9, 3.7908236109402895`*^9}, 
   3.790823642323984*^9, {3.790829613887178*^9, 3.790829646395198*^9}, {
   3.790912738989264*^9, 3.7909128030985985`*^9}, {3.790912847678427*^9, 
   3.7909128733870716`*^9}, {3.7909129240817966`*^9, 
   3.7909129660948486`*^9}, {3.790913100857809*^9, 3.790913111665817*^9}, {
   3.790913170513234*^9, 3.7909131918016214`*^9}, {3.790913236877447*^9, 
   3.7909132962136736`*^9}, {3.790913342194315*^9, 3.790913370948904*^9}, {
   3.7909134180300236`*^9, 3.7909134441931515`*^9}, {3.7909135486018257`*^9, 
   3.790913553369692*^9}, {3.790913584194391*^9, 3.7909136512236614`*^9}, {
   3.7909136826997795`*^9, 3.790913706237382*^9}, {3.7909137709752936`*^9, 
   3.790913781614073*^9}, 3.790914225659494*^9, {3.790914375966588*^9, 
   3.7909144203195734`*^9}, {3.790914456103134*^9, 3.790914487052431*^9}, {
   3.790914595658418*^9, 3.790914660177809*^9}, {3.790914939640107*^9, 
   3.79091495370014*^9}, {3.790915217440637*^9, 3.790915265154254*^9}, {
   3.7909154513009634`*^9, 3.790915461069392*^9}, {3.790915587661955*^9, 
   3.790915593899152*^9}, 3.790915639578831*^9, {3.790915787424387*^9, 
   3.790915840496483*^9}, {3.79099706120094*^9, 3.7909970810138116`*^9}, {
   3.79099778031923*^9, 3.7909977908217955`*^9}, 3.790997892767167*^9, {
   3.7909981216614904`*^9, 3.7909981463004885`*^9}, {3.7909983148252373`*^9, 
   3.790998320679607*^9}, 3.790998615468627*^9, 3.7909987171644745`*^9, 
   3.79099881695415*^9, 3.7909988562047195`*^9, 3.7910020503286896`*^9, {
   3.7910021414331493`*^9, 3.7910021511808987`*^9}, {3.7910022205643034`*^9, 
   3.7910022285936413`*^9}, {3.7910022627779284`*^9, 
   3.7910023979857855`*^9}, {3.7910024337680697`*^9, 3.791002481465582*^9}, {
   3.791002644088233*^9, 3.7910026553824635`*^9}, {3.7910027088310213`*^9, 
   3.7910027167666607`*^9}, {3.7910030142318087`*^9, 3.7910031336692963`*^9}, 
   3.7910032842261667`*^9, 3.7910033144872684`*^9, {3.791003345918973*^9, 
   3.791003373930063*^9}, 3.791003451056772*^9, {3.791003482958104*^9, 
   3.79100350023535*^9}, {3.7910036063007603`*^9, 3.7910036502460623`*^9}, {
   3.7910037592267127`*^9, 3.791003841790144*^9}, 3.7910039791583*^9, {
   3.7910040833578787`*^9, 3.791004088450441*^9}, 3.7910041762760997`*^9, {
   3.7910044040244894`*^9, 3.7910044107572823`*^9}, {3.791004441625057*^9, 
   3.7910044982854323`*^9}, {3.7910045558032584`*^9, 3.791004600794286*^9}, 
   3.791004939595253*^9, {3.791004988146388*^9, 3.7910050543676643`*^9}, {
   3.791005086047785*^9, 3.791005128615945*^9}, {3.791005219722196*^9, 
   3.7910053506096*^9}, {3.7910054741612396`*^9, 3.791005477504243*^9}, {
   3.791005552392934*^9, 3.791005555626585*^9}, {3.791005629861703*^9, 
   3.7910057183409967`*^9}, {3.791005794622486*^9, 3.7910058150239983`*^9}, {
   3.791005845095046*^9, 3.79100588741327*^9}, 3.7910059742537704`*^9, 
   3.7910060583434258`*^9, {3.7910061352018304`*^9, 3.7910061414503703`*^9}, {
   3.79100619298518*^9, 3.791006272341606*^9}, {3.791006337188325*^9, 
   3.7910065054801254`*^9}, {3.79100662149981*^9, 3.791006628794981*^9}, {
   3.791006689174077*^9, 3.7910067048735313`*^9}, {3.7910067450516577`*^9, 
   3.7910069823520527`*^9}, 3.7910070743475056`*^9, 3.791007139566578*^9, {
   3.7910072439029417`*^9, 3.7910074915189767`*^9}, {3.7910075246361885`*^9, 
   3.7910076514763746`*^9}, {3.7910077636234465`*^9, 3.7910077651387186`*^9}, 
   3.79100780236438*^9, {3.791007892296496*^9, 3.791007899935295*^9}, {
   3.7910082786102905`*^9, 3.7910083053228197`*^9}, 3.7910083594820194`*^9, {
   3.791008413266276*^9, 3.7910085588596344`*^9}, {3.791015234497532*^9, 
   3.791015247103716*^9}, {3.7910152975237284`*^9, 3.791015308976468*^9}, {
   3.7910153525815315`*^9, 3.791015446956583*^9}, {3.7910155372940426`*^9, 
   3.791015573122719*^9}, {3.791015626088827*^9, 3.7910157437276907`*^9}, {
   3.791015867131355*^9, 3.7910158997912817`*^9}, {3.7910159355610037`*^9, 
   3.791015947956295*^9}, {3.79101602343908*^9, 3.7910160257033157`*^9}, {
   3.791016110654933*^9, 3.7910161305832605`*^9}, {3.791016577140414*^9, 
   3.791016613256841*^9}, {3.791016703875843*^9, 3.7910167161331835`*^9}, {
   3.7910168412228956`*^9, 3.79101687036913*^9}, 3.7910172198120146`*^9, {
   3.7910175417667856`*^9, 3.7910178855320225`*^9}, {3.791017922348132*^9, 
   3.791017929172559*^9}, 3.7910182563362675`*^9, {3.7910183156327457`*^9, 
   3.7910183196283455`*^9}, {3.791018857938015*^9, 3.791018861727841*^9}, 
   3.791018970244683*^9, {3.791019008041339*^9, 3.7910190995293727`*^9}, {
   3.7910191496612835`*^9, 3.7910191571091485`*^9}, {3.7910192905338306`*^9, 
   3.791019452365196*^9}, {3.7910195173088474`*^9, 3.7910195518924294`*^9}, {
   3.7910195878635283`*^9, 3.7910197094845533`*^9}, {3.7910198027893887`*^9, 
   3.791019811571271*^9}, 3.791019870654475*^9, {3.791019927957093*^9, 
   3.791020132406472*^9}, 3.7910201789720173`*^9, 3.791020268596888*^9, 
   3.7910204052063203`*^9, {3.791020435413658*^9, 3.791020443725638*^9}, {
   3.791020528825119*^9, 3.7910205532710276`*^9}, {3.7910206813128653`*^9, 
   3.7910207004833455`*^9}, {3.7910207443163805`*^9, 3.791020765779312*^9}, {
   3.791085208496491*^9, 3.7910852440651474`*^9}, {3.7910853609945707`*^9, 
   3.791085416686473*^9}, {3.79108545022946*^9, 3.7910854565282288`*^9}, {
   3.7910855840235033`*^9, 3.791085592723304*^9}, {3.791085638430232*^9, 
   3.7910856808988647`*^9}, {3.7910857129612923`*^9, 3.791085763489481*^9}, 
   3.791085819855661*^9, {3.791086121124529*^9, 3.791086242277747*^9}, {
   3.791086278065879*^9, 3.7910864316856575`*^9}, {3.7910865160556593`*^9, 
   3.7910865217692394`*^9}, {3.791086665408681*^9, 3.7910867195306835`*^9}, {
   3.7910868163375435`*^9, 3.791086822833352*^9}, {3.7910869380412273`*^9, 
   3.7910869806501637`*^9}, {3.7910870413308754`*^9, 
   3.7910870766108847`*^9}, {3.791087188088629*^9, 3.791087191283845*^9}, {
   3.7910872764329367`*^9, 3.7910872793296037`*^9}, {3.7910874644222775`*^9, 
   3.791087488078116*^9}, {3.791087579169901*^9, 3.791087588817759*^9}, {
   3.791087882857169*^9, 3.791087897107974*^9}, {3.791088105449729*^9, 
   3.791088152185529*^9}, 3.7910882341342225`*^9, {3.7910883366473293`*^9, 
   3.791088391165668*^9}, {3.7910884708583364`*^9, 3.791088507718681*^9}, {
   3.7910885386238422`*^9, 3.791088538731518*^9}, {3.7910890177828474`*^9, 
   3.7910890218612103`*^9}, {3.791089086498767*^9, 3.791089107342761*^9}, {
   3.7910892112589827`*^9, 3.7910892354847775`*^9}, {3.7910893126195965`*^9, 
   3.7910893235022154`*^9}, 3.7910893731416564`*^9, {3.791099860359922*^9, 
   3.7910998680213776`*^9}, {3.7911000559283857`*^9, 3.79110007524852*^9}, {
   3.7911001632639675`*^9, 3.7911001958292093`*^9}, {3.7911002466297774`*^9, 
   3.7911002711015563`*^9}, {3.791100447057324*^9, 3.791100472891489*^9}, 
   3.7911005345609274`*^9, {3.7911006181820135`*^9, 3.7911006236308312`*^9}, 
   3.791100764175208*^9, {3.7911008504603395`*^9, 3.791100879076762*^9}, {
   3.7911009125260277`*^9, 3.7911009180649567`*^9}, {3.791100963962183*^9, 
   3.7911009700329123`*^9}, 3.7911118914356947`*^9, 3.7915180902619677`*^9, {
   3.791518304885803*^9, 3.791518350502954*^9}, {3.791518496096155*^9, 
   3.7915185538481874`*^9}, {3.7918914523495827`*^9, 3.791891453550785*^9}, 
   3.791891591945028*^9, 3.791891782786962*^9, 3.7918919049307756`*^9, 
   3.7918919837165136`*^9, {3.7918927132297945`*^9, 3.791892715600999*^9}, 
   3.7918929122961435`*^9, 3.7918930357215605`*^9, 3.791893163358984*^9, 
   3.791893246241929*^9, 3.791893319671257*^9, {3.7918934196418324`*^9, 
   3.791893434243458*^9}, 3.7918934809471397`*^9, 3.7918935788217115`*^9, {
   3.79189397626361*^9, 3.79189401632448*^9}, {3.7918940569001513`*^9, 
   3.791894129618679*^9}, 3.7918958515553045`*^9, {3.7918958955629816`*^9, 
   3.7918959169974194`*^9}, 3.791895947105472*^9}]
},
WindowSize->{1920, 1028},
WindowMargins->{{-9, Automatic}, {Automatic, 0}},
Magnification->1.5,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1901, 43, 303, "Input"],
Cell[2462, 65, 8085, 213, 1079, "Input"],
Cell[10550, 280, 7340, 187, 1133, "Input"],
Cell[17893, 469, 6337, 169, 942, "Input"],
Cell[24233, 640, 6258, 166, 942, "Input"],
Cell[30494, 808, 6409, 169, 639, "Input"],
Cell[36906, 979, 8606, 228, 768, "Input"],
Cell[45515, 1209, 20508, 539, 2535, "Input"],
Cell[66026, 1750, 11623, 298, 1740, "Input"],
Cell[77652, 2050, 8847, 222, 918, "Input"],
Cell[86502, 2274, 11181, 268, 1283, "Input"],
Cell[97686, 2544, 12081, 287, 1341, "Input"],
Cell[109770, 2833, 14662, 365, 1066, "Input"],
Cell[124435, 3200, 8105, 201, 547, "Input"],
Cell[132543, 3403, 14651, 364, 1350, "Input"],
Cell[147197, 3769, 30380, 636, 3988, "Input"],
Cell[177580, 4407, 20583, 470, 3279, "Input"],
Cell[198166, 4879, 16404, 441, 1213, "Input"],
Cell[214573, 5322, 10062, 252, 1436, "Input"],
Cell[224638, 5576, 19908, 449, 2477, "Input"],
Cell[244549, 6027, 11007, 241, 967, "Input"],
Cell[255559, 6270, 12191, 268, 987, "Input"],
Cell[267753, 6540, 8434, 219, 934, "Input"],
Cell[276190, 6761, 9898, 249, 854, "Input"],
Cell[286091, 7012, 11912, 292, 1186, "Input"],
Cell[298006, 7306, 7970, 203, 1207, "Input"],
Cell[305979, 7511, 15708, 336, 1863, "Input"],
Cell[321690, 7849, 15745, 340, 1904, "Input"],
Cell[337438, 8191, 12929, 295, 1635, "Input"],
Cell[350370, 8488, 12514, 294, 1518, "Input"],
Cell[362887, 8784, 12959, 301, 1958, "Input"],
Cell[375849, 9087, 10175, 239, 1166, "Input"],
Cell[386027, 9328, 11027, 260, 1141, "Input"],
Cell[397057, 9590, 15382, 347, 2291, "Input"],
Cell[412442, 9939, 17666, 379, 1640, "Input"],
Cell[430111, 10320, 14130, 316, 1877, "Input"],
Cell[444244, 10638, 20438, 422, 1893, "Input"],
Cell[464685, 11062, 14759, 324, 1877, "Input"],
Cell[479447, 11388, 12355, 287, 1673, "Input"],
Cell[491805, 11677, 12737, 297, 1369, "Input"],
Cell[504545, 11976, 5462, 154, 527, "Input"],
Cell[510010, 12132, 195036, 4090, 39486, "Input"]
}
]
*)

